package com.company;

import java.util.*;

public class Main {

    private static boolean isNrc(String str) {
        if(str.toCharArray()[0] == '-')
        {
            return isNrc(str.substring(1));
        }

        for (char c :
                str.toCharArray()) {
            if(c < '0' || c > '9') return false;
        }

        return true;
    }

    private static Integer toNrc(String str) {
        Integer d = 0;
        if(str.toCharArray()[0] == '-')
        {
            return -toNrc(str.substring(1));
        }

        for (char c :
                str.toCharArray()) {
            d *= 10;
            d += (c - '0');
        }

        return d;

    }

    public static void main(String[] args) {
        ArrayList<String> list = new ArrayList<>();
        Scanner scanner = new Scanner(System.in);

        while(scanner.hasNext()){
            list.add(scanner.next().trim());
        }

        int enLvl = 0;

        Map<String, Map < Integer, Integer >> map = new HashMap<>();

        for (String cmd :
                list) {
            if(cmd.startsWith("{")) {
                enLvl++;
            }
            else if(cmd.startsWith("}")) {
                enLvl--;
            }
            else {
                String[] ar = cmd.split("=");
                String varName = ar[0];
                String target = ar[1];

                if(isNrc(target)) {
                    if(map.containsKey(varName)) {
                        Map < Integer, Integer > v = map.get(varName);
                        v.put(enLvl, toNrc(target));
                        map.put(varName, v);
                    } else {
                        Map < Integer, Integer > v = new HashMap<>();
                        v.put(enLvl, toNrc(target));
                        map.put(varName, v);
                    }
                }

                else {
                    if(!map.containsKey(target)) {
                        System.out.println(0);
                        if(map.containsKey(varName)) {
                            Map < Integer, Integer > v = map.get(varName);
                            v.put(enLvl, 0);
                            map.put(varName, v);
                        } else {
                            Map < Integer, Integer > v = new HashMap<>();
                            v.put(enLvl, 0);
                            map.put(varName, v);
                        }

                        continue;
                    }
                    else {
                        Map < Integer, Integer > v = map.get(target);
                        Set < Integer > ks = v.keySet();
                        Integer[] ksa = ks.toArray(new Integer[] {});

                        int l = 0, r = ks.size() - 1;
                        int ans = -1;

                        while(l <= r) {
                            int m = (l + r) / 2;
                            if(ksa[m] <= enLvl) {
                                ans = m;
                                l = m + 1;
                            } else {
                                r = m - 1;
                            }
                        }
                        if(ans == -1) ans = ksa[0];

                        Integer ansx = v.get(ksa[ans]);

                        System.out.println(ansx);

                        if(map.containsKey(varName)) {
                            v = map.get(varName);
                            v.put(enLvl, ansx);
                            map.put(varName, v);
                        } else {
                            v = new HashMap<>();
                            v.put(enLvl, ansx);
                            map.put(varName, v);
                        }
                    }

                }
            }
        }
    }


}

