#include <iostream>
#include <fstream>
#include <vector>
#include <algorithm>
#include <map>
#include <set>

using namespace std;

#pragma warning (disable : 4996)

int n, m;

vector<vector<pair<int, int>>> dp;
vector<vector<int>> ddd;

struct kop
{
	int d, c;
	long long p;
};

map<int, int> dd;

struct SegmentTree
{
	vector<pair<long long, int>> tree;
	int n;
	SegmentTree(int n) :n(n)
	{
		tree.resize(4 * n + 100, { 1e18, -1 });
	}
	void update(int i, long long val)
	{
		update(0, 0, n, i, val);
	}
	void update(int v, int l, int r, int i, long long val)
	{
		if (l == r - 1)
		{
			tree[v] = { val, i };
			return;
		}
		int m = (l + r) / 2;
		if (i < m)
			update(v * 2 + 1, l, m, i, val);
		else
			update(v * 2 + 2, m, r, i, val);
		if (tree[v * 2 + 1].first <= tree[v * 2 + 2].first)
		{
			tree[v] = tree[v * 2 + 1];
		} else
		{
			tree[v] = tree[v * 2 + 2];
		}
	}
	pair<long long, int> calc(int l, int r)
	{
		return calc(0, 0, n, l, r);
	}
	pair<long long, int> calc(int v, int cl, int cr, int l, int r)
	{
		if (l >= r)
			return { 1e18,-1 };
		if (l >= cr || r <= cl)
			return { 1e18,-1 };
		if (l <= cl && cr <= r)
			return tree[v];
		int m = (cl + cr) / 2;
		auto a = calc(v * 2 + 1, cl, m, l, min(m, r));
		auto b = calc(v * 2 + 2, m, cr, max(m, l), r);
		if (a.first <= b.first)
			return a;
		return b;
	}
};

vector<SegmentTree*> trees;

int main()
{
#ifdef _DEBUG
	freopen("in.txt", "r", stdin);
	freopen("out.txt", "w", stdout);
#endif
	cin >> n >> m;
	vector<kop> vk(n);
	set<int> ss;
	for (int i = 0; i < n; i++)
	{
		cin >> vk[i].d >> vk[i].c >> vk[i].p;
		ss.insert(vk[i].d);
		vk[i].c = min(vk[i].c, m);
	}
	int cnt = 0;
	for (int i : ss)
	{
		dd[i] = cnt++;
	}
	for (int i = 0; i < n; i++)
		vk[i].d = dd[vk[i].d];
	int maxd = ss.size();
	dp.resize(maxd, vector<pair<int, int>>(m, { -1,-1 }));
	ddd.resize(maxd, vector<int>(m, -1));
	trees.resize(m);
	for (int i = 0; i < m; i++)
		trees[i] = new SegmentTree(maxd);
	for (int i = 0; i < n; i++)
	{
		int x = vk[i].d;
		int y = vk[i].c;
		for (int j = m - 2; j >= m - y && j >= 0; j--)
		{
			auto f = trees[j]->calc(x, maxd);
			if (f.first < 1e18)
			{
				if (trees[m - 1]->calc(x, x + 1).first > f.first + vk[i].p) {
					trees[m - 1]->update(x, f.first + vk[i].p);
					dp[x][m - 1] = { j, f.second };
					ddd[x][m - 1] = i;
				}
			}
		}
		for (int j = m - 1; j >= y; j--)
		{
			auto f = trees[j - y]->calc(x, maxd);
			if (f.first < 1e18)
			{
				if (trees[j]->calc(x, x + 1).first > f.first + vk[i].p) {
					trees[j]->update(x, f.first + vk[i].p);
					dp[x][j] = { j-y, f.second };
					ddd[x][j] = i;
				}
			}
		}
		if (trees[y - 1]->calc(x, x + 1).first > vk[i].p) {
			trees[y - 1]->update(x, vk[i].p);
			dp[x][y - 1] = { -1,0 };
			ddd[x][y - 1] = i;
		}
	}
	auto ans = trees[m - 1]->calc(0, maxd);
	if (ans.first == 1e18)
	{
		cout << -1 << endl;
	}
	else {
		vector<int> aa;
		aa.push_back(ddd[ans.second][m - 1]);
		auto x = dp[ans.second][m - 1];
		while (x.first >= 0)
		{
			aa.push_back(ddd[x.second][x.first]);
			x = dp[x.second][x.first];
		}
		sort(aa.begin(), aa.end());
		cout << ans.first << " " << aa.size() << endl;
		for (int v : aa)
			cout << v + 1 << " ";
		cout << endl;
	}
	return 0;
}