#include <iostream>
#include <cstdint>
#include <iterator>
#include <utility>
#include <algorithm>
#include <string>
#include <vector>
#include <unordered_map>

using namespace std;

struct Scope {
	unordered_map<string, int64_t> data;
	Scope* parent;
	Scope() : data(), parent(nullptr) {

	}
	Scope(Scope* parent) : data(), parent(parent) {

	}
	const int64_t& operator[](const string& key) {
		const auto& it = data.find(key);
		if (it == data.end())
			if (parent != nullptr)
				return (*parent)[key];
			else
				return 0;
		return it->second;
	}
};

int main()
{
	string line;
	Scope root;
	Scope* cur = &root;
	while (getline(cin, line)) {
		if (line[0] == '{') {
			cur = new Scope(cur);
		}
		else if (line[0] == '}') {
			auto* v = cur;
			cur = v->parent;
			delete v;
		}
		else {
			const auto it = line.find('=');
			string name = line.substr(0, it);
			if (isdigit(line[it + 1]) || ((line[it + 1] == '-') && isdigit(line[it + 2]))) {
				const auto v = atoll(line.c_str() + it + 1);
				cur->data[name] = v;
			}
			else {
				const auto& ref = line.substr(it + 1);
				const auto v = (*cur)[ref];
				cur->data[name] = v;
				cout << v << endl;
			}
		}
	}
	return 0;
}