#include <iostream>
#include <vector>
#include<string>
#include<stack>
#include<map>
#include<set>
#include<algorithm>
using namespace std;

typedef long long ll;
ll inf = 1e9 + 1;

ll gcd(ll x, ll y) {
	return y ? gcd(y, x % y) : x;
}

struct pt {
	ll x, y;
	pt() : x(0), y(0) {}
	pt(ll x, ll y) : x(x), y(y) {}

	void scan() {
		cin >> x >> y;
	}
	pt operator-(pt p) {
		return pt(x - p.x, y - p.y);
	}
	ll operator*(pt p) {
		return x * p.y - y * p.x;
	}
	ll operator%(pt p) {
		return x * p.x + y * p.y;
	}
	ll hash() {
		ll g = gcd(abs(x), abs(y));
		ll cx = x, cy = y;
		if (cx < 0) {
			cx *= -1;
			cy *= -1;
		}
		cx /= g;
		cy /= g;
		cy += inf;
		return cy * inf + cx;
	}
	ll dir(pt a, pt b) {
		return (a - *this) * (b - *this);
	}
	ll sh(pt a, pt b) {
		return (a - *this) % (b - *this);
	}
	bool sh2(pt a, pt b) {
		return a.sh(*this, b) > 0 && b.sh(*this, a) > 0;
	}
};

vector<vector<pt>> a(2);

bool check(int n1, int n2) {
	if (a[0][n1].dir(a[0][n1 + 1], a[1][n2]) > 0 || a[1][n2].dir(a[1][n2 + 1], a[0][n1]) > 0)
		return 0;
	if (a[0][n1].sh2(a[1][n2], a[1][n2 + 1]) || a[0][n1 + 1].sh2(a[1][n2], a[1][n2 + 1]) ||
			a[1][n2].sh2(a[0][n1], a[0][n1 + 1]) || a[1][n2 + 1].sh2(a[0][n1], a[0][n1 + 1]) ||
			a[0][n1].sh(a[0][n1 + 1], a[1][n2]) == 0 && a[0][n1 + 1].sh(a[0][n1], a[1][n2 + 1]) == 0 ||
			a[0][n1].sh(a[0][n1 + 1], a[1][n2 + 1]) == 0 && a[0][n1 + 1].sh(a[0][n1], a[1][n2]) == 0)
		return 1;
	return 0;
}

int main() {
	int n[2];
	vector<map<ll, vector<int>>> mp(2);
	for (int i = 0; i < 2; i++) {
		cin >> n[i];
		a[i].resize(n[i] + 1);
		for (int j = 0; j < n[i]; j++)
			a[i][j].scan();
		a[i][n[i]] = a[i][0];
		for (int j = 0; j < n[i]; j++)
			mp[i][(a[i][j + 1] - a[i][j]).hash()].push_back(j);
	}
	for (auto v : mp[0])
		for (int x : v.second)
			for (int y : mp[1][v.first])
				if (check(x, y)) {
					cout << "YES\n" << x + 1 << ' ' << y + 1;
					return 0;
				}
	cout << "NO";
	return 0;
}