#include <iostream>
#include <algorithm>
#include <vector>


using namespace std;

pair<long long, long long> t[2001][4 * 2001];
long long dp[2001][2001];

long long a[2001], b[2001], c[2001], diam[2001];

inline void build(long long v, long long tl, long long tr, long long kek){
    if (tl == tr){
        t[kek][v] = {dp[tl][kek], tl};
        return;
    }

    long long tm = (tl + tr) >> 1;
    build((v << 1) + 1, tl, tm, kek);
    build((v << 1) + 2, tm + 1, tr, kek);

    t[kek][v] = min(t[kek][(v << 1) + 1], t[kek][(v << 1) + 2]);
}

inline pair<long long, long long> get_min(long long v, long long tl, long long tr, long long l, long long r, long long kek){
    if (l > r)
        return {LLONG_MAX / 4, -1};
    if (tl == l && tr == r){
        return t[kek][v];
    }

    long long tm = (tl + tr) >> 1;

    return min(get_min((v << 1) + 1, tl, tm, l, min(tm, r), kek), get_min((v << 1) + 2, tm + 1, tr, max(tm + 1, l), r, kek));
}

inline void update(long long v, long long tl, long long tr, long long x, long long kek){
    if (tl == tr){
        t[kek][v] = {dp[x][kek], tl};
        return;
    }

    long long tm = (tl + tr) >> 1;
    if (x <= tm)
        update((v << 1) + 1, tl, tm, x, kek);
    else
        update((v << 1) + 2, tm + 1, tr, x, kek);
    t[kek][v] = min(t[kek][(v << 1) + 1], t[kek][(v << 1) + 2]);
}

pair<long long, long long> meme[2001];
long long took[2001][2001];
long long pr[2001][2001];
long long prs[2001][2001];

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    long long n, m;
    cin >> n >> m;
    for (long long i = 0; i < n; i++){
        cin >> a[i] >> b[i] >> c[i];
        meme[i] = {a[i], i};
    }

    sort(meme, meme + n);
    long long now = 0;
    for (long long i = 0; i < n; i++){
        if (i != 0 && meme[i].first != meme[i - 1].first)
            now++;
        diam[meme[i].second] = now;
    }

    for (long long i = 0; i <= 2000; i++)
        for (long long j = 0; j <= 2000; j++){
            dp[i][j] = LLONG_MAX / 4;
            took[i][j] = -1;
        }
    dp[2000][0] = 0;

    for (long long i = 0; i <= 2000; i++)
        build(0, 0, 2000, i);

    for (long long i = 0; i < n; i++){
        for (long long j = 0; j <= 2000; j++){
            long long now = min(j + b[i], 2000);
            auto keke = get_min(0, 0, 2000, diam[i], 2000, j);
            keke.first += c[i];
            if (dp[diam[i]][now] > keke.first){
                dp[diam[i]][now] = keke.first;
                prs[diam[i]][now] = keke.second;
                pr[diam[i]][now] = j;
                took[diam[i]][now] = i;
            }
        }
        for (long long j = 0; j <= 2000; j++){
            update(0, 0, 2000, diam[i], min(j + b[i], 2000));
        }
    }

    long long ans = LLONG_MAX;
    long long x, y;
    for (long long i = 0; i <= 2000; i++){
        for (long long j = m; j <= 2000; j++){
            if (ans > dp[i][j]){
                ans = dp[i][j];
                x = i, y = j;
            }
        }
    }

    if (ans == LLONG_MAX / 4){
        cout << -1 << '\n';
        return 0;
    }

    vector<long long> ve;
    cout << ans << ' ';
    while (x != 2000){
        if (took[x][y] != -1){
            ve.push_back(took[x][y] + 1);
        }
        long long xx = prs[x][y];
        long long yy = pr[x][y];
        x = xx, y = yy;
    }

    cout << ve.size() << '\n';
    reverse(ve.begin(), ve.end());
    for (long long i = 0; i < (long long)ve.size(); i++)
        cout << ve[i] << ' ';
    cout << '\n';
    return 0;
}
