#include <iostream>
#include <algorithm>
#include <vector>

#pragma GCC optimize("O3")


using namespace std;

pair<long long, int> t[4001][4100];
long long dp[2001][4001];

int a[2001], b[2001], c[2001], diam[2001];

inline void build(int v, int tl, int tr, int kek){
    if (tl == tr){
        t[kek][v] = {dp[tl][kek], tl};
        return;
    }

    int tm = (tl + tr) >> 1;
    build((v << 1) + 1, tl, tm, kek);
    build((v << 1) + 2, tm + 1, tr, kek);

    t[kek][v] = min(t[kek][(v << 1) + 1], t[kek][(v << 1) + 2]);
}

inline pair<long long, int> get_min(int v, int tl, int tr, int l, int r, int kek){
    if (l > r)
        return {LLONG_MAX, -1};
    if (tl == l && tr == r){
        return t[kek][v];
    }

    int tm = (tl + tr) >> 1;

    return min(get_min((v << 1) + 1, tl, tm, l, min(tm, r), kek), get_min((v << 1) + 2, tm + 1, tr, max(tm + 1, l), r, kek));
}

inline void update(int v, int tl, int tr, int x, int kek){
    if (tl == tr){
        t[kek][v] = {dp[x][kek], tl};
        return;
    }

    int tm = (tl + tr) >> 1;
    if (x <= tm)
        update((v << 1) + 1, tl, tm, x, kek);
    else
        update((v << 1) + 2, tm + 1, tr, x, kek);
    t[kek][v] = min(t[kek][(v << 1) + 1], t[kek][(v << 1) + 2]);
}

pair<int, int> meme[2001];
int took[2001][4001];
int pr[2001][4001];
int prs[2001][4001];

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    int n, m;
    cin >> n >> m;
    for (int i = 0; i < n; i++){
        cin >> a[i] >> b[i] >> c[i];
        meme[i] = {a[i], i};
    }

    sort(meme, meme + n);
    int now = 0;
    for (int i = 0; i < n; i++){
        if (i != 0 && meme[i].first != meme[i - 1].first)
            now++;
        diam[meme[i].second] = now;
    }

    for (int i = 0; i <= 2000; i++)
        for (int j = 0; j <= 4000; j++){
            dp[i][j] = LLONG_MAX / 4;
            took[i][j] = -1;
        }
    dp[2000][0] = 0;

    for (int i = 0; i <= 4000; i++)
        build(0, 0, 2000, i);

    for (int i = 0; i < n; i++){
        for (int j = b[i]; j <= 4000; j++){
            auto keke = get_min(0, 0, 2000, diam[i], 2000, j - b[i]);
            keke.first += c[i];
            if (dp[diam[i]][j] > keke.first){
                dp[diam[i]][j] = keke.first;
                prs[diam[i]][j] = keke.second;
                pr[diam[i]][j] = j - b[i];
                took[diam[i]][j] = i;
            }
        }
        for (int j = b[i]; j <= 4000; j++){
            update(0, 0, n, diam[i], j);
        }
    }

    long long ans = LLONG_MAX;
    int x, y;
    for (int i = 0; i <= 1999; i++){
        for (int j = m; j <= 4000; j++){
            if (ans > dp[i][j]){
                ans = dp[i][j];
                x = i, y = j;
            }
        }
    }

    if (ans == LLONG_MAX / 4){
        cout << -1 << '\n';
        return 0;
    }

    vector<int> ve;
    cout << ans << ' ';
    while (x != 2000){
        if (took[x][y] != -1){
            ve.push_back(took[x][y] + 1);
        }
        int xx = prs[x][y];
        int yy = pr[x][y];
        x = xx, y = yy;
    }

    cout << ve.size() << '\n';
    reverse(ve.begin(), ve.end());
    for (int i = 0; i < (int)ve.size(); i++)
        cout << ve[i] << ' ';
    cout << '\n';
    return 0;
}
