import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.util.Arrays;
import java.util.Locale;
import java.util.StringTokenizer;

public class A {
    public void solve() throws IOException {
    	String str =  nextToken();
    	
    	int n = str.length();
    	int[] arr = new int[n + 1];
    	arr[0] = 0;
    	
    	for (int i = 0; i < n; i++ ) {
    		if (str.charAt(i) == '1') {
    			arr[i + 1] = arr[i] + 1;
    		} else {
    			arr[i + 1] = arr[i];
    		}
    	}
    	
    	int left = 0;
    	int right = n + 1;
    	
    	int ans1 = -1;
    	int ans2 = -1;
    	
    	while (left < right - 1) {
    		int mid = (left + right) / 2;
    		
    		boolean flag = false;
    		
    		int[] ans = new int[mid + 1];
    		Arrays.fill(ans, -1);
    		
    		for (int i = 0; i < n - mid + 1; i++) {
    			if (ans[arr[i + mid] - arr[i]] != -1) {
    				ans1 = ans[arr[i + mid] - arr[i]];
    				ans2 = i;
    				flag = true;
    				break;
    			} else {
    				ans[arr[i + mid] - arr[i]] = i;
    			}
    		}
    		
    		if (flag) {
    			left = mid;
    		} else {
    			right = mid;
    		}
    	}
    	
    	out.println(ans1 + 1 + " " + (ans1 + left) + " " + (ans2 + 1) + " " + (ans2 + left));
    }

    public void run() {
        try {
            br = new BufferedReader(new InputStreamReader(System.in)); 
            out = new PrintWriter(System.out);

            solve();

            out.close();
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(1);
        }
    }

    BufferedReader br;
    StringTokenizer in;
    PrintWriter out;

    public String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }

    public static void main(String[] args) throws IOException {
        Locale.setDefault(Locale.US);
        new A().run();
    }

}
