#define _CRT_SECURE_NO_WARNINGS
#include <algorithm>
#include <iostream>
#include <string>
#include <vector>

using namespace std;

void run();

typedef long long ll;

#define rep(i, s, t) for (auto i = (s); i < (t); ++(i))
#define sz(x) ((int) (x).size())

int main() {
	ios::sync_with_stdio(0);
	cin.tie(0);
	cout.tie(0);
#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
#endif
	run();
#ifdef _DEBUG
	cerr << endl << "OK" << endl;
	while (1);
#endif
	return 0;
}

#define int long long

int a, b;
int pows[12];
const int MAXN = 5e5;
bool prime[MAXN];
int ans = 0;
vector<int> primes;

bool chprime(int k) {
	if (k < MAXN) 
		return prime[k];
	for (int i = 0; primes[i] * primes[i] <= k && i < primes.size(); i++) {
		if (!(k % primes[i]))
			return false;
	}
	return true;
}

void dfs(int cur, int clen) {
	if (a <= cur && cur <= b) {
		ans++;
	}
	for (int i = 1; i < 10; i++) {
		int nn = pows[clen] * i + cur;
		if (nn > b || !chprime(nn))
			continue;
		dfs(nn, clen + 1);
	}
}

void run() {
	cin >> a >> b;
	pows[0] = 1;
	for (int i = 1; i < 12; i++) {
		pows[i] = pows[i - 1] * 10;
	}
	for (int i = 2; i < MAXN; i++) {
		prime[i] = true;
	}
	prime[0] = false;
	prime[1] = false;
	for (int i = 2; i < MAXN; i++) {
		if (prime[i])
			primes.push_back(i);
		for (int j = i + i; j < MAXN; j += i)
			prime[j] = false;
	}
	for (int i = 2; i < 10; i++) {
		if (prime[i])
			dfs(i, 1);
	}
	cout << ans;
}