#include <bits/stdc++.h>
#define ll long long
#define null NULL

using namespace std;

struct node {
    int val, tl, tr;
    node *l, *r;
    node (int _val, int _tl, int _tr, node *_l, node *_r): val(_val), tl(_tl), tr(_tr), l(_l), r(_r) {}
};

node* build(int tl, int tr) {
    if (tl == tr)
        return new node(0, tl, tr, null, null);
    int tm = (tl + tr) / 2;
    return new node(0, tl, tr, build(tl, tm), build(tm + 1, tr));
}

node* update(node *t, int pos, int val) {
    int tl = t->tl, tr = t->tr;
    if (tl == tr) {
        return new node(val, tl, tr, null, null);
    }
    else {
        int tm = (tl + tr) / 2;
        if (pos <= tm) {
            node* new_l = update(t->l, pos, val);
            return new node(min(new_l->val, t->r->val), tl, tr, new_l, t->r);
        }
        else {
            node* new_r = update(t->r, pos, val);
            return new node(min(t->l->val, new_r->val), tl, tr, t->l, new_r);
        }
    }
}

int get(node* t, int pos) {
    int tl = t->tl, tr = t->tr;
    if (tl == tr)
        return t->val;
    else {
        int tm = (tl + tr) / 2;
        if (pos <= tm)
            return get(t->l, pos);
        else
            return get(t->r, pos);
    }
}

vector<node*> roots;
vector<string> s;
map<string, int> mp;
int n = 0;

void add_str(string str) {
    if (mp.find(str) == mp.end()) {
        mp[str] = n;
        n++;
    }
}

struct query {
    int t, s1, s2;
};

vector<query> q;

int str_to_int(string str) {
    int mns = 0;
    if (str[0] == '-')
        mns = 1;
    int pw = 1, res = 0;
    for (int i = str.size() - 1; i >= mns; --i) {
        res += pw * (str[i] - '0');
        pw *= 10;
    }
    if (mns)
        res = -res;
    return res;
}

int main()
{
    ios_base::sync_with_stdio(false);
    string str;
    while (cin >> str) {
        s.push_back(str);
    }
    int m = s.size();
    for (int i = 0; i < m; ++i) {
        if (s[i] == "{")
            q.push_back({0, 0, 0});
        if (s[i] == "}")
            q.push_back({1, 0, 0});
        for (int j = 0; j < s[i].size(); ++j) {
            if (s[i][j] == '=') {
                string s1, s2;
                s1 = s[i].substr(0, j);
                s2 = s[i].substr(j + 1, s[i].size() - j - 1);
                if (('0' <= s[i][j + 1] && s[i][j + 1] <= '9') || s[i][j + 1] == '-') {
                    add_str(s1);
                    q.push_back({2, mp[s1], str_to_int(s2)});
                }
                else {
                    add_str(s1);
                    add_str(s2);
                    q.push_back({3, mp[s1], mp[s2]});
                }
            }
        }
    }
    roots.push_back(build(0, n - 1));
    vector<int> st;
    int cur = 0;
    for (int i = 0; i < q.size(); ++i) {
        if (q[i].t == 0) {
            st.push_back(cur);
        }
        if (q[i].t == 1) {
            cur = st.back();
            st.pop_back();
        }
        if (q[i].t == 2) {
            roots.push_back(update(roots[cur], q[i].s1, q[i].s2));
            cur = roots.size() - 1;
        }
        if (q[i].t == 3) {
            int new_val = get(roots[cur], q[i].s2);
            cout << new_val << endl;
            roots.push_back(update(roots[cur], q[i].s1, new_val));
            cur = roots.size() - 1;
        }
    }
    return 0;
}
