#include <bits/stdc++.h>

using namespace std;

//#define int int64_t
typedef long long ll;

const int M = 2 * 1e5 + 1;
const ll INF = 1e18;

vector<vector<int> > v;
vector<vector<pair<int, int> > > w;
vector<tuple<int, int, int> > r;
ll dist[M];
int n, m, good[M];

void fnd_dist()
{
    set<pair<ll, int> > q;
    for (int i = 0; i < n; i++)
    {
        dist[i] = INF;
        q.insert(make_pair(dist[i], i));
    }
    dist[n] = 0;
    q.insert(make_pair(dist[n], n));
    while (!q.empty())
    {
        int x = q.begin()->second;
        q.erase(q.begin());
        for (pair<int, int> t : w[x])
        {
            int p = t.first;
            int wei = t.second;
            if (dist[p] > dist[x] + wei)
            {
                q.erase(make_pair(dist[p], p));
                dist[p] = dist[x] + wei;
                q.insert(make_pair(dist[p], p));
            }
        }
    }
}

int rng[M], parent[M], now, ww[M];

void build(int k)
{
    for (int i = 0; i < k; i++)
        rng[i] = 0, parent[i] = i, ww[i] = 0;
}

int find_set(int x)
{
    if (parent[x] == x)
        return x;
    return parent[x] = (find_set(parent[x]));
}

void merge_set(int a, int b)
{
    a = find_set(a);
    b = find_set(b);
    if (a == b)
        return;
    if (rng[a] > rng[b])
        swap(a, b);
    now -= ww[a] + ww[b];
    ww[b] = 1;
    now++;
    parent[a] = b;
    if (rng[a] == rng[b])
        rng[b]++;
}

void sett(int x)
{
    x = find_set(x);
    now -= ww[x];
    ww[x] = 1;
    now++;
}

int32_t main()
{
    //freopen("input.txt", "r", stdin);
    cin.sync_with_stdio(0);
    cin >> n;
    v.resize(n);
    w.resize(n + 1);
    for (int i = 0; i < n - 1; i++)
    {
        int s, f, c;
        cin >> s >> f >> c;
        s--, f--;
        w[s].push_back(make_pair(f, c));
        w[f].push_back(make_pair(s, c));
        v[s].push_back(i);
        v[f].push_back(i);
        r.push_back(make_tuple(s, f, c));
    }
    cin >> m;
    for (int i = 0; i < m; i++)
    {
        cin >> good[i];
        good[i]--;
        w[n].push_back(make_pair(good[i], 0));
        w[good[i]].push_back(make_pair(n, 0));
    }
    fnd_dist();
    vector<tuple<ll, int, bool> > e;
    int it = 0;
    for (int i = 0; i < n; i++)
        e.push_back(make_tuple(2 * dist[i], i, true));
    for (tuple<int, int, int> t : r)
    {
        int s = get<0>(t);
        int f = get<1>(t);
        ll l = get<2>(t);
        ll d1 = dist[s];
        ll d2 = dist[f];
        if (d1 > d2)
            swap(d1, d2);
        ll kill = 0;
        if (d2 >= d1 + l)
            kill = 2 * (d1 + l);
        else
            kill = 2 * (d2 - d1) + (l + d1 - d2);
        e.push_back(make_tuple(kill, it, false));
        it++;
    }
    sort(e.rbegin(), e.rend());
    //for (tuple<ll, int, bool> t : e)
    //    cerr << get<0>(t) << " " << get<1>(t) << " " << get<2>(t) << "\n";
    build(2 * n - 1);
    ll pr = -1;
    int ans = 0;
    for (tuple<ll, int, bool> t : e)
    {
        if (pr != get<0>(t))
            ans = max(ans, now);
        pr = get<0>(t);
        int s = get<1>(t);
        bool f = get<2>(t);
        //cerr << s << " " << f << "\n";
        if (!f)
        {
            sett(s + n);
            continue;
        }
        for (int x : v[s])
            merge_set(s, x + n);
    }
    ans = max(ans, now);
    cout << ans;
    return 0;
}
