#include <bits/stdc++.h>

using namespace std;

#define int int64_t

const int MAXN = 2e3 + 10;
const int INF = 1e18;

int n, m;
int d[MAXN], c[MAXN], p[MAXN];
vector <int> all_d;

int find_d(int cur_d) {
    int l = 0, r = (int)all_d.size();
    while (r - l > 1) {
        int m = (l + r) / 2;
        if (all_d[m] == cur_d)
            return m;
        else if (all_d[m] > cur_d)
            l = m;
        else
            r = m;
    }
    return l;
}

pair <int, int> p_[MAXN][2 * MAXN];

void init() {
    for (int i = 0; i < MAXN; i++)
        for (int j = 0; j < 2 * MAXN; j++)
            p_[i][j] = make_pair(INF, -1);
}

void add(int i, int s, pair <int, int> val) {
    for (; i < n + 1; i |= (i + 1))
        if (p_[i][s] > val)
            p_[i][s] = val;
}

pair <int, int> get_val(int i, int s) {
    pair <int, int> res = make_pair(INF, -1);
    for (; i >= 0; i = (i & (i + 1)) - 1)
        if (res > p_[i][s])
            res = p_[i][s];
    return res;
}

int dp[MAXN][2 * MAXN];
int parent[MAXN][2 * MAXN];

vector <int> ans;

void out(int i, int s) {
    if (i == -1)
        return;
    out(parent[i][s], s - c[i - 1]);
    ans.push_back(i - 1);
}

int32_t main()
{
    //freopen("input.txt", "r", stdin);

    cin >> n >> m;
    for (int i = 0; i < n; i++) {
        cin >> d[i] >> c[i] >> p[i];
        all_d.push_back(d[i]);
    }

    all_d.push_back(INF);
    sort(all_d.rbegin(), all_d.rend());

    init();

    for (int i = 1; i < n; i++)
        for (int s = 0; s <= 2 * m + 10; s++)
            dp[i][s] = INF, parent[i][s] = -1;
    dp[0][0] = 0;
    add(0, 0, make_pair(0, -1));

    for (int i = 1; i <= n; i++) {
        dp[i][0] = 0;
        for (int s = 1; s <= 2 * m + 10; s++) {
            if (s - c[i - 1] >= 0) {
                int pos = find_d(d[i - 1]);
                pair <int, int> g = get_val(pos, s - c[i - 1]);
                dp[i][s] = g.first + p[i - 1];
                parent[i][s] = g.second;
                //cout << "dp[" << i << "][" << s << "] = " << dp[i][s] << " = get_val(" << d[pos] << ".., " << s - c[i - 1] << ") + " << p[i - 1] << endl;
            }
        }
        for (int s = 1; s <= 2 * m + 10; s++) {
            if (s - c[i - 1] >= 0) {
                int pos = find_d(d[i - 1]);
                add(pos, s, make_pair(dp[i][s], i));
            }
        }
    }

    int res = INF, i_ = -1, s_ = -1;
    for (int i = 1; i <= n; i++)
        for (int s = m; s <= 2 * m + 10; s++)
            if (s - c[i - 1] >= 0 && res > dp[i][s]) {
                res = dp[i][s], i_ = i, s_ = s;
            }

    if (res >= INF) {
        cout << -1 << endl;
        return 0;
    } else {
        out(i_, s_);
        cout << res << " " << (int)ans.size() << endl;
        for (int i = 0; i < (int)ans.size(); i++)
            cout << ans[i] + 1 << " ";
        cout << endl;
    }

    return 0;
}
