#include <bits/stdc++.h>

using namespace std;
const double PI = 3.141592653589793;
struct storon{
    double x, y, x1, y1, x2, y2, angle;
    int n, t;
    storon(double xx1, double yy1, double xx2, double yy2, int i, int type){
        n = i;
        x1 = xx1;
        x2 = xx2;
        y1 = yy1;
        y2 = yy2;
        x = xx2 - xx1;
        y = yy2 - yy1;
        angle = atan2(y, x);
        if (angle < 0)
            angle += PI;
        if (angle >= PI)
            angle -= PI;
        t = type;
    }
    storon();
};
const double EPS = 1e-7;
struct line{
    double a, b, c;
    line(double x1, double y1, double x2, double y2){
        a = (y2 - y1);
        b = (x1 - x2);
        c = -a*x1 -b*y1;
    }
};
bool comp(storon a, storon b){
    if (a.angle < b.angle){
        return 1;
    }
    return 0;
}
pair<bool, bool> intersect(line z, double x1, double y1, double x2, double y2){
    line tec = line(x1, y1, x2, y2);
    if (fabs(z.a - 0) < EPS){
        swap(tec, z);
    }
    tec.b -= z.b / z.a * tec.a;
    tec.c -= z.c / z.a * tec.a;
    double yy1 = -tec.c / tec.b;
    double xx1 = (-z.c - z.b * yy1) / z.a;
    if (((xx1 - x1) > 0 && (x2 - xx1) > 0 ) || ((yy1 - y1) > 0 && (y2 - yy1) > 0)){
        return {1,0};
    }else
        if (((xx1 - x1) == 0 && (yy1 - y1) == 0 ) || ((y2 - yy1) == 0 && (x2 - xx1) == 0))
            return {1, 1};
        else
            return {0, 0};
}
line perp(line a, double xx, double yy){
    double x1 = xx + a.a;
    double y1 = yy + a.b;
    return line(xx, yy ,x1,y1);
}
vector<pair<double, double> >ot1;
vector<pair<double, double> >ot2;
vector<storon>ev;
vector<storon>a1;
vector<storon>a2;
bool is_dif(line a, double x1, double y1, double x2, double y2){
    double k1 = a.a * x1 + a.b * y1 + a.c;
    double k2 = a.a * x2 + a.b * y2 + a.c;
    if ((k1 > EPS && k2 < -EPS) || (k1 < -EPS && k2 > EPS))
        return 1;
    return 0;
}
int main()
{
    int n;
    cin >> n;
    for (int i = 0; i < n; i++){
        double x, y;
        cin >> x >> y;
        ot1.push_back({x, y});
        if (i){
            a1.push_back(storon(ot1[i - 1].first, ot1[i - 1].second, x, y, i - 1, 0));
            ev.push_back(a1[a1.size() - 1]);
        }
    }
    a1.push_back(storon(ot1[ot1.size() - 1].first, ot1[ot1.size() - 1].second, ot1[0].first, ot1[0].second, n - 1, 0));
    ev.push_back(a1[a1.size() - 1]);
    int m;
    cin >> m;
    for (int i = 0; i < m; i++){
        double x, y;
        cin >> x >> y;
        ot2.push_back({x, y});
        if (i){
            a2.push_back(storon(ot2[i - 1].first, ot2[i - 1].second, x, y, i - 1, 1));
            ev.push_back(a2[a2.size() - 1]);
        }
    }
    a2.push_back(storon(ot2[ot2.size() - 1].first, ot2[ot2.size() - 1].second, ot2[0].first, ot2[0].second, m - 1, 1));
    ev.push_back(a2[a2.size() - 1]);
    sort(ev.begin(), ev.end(), comp);
   /* for (int i = 0; i < ev.size(); i++){
        cout << ev[i].x1 << " " << ev[i].y1 << " " << ev[i].x2 << " " << ev[i].y2 <<" "  <<ev[i].angle <<endl;
    }*/
    for (int i = 0; i < ev.size(); i++){
        auto tmp = ev[i];
        vector<storon>f1, f2;
        double cur = ev[i].angle;
        if (ev[i].t == 0)
            f1.push_back(ev[i]);
        else
            f2.push_back(ev[i]);
        i++;
        tmp = ev[i];
        while (i < ev.size() && fabs(ev[i].angle - cur) < EPS){
            auto tt = ev[i];
            if (ev[i].t == 0)
                f1.push_back(ev[i]);
            else
                f2.push_back(ev[i]);
            i++;
        }
        i--;
        for (int i1 = 0; i1 < f1.size() ;i1++)
            for (int i2 = 0; i2 < f2.size(); i2++){
                storon a = f1[i1];
                storon b = f2[i2];
                line la = line(a.x1, a.y1, a.x2, a.y2);
                line lb = line(b.x1, b.y1, b.x2, b.y2);
                auto t1 = intersect(perp(la, a.x1, a.y1), b.x1, b.y1, b.x2, b.y2);
                auto t2 = intersect(perp(la, a.x2, a.y2), b.x1, b.y1, b.x2, b.y2);
                auto t3 = intersect(perp(lb, b.x1, b.y1), a.x1, a.y1, a.x2, a.y2);
                auto t4 = intersect(perp(lb, b.x2, b.y2), a.x1, a.y1, a.x2, a.y2);
                if ((t1.first || t2.first || t3.first || t4.first) && t1.second + t2.second + t3.second + t4.second != 2){
                    storon bb = a1[(a.n + 1) % n];
                    storon cc = a2[(b.n + 1) % m];
                    if (is_dif(la, bb.x2, bb.y2, b.x1, b.y1) && is_dif(lb, cc.x2, cc.y2, a.x1, a.x2)){
                        cout << "YES\n";
                        cout << a.n + 1 << " " << b.n + 1 << endl;
                        return 0;
                    }
                }

        }
    }
    cout << "NO";
    return 0;
}
