#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

struct pt {
    ll x, y;
    pt() {}
    pt(pt A, pt B): x(B.x - A.x), y(B.y - A.y) {}
    ll operator * (pt b) { return x * b.x + y * b.y; }
    ll operator % (pt b) { return x * b.y - y * b.x; }
};

struct line {
    ll a, b, c;

    line() {}
    line(pt M, pt N) {
        a = N.y - M.y;
        b = M.x - N.x;
        c = -(a * M.x + b * M.y);
    }

    ll get(pt C) {
        return a * C.x + b * C.y + c;
    }

    void norm() {
        ll t = __gcd(abs(a), abs(b));
        a /= t, b /= t;
        if (a < 0) a *= -1, b *= -1, c *= -1;
        if (a == 0 && b < 0) a *= -1, b *= -1, c *= -1;
    }

};

int sgn(ll x) {
    if (x < 0) return -1;
    if (x > 0) return 1;
    assert(0);
}

map<pair<ll, ll>, vector<int> > MP;

bool check(pt A, pt B, pt C) {
    ll s1 = pt(A, B) * pt(A, C);
    ll s2 = pt(B, A) * pt(B, C);

    if (s1 > 0 && s2 > 0) return true;
    //if (s1 > 0 && s2 >= 0) return true;
    return false;
}

int main() {
#ifdef WIN
    freopen("01", "r", stdin);
#endif // WIN
    ios_base::sync_with_stdio(0);
    cin.tie(0);

    int n; cin >> n;
    vector<pt> A(n);
    for (int i = 0; i < n; i++) cin >> A[i].x >> A[i].y;

    int m; cin >> m;
    vector<pt> B(m);
    for (int i = 0; i < m; i++) cin >> B[i].x >> B[i].y;


    for (int i = 0; i < m; i++) {
        line cur(B[i], B[(i + 1) % m]);
        cur.norm();
        MP[{ cur.a, cur.b }].push_back(i);
    }

    for (int i = 0; i < n; i++) {
        line Q(A[i], A[(i + 1) % n]);
        Q.norm();

        for (int j : MP[{ Q.a, Q.b }]) {
            line N(B[j], B[(j + 1) % m]);


            line M(A[i], A[(i + 1) % n]);

            //cout << i << " " << j << "\n";

            int ok = 0;
            if (check(A[i], A[(i + 1) % n], B[j])) ok = 1;
            if (check(A[i], A[(i + 1) % n], B[(j + 1) % m])) ok = 1;
            if (check(B[j], B[(j + 1) % m], A[i])) ok = 1;
            if (check(B[j], B[(j + 1) % m], A[(i + 1) % n])) ok = 1;

            if (pt(A[i], A[(i + 1) % n]) * pt(A[i], B[j]) == 0) ok = 1;
            if (pt(A[i], A[(i + 1) % n]) * pt(A[i], B[(j + 1) % m]) == 0) ok = 1;

            if (ok && sgn(M.get(A[(i + 2) % n])) != sgn(M.get(B[j])) &&
                sgn(N.get(B[(j + 2) % m])) != sgn(N.get(A[i])))
                    cout << "YES\n" << i + 1 << " " << j + 1 << "\n", exit(0);
        }
    }
    cout << "NO\n";

    return 0;
}

