#include <bits/stdc++.h>

#define ll long long
#define rep(i, l, r) for (int i = l; i < r; i++)
#define repb(i, l, r) for (int i = l; i > r; i--)
#define fi first
#define se second
#define sz(a) (int)a.size()

using namespace std;

const int maxN = 2005;
const ll INF = 1e18;

struct Point
{
    ll x, y;
    int id;
    Point() {}
    Point(ll x, ll y) : x(x), y(y) {}
    ll len() { return x * x + y * y; }
};

Point operator - (Point p1, Point p2) { return Point(p1.x - p2.x, p1.y - p2.y); }

ll operator * (Point p1, Point p2) { return p1.x * p2.x + p1.y * p2.y; }

ll operator % (Point p1, Point p2) { return p1.x * p2.y - p2.x * p1.y; }

bool comp(Point p1, Point p2)
{
    return p1 % p2 > 0;
}

vector<Point> init(vector<Point> a)
{
    int n = sz(a);
    vector<Point> res(n);
    rep(i, 0, n)
    {
        res[i] = a[(i + 1) % n] - a[i];
        res[i].id = i;
    }
    return res;
}

void change(vector<Point> &a)
{
    int n = sz(a);
    rep(i, 0, n)
        if (a[i].y < 0 || (a[i].y == 0 && a[i].x < 0))
        {
            a[i].x *= -1;
            a[i].y *= -1;
        }
}

bool check(Point a, Point b, Point p)
{
    return ((b - a) * (p - a) > 0 && (a - b) * (p - b) > 0);
}

bool check_inter(Point a1, Point b1, Point a2, Point b2)
{
    if ((b1 - a1) % (b2 - a1) == 0)
        return false;
    if (check(a2, b2, a1)) return true;
    if (check(a2, b2, b1)) return true;
    if (check(a1, b1, a2)) return true;
    if (check(a1, b1, b2)) return true;
    if ((b1 - a1).len() == (b2 - a2).len())
    {
        if ((b1 - a1) * (a2 - a1) == 0 && (a1 - b1) * (b2 - b1) == 0)
            return true;
        if ((b1 - a1) * (b2 - a1) == 0 && (a1 - b1) * (a2 - b1) == 0)
            return true;
    }
    return false;
}

int main()
{
    //freopen("in.txt", "r", stdin);
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    int n;
    cin >> n;
    vector<Point> a(n), A(n);
    rep(i, 0, n)
    {
        cin >> a[i].x >> a[i].y;
        A[i] = a[i];
    }
    a = init(a);
    change(a);
    sort(a.begin(), a.end(), comp);
    int m;
    cin >> m;
    vector<Point> b(m), B(m);
    rep(i, 0, m)
    {
        cin >> b[i].x >> b[i].y;
        B[i] = b[i];
    }
    b = init(b);
    change(b);
    sort(b.begin(), b.end(), comp);

    rep(i, 0, n)
    {
        int pos = lower_bound(b.begin(), b.end(), a[i], comp) - b.begin();
        while (pos < sz(b) && a[i] % b[pos] == 0)
        {
            Point a1 = A[a[i].id], b1 = A[(a[i].id + 1) % n];
            Point a2 = B[b[pos].id], b2 = B[(b[pos].id + 1) % m];
            if (!check_inter(a1, b1, a2, b2))
            {
                pos++;
                continue;
            }
            Point r = A[(a[i].id + 2) % n];
            ll v1 = (b1 - a1) % (b2 - a1);
            ll v2 = (b1 - a1) % (r - a1);
            if ((v1 > 0 && v2 > 0) || (v1 < 0 && v2 < 0))
            {
                pos++;
                continue;
            }

            r = B[(b[pos].id + 2) % m];
            v1 = (b2 - a2) % (b1 - a2);
            v2 = (b2 - a2) % (r - a2);
            if ((v1 > 0 && v2 > 0) || (v1 < 0 && v2 < 0))
            {
                pos++;
                continue;
            }

            cout << "YES\n";
            cout << a[i].id + 1 << " " << b[pos].id + 1 << "\n";
            return 0;
        }
    }
    cout << "NO\n";
    return 0;
}
