#include <iostream>
#include <cmath>

struct vertex
{
    int x;
    int y;
};

struct edge
{
    vertex *a;
    vertex *b;
    long long int xd;
    long long int yd;
    int id;
};

int n;
int m;

int af = 0;
int ab = 0;
int bf = 0;
int bb = 0;

vertex a[200000];
vertex b[200000];

edge paF[200000];
edge paB[200000];
edge pbF[200000];
edge pbB[200000];
edge temp[200000];

void mergesort(edge *data, int length)
{
    if (length < 2)
        return;

    int lenA = length / 2;
    int lenB = length - lenA;
    edge *dataA = data;
    edge *dataB = data + lenA;

    mergesort(dataA, lenA);
    mergesort(dataB, lenB);

    int pA = 0;
    int pB = 0;

    while (pA < lenA && pB < lenB)
    {
        if (dataB[pB].yd * dataA[pA].xd < dataA[pA].yd * dataB[pB].xd)
        {
            temp[pA + pB] = dataB[pB];
            pB++;
        } else
        {
            temp[pA + pB] = dataA[pA];
            pA++;
        }
    }

    while (pA < lenA)
    {
        temp[pA + pB] = dataA[pA];
        pA++;
    }

    while (pB < lenB)
    {
        temp[pA + pB] = dataB[pB];
        pB++;
    }

    for (int i = 0; i < length; i++)
        data[i] = temp[i];
}

bool check(edge a, edge b, int &pa, int &pb)
{
    //std::cout << "Checking (" << a.id << ") with (" << b.id << ")" << std::endl;
    long long int ac = a.yd * b.xd;
    long long int bc = b.yd * a.xd;
    if (ac < bc)
    {
        pa++;
        //std::cout << "atan smaller" << std::endl;
    } else if (ac > bc)
    {
        pb++;
        //std::cout << "btan smaller" << std::endl;
    } else
    {
        long long int nx = a.yd;
        long long int ny = -a.xd;

        long long int xtdist = (long long int) b.a->x - (long long int) a.a->x;
        long long int ytdist = (long long int) b.a->y - (long long int) a.a->y;

        if (xtdist * nx + ytdist * ny > 0)
        {
            long long int amax = a.a->x * a.xd + a.a->y * a.yd;
            long long int amin = a.b->x * a.xd + a.b->y * a.yd;
            long long int bmax = b.a->x * a.xd + b.a->y * a.yd;
            long long int bmin = b.b->x * a.xd + b.b->y * a.yd;

            if (amax < amin)
            {
                long long int temp = amax;
                amax = amin;
                amin = temp;
            }

            if (bmax < bmin)
            {
                long long int temp = bmax;
                bmax = bmin;
                bmin = temp;
            }

            //std::cout << amin << ", " << amax << ", " << bmin << ", " << bmax << std::endl;

            if ((amax > bmin && amax <= bmax) || (amin < bmax && amin >= bmin))
            {
                return true;
            }
        }
        pa++;
        pb++;
    }
    return false;
}

int main()
{
    std::ios::sync_with_stdio(false);

    std::cin >> n;

    for (int i = 0; i < n; i++)
        std::cin >> a[i].x >> a[i].y;

    std::cin >> m;

    for (int i = 0; i < m; i++)
        std::cin >> b[i].x >> b[i].y;

    temp[0].a = &a[n - 1];
    temp[0].b = &a[0];
    temp[0].id = n;

    temp[0].xd = (long long int) a[0].x - (long long int) a[n - 1].x;
    temp[0].yd = (long long int) a[0].y - (long long int) a[n - 1].y;

    if ((temp[0].xd > 0) || (temp[0].xd == 0 && temp[0].yd > 0))
        paF[af++] = temp[0];
    else
        paB[ab++] = temp[0];

    for (int i = 1; i < n; i++)
    {
        temp[i].a = &a[i - 1];
        temp[i].b = &a[i];
        temp[i].id = i;

        temp[i].xd = (long long int) a[i].x - (long long int) a[i - 1].x;
        temp[i].yd = (long long int) a[i].y - (long long int) a[i - 1].y;

        if ((temp[i].xd > 0) || (temp[i].xd == 0 && temp[i].yd > 0))
            paF[af++] = temp[i];
        else
            paB[ab++] = temp[i];
    }

    temp[0].a = &b[m - 1];
    temp[0].b = &b[0];
    temp[0].id = m;

    temp[0].xd = (long long int) b[0].x - (long long int) b[n - 1].x;
    temp[0].yd = (long long int) b[0].y - (long long int) b[n - 1].y;

    if ((temp[0].xd > 0) || (temp[0].xd == 0 && temp[0].yd > 0))
        pbF[bf++] = temp[0];
    else
        pbB[bb++] = temp[0];

    for (int i = 1; i < m; i++)
    {
        temp[i].a = &b[i - 1];
        temp[i].b = &b[i];
        temp[i].id = i;

        temp[i].xd = (long long int) b[i].x - (long long int) b[i - 1].x;
        temp[i].yd = (long long int) b[i].y - (long long int) b[i - 1].y;

        if ((temp[i].xd > 0) || (temp[i].xd == 0 && temp[i].yd > 0))
            pbF[bf++] = temp[i];
        else
            pbB[bb++] = temp[i];
    }

    mergesort(paF, af);
    mergesort(paB, ab);
    mergesort(pbF, bf);
    mergesort(pbB, bb);

    int pa = 0;
    int pb = 0;

    while (pa < af && pb < bb)
    {
        if (check(paF[pa], pbB[pb], pa, pb))
        {
            std::cout << "YES" << std::endl;
            std::cout << paF[pa].id << " " << pbB[pb].id << std::endl;
            return 0;
        }
    }

    pa = 0;
    pb = 0;

    while (pa < ab && pb < bf)
    {
        if (check(paB[pa], pbF[pb], pa, pb))
        {
            std::cout << "YES" << std::endl;
            std::cout << paB[pa].id << " " << pbF[pb].id << std::endl;
            return 0;
        }
    }

    std::cout << "NO" << std::endl;

    return 0;
}
