#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef long double ld;

#define fr first
#define sc second
#define pb push_back
#define mp make_pair

const int inf = 1e9 + 88;
const ll infll = 3e18 + 88;
const int maxn = 2e5 + 5;
const ll mod = 1e9 + 7;
const ll mod2 = 1e9 + 9;

struct _edge
{
    ll a, b, l;
};

vector<pair<ll, ll> > g[maxn];
priority_queue<pair<ll, ll> > q;
vector<pair<ll, ll> > v;
vector<pair<ll, ll> > k;
vector<_edge> edge;

ll d[maxn];
bool used[maxn];
ll dsu[maxn], sz[maxn];
ll cnt = 0;

ll get(ll v)
{
    return dsu[v] = (dsu[v] == v ? v : get(dsu[v]));
}

void unite(ll v, ll u)
{
    ll a = get(v), b = get(u);
    if (a == b)
        return;
    cnt--;
    if (sz[b] > sz[a])
        swap(a, b);
    sz[a] += sz[b];
    dsu[b] = a;
}

void solve()
{
    ll m, n, i, a, b, l, j;
    cin >> n;
    for (i = 1; i < n; i++)
    {
        cin >> a >> b >> l;
        a--, b--;
        l *= 2;
        g[a].push_back({b, l});
        g[b].push_back({a, l});
        edge.push_back({a, b, l});
    }
    for (i = 0; i < n; i++)
        dsu[i] = i, sz[i] = 1, d[i] = infll;
    cin >> m;
    for (i = 0; i < m; i++)
    {
        cin >> a;
        a--;
        d[a] = 0;
        q.push({0, a});
    }
    while (!q.empty())
    {
        ll l = -q.top().fr, v = q.top().sc;
        q.pop();
        if (l > d[v])
            continue;
        for (i = 0; i < g[v].size(); i++)
        {
            ll to = g[v][i].fr, tol = g[v][i].sc;
            if (d[to] > l + tol)
            {
                d[to] = l + tol;
                q.push({-d[to], to});
            }
        }
    }
    for (i = 0; i < edge.size(); i++)
    {
        a = edge[i].a, b = edge[i].b, l = edge[i].l;
        if (abs(d[a] - d[b]) >= l)
            continue;
        if (d[a] > d[b])
            swap(a, b);
        ll curt = d[b] + (l - (d[b] - d[a]))/2;
        d[n] = curt;
        g[n].push_back({a, curt});
        g[a].push_back({n, curt});
        g[n].push_back({b, curt});
        g[b].push_back({n, curt});
        n++;
    }
    ll ans = 0;
    for (i = 0; i < n; i++)
        k.push_back({d[i], i});
    sort(k.begin(), k.end());
    for (i = 0; i < n; i++)
        dsu[i] = i, sz[i] = 1;
    for (i = n - 1; i >= 0; i--)
    {
        ll v = k[i].sc;
        cnt++;
        used[v] = true;
        for (j = 0; j < g[v].size(); j++)
            if (used[g[v][j].fr])
                unite(v, g[v][j].fr);
        if (i != 0 && k[i].fr != k[i - 1].fr)
            ans = max(ans, cnt);
    }
    cout << ans;
}

int main()
{
    ios_base::sync_with_stdio(0);
//    freopen("input.txt", "r", stdin);
    cin.tie();
    cout.tie();
    solve();
    return 0;
}
