#include <bits/stdc++.h>
using namespace std;

#define pii pair<int, int>
#define fi first
#define se second
#define vi vector<int>
#define vvi vector<vi>
#define pb push_back
#define int int64_t

const int MOD = 1000000007;
const int INF = 1000000000000000000;

struct rmq
{
    vector <pair <int, int> > arr;

    rmq(int n)
    {
        arr.resize(n, make_pair(INF, -1));
    }

    void UPD(int id, pair <int, int> val)
    {
        arr[id] = val;
    }
    pair <int, int> get_min(int L, int R)
    {
        pair <int, int> mn = make_pair(INF, -1);
        for (int i = L; i < min(R, (int)arr.size()); ++i)
        {
            mn = min(mn, arr[i]);
        }
        return mn;
    }
};

struct rmq2
{
    int l, r;
    rmq2 * l_ch;
    rmq2 * r_ch;
    pair <int, int> mn;

    rmq2(int L, int R)
    {
        l = L;
        r = R;
        mn = make_pair(INF, -1);
        l_ch = NULL;
        r_ch = NULL;
        if (l != r - 1)
        {
            int m = (r + l) / 2;
            l_ch = new rmq2(l, m);
            r_ch = new rmq2(m, r);
        }
    }

    void UPD(int id, pair <int, int> val)
    {
        if (id < l || id >= r)
        {
            return;
        }
        if (l == r - 1)
        {
            mn = val;
        }
        else
        {
            l_ch->UPD(id, val);
            r_ch->UPD(id, val);
            mn = min(l_ch->mn, r_ch->mn);
        }
    }

    pair <int, int> get_min(int L, int R)
    {
        if (l >= R || L >= r)
        {
            return make_pair(INF, -1);
        }
        if (l >= L && r <= R)
        {
            return mn;
        }
        return min(l_ch->get_min(L, R), r_ch->get_min(L, R));
    }
};

signed main()
{
#ifdef PC
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif // PC

    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    int n, m;
    cin >> n >> m;
    vector <pair <pair <int, int>, int> > arr(n);
    for (int i = 0; i < n; ++i)
    {
        cin >> arr[i].fi.fi >> arr[i].fi.se >> arr[i].se;
    }

    set <int> s;
    for (auto x : arr)
        s.insert(x.fi.fi);
    map <int, int> mapa;
    int it = 0;
    for (auto x : s)
        mapa[x] = it++;

    vector <vector <int> > dp(n, vector <int> (m + 1, INF));
    vector <vector <int> > prev(n, vector <int> (m + 1, -1));
    vector <rmq> mins(m + 1, rmq(n));
    for (int i = 0; i <= min(arr[0].fi.se, m); ++i)
    {
        dp[0][i] = arr[0].se;
        mins[i].UPD(mapa[arr[0].fi.fi], make_pair(dp[0][i], 0));
    }
    for (int i = 1; i < n; ++i)
    {
        for (int j = m; j >= 0; --j)
        {
            auto p = mins[max(0ll, j - arr[i].fi.se)].get_min(mapa[arr[i].fi.fi], INF);
            if (dp[i][j] > p.fi + arr[i].se)
            {
                dp[i][j] = p.fi + arr[i].se;
                prev[i][j] = p.se;
            }
            mins[j].UPD(mapa[arr[i].fi.fi], make_pair(dp[i][j], i));
        }
        for (int j = 0; j <= min(arr[i].fi.se, m); ++j)
        {
            if (dp[i][j] > arr[i].se)
            {
                dp[i][j] = arr[i].se;
                mins[j].UPD(mapa[arr[i].fi.fi], make_pair(dp[i][j], i));
                prev[i][j] = -1;
            }
        }

    }
    int mn = 0;
    for (int i = 1; i < n; ++i)
    {
        if (dp[i][m] < dp[mn][m])
        {
            mn = i;
        }
    }
    /*for (int i = 0; i < n; ++i)
    {
        for (int j = 0; j <= m; ++j)
        {
            cout << dp[i][j] << " ";
        }
        cout << endl;
    }*/
    if (dp[mn][m] == INF)
    {
        cout << -1 << endl;
        return 0;
    }
    cout << dp[mn][m] << " ";
    vector <int> ans;
    int now = mn;
    int nowm = m;
    while (now != -1)
    {
        ans.push_back(now);
        int now2 = now;
        now = prev[now][nowm];
        nowm -= arr[now2].fi.se;

    }
    cout << ans.size() << endl;
    for (auto & x : ans)
        x += 1;
    reverse(ans.begin(), ans.end());
    for (auto x : ans)
        cout << x << " ";
    cout << endl;
    return 0;
}


