import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.*;

public class C {
    static Stack<Map<String, String>> stack = new Stack<>();

    static void exec() throws IOException {
        stack.add(new HashMap<>());
        while (reader.ready()) {
            String command = reader.readLine();
            if (command.equals("{")) {
                stack.add(new HashMap<>());
            } else if (!command.equals("}")) {
                String[] ss = command.split("=");
                String name = ss[0];
                String value = ss[1];
                boolean needOut = false;
                try {
                    Integer.parseInt(value);
                } catch (NumberFormatException e) {
                    needOut = true;
                    boolean foundValue = false;
                    String oldValue = value;
                    // System.out.println("***");
                    for (Map<String, String> vars : stack) {
                        // System.out.println(vars.toString());
                        if (vars.containsKey(oldValue)) {
                            value = vars.get(oldValue);
                            foundValue = true;
                        }
                    }
                    // System.out.println("'" + value + "'");
                    if (!foundValue) {
                        value = "0";
                    }
                }
                stack.peek().put(name, value);
                if (needOut) {
                    System.out.println(value);
                }
                // System.out.println();
            } else {
                stack.pop();
            }
        }
    }

    public static BufferedReader reader;

    public static void main(String[] args) throws IOException {
        // reader = new BufferedReader(new InputStreamReader(new FileInputStream("input.in")));
        reader = new BufferedReader(new InputStreamReader(System.in));
        exec();
    }
}
