import java.io.*;
import java.util.*;

public class C {
    static Stack<Map<String, String>> stack = new Stack<>();

    static void exec() throws IOException {
        stack.push(new HashMap<>());
        while (reader.ready()) {
            String command = reader.readLine();
            if (command.equals("{")) {
                stack.push(new HashMap<>());
            } else if (!command.equals("}")) {
                String[] ss = command.split("=");
                String name = ss[0];
                String value = ss[1];
                boolean needOut = false;
                try {
                    Integer.parseInt(value);
                } catch (NumberFormatException e) {
                    needOut = true;
                    boolean foundValue = false;
                    String oldValue = value;
                    // System.out.println("***");
                    for (int i = stack.size() - 1; i >= 0; i--) {
                        // System.out.println(vars.toString());
                        Map<String, String> vars = stack.get(i);
                        if (vars.containsKey(oldValue)) {
                            value = vars.get(oldValue);
                            foundValue = true;
                            break;
                        }
                    }
                    // System.out.println("'" + value + "'");
                    if (!foundValue) {
                        value = "0";
                    }
                }
                stack.peek().put(name, value);
                if (needOut) {
                    writer.write(value);
                    writer.newLine();
                }
                // System.out.println();
            } else {
                stack.pop();
            }
        }
    }

    public static BufferedReader reader;
    static BufferedWriter writer = new BufferedWriter(new OutputStreamWriter(System.out));

    public static void main(String[] args) throws IOException {
        // reader = new BufferedReader(new InputStreamReader(new FileInputStream("input.in")));
        reader = new BufferedReader(new InputStreamReader(System.in));
        exec();
        writer.flush();
        writer.close();
    }
}
