#define _CRT_SECURE_NO_WARNINGS
#include <iostream>
#include <cmath>
#include <set>
#include <algorithm>
#include <iomanip>
#include <map>
#include <string>
#include <vector>
using namespace std;

const int len = 1e6;
bool r[len + 1];

bool used[len + 1];

int ln(long long x) {
	int ans = 0;
	while (x > 0) {
		x /= 10;
		ans++;
	}
	return ans;
}

long long pw(long long x, long long y) {
	if (y == 0)
		return 1;
	return x * pw(x, y - 1);
}

long long from, to;
long long ans = 0;

bool isPrime(long long val) {
	if (val == 2)
		return true;
	if (val == 1)
		return false;
	if (val % 2 == 0)
		return false;
	for (long long i = 3; i * i <= val; i += 2)
		if (val % i == 0)
			return false;
	return true;
}

void run(long long f) {
	if (f <= len && used[f])
		return;
	if (f < 0)
		return;

	if (!isPrime(f))
		return;

	if(f < len)
		used[f] = true;
	
	if (from <= f && f <= to) {
		cout << "ans.push_back(" << f << ");\n";
		ans++;
	}
	if (f >= to)
		return;
	for (int i = 1; i <= 9; i++) {
		run(f + pw(10, ln(f)) * i);
	}
}

bool ok(int x) {
	int y = x;
	while (y > 0) {
		if (y % 10 == 0)
			return false;
		y /= 10;
	}
	while (x > 0) {
		int f = ln(x);
		while (f == ln(x))
			x -= pw(10, ln(x) - 1);
		if (x == 0)
			return true;
		if (!r[x])
			return false;
	}
	return true;
}

int main() {
#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif
	cin >> from >> to;
	vector < long long > ans;
	int res = 0;
	ans.push_back(2);
	ans.push_back(3);
	ans.push_back(13);
	ans.push_back(113);
	ans.push_back(2113);
	ans.push_back(12113);
	ans.push_back(612113);
	ans.push_back(5113);
	ans.push_back(6113);
	ans.push_back(26113);
	ans.push_back(326113);
	ans.push_back(9326113);
	ans.push_back(69326113);
	ans.push_back(469326113);
	ans.push_back(2469326113);
	ans.push_back(5469326113);
	ans.push_back(15469326113);
	ans.push_back(669326113);
	ans.push_back(769326113);
	ans.push_back(2769326113);
	ans.push_back(92769326113);
	ans.push_back(8769326113);
	ans.push_back(68769326113);
	ans.push_back(768769326113);
	ans.push_back(9769326113);
	ans.push_back(89769326113);
	ans.push_back(626113);
	ans.push_back(3626113);
	ans.push_back(4626113);
	ans.push_back(926113);
	ans.push_back(3926113);
	ans.push_back(56113);
	ans.push_back(356113);
	ans.push_back(656113);
	ans.push_back(956113);
	ans.push_back(9956113);
	ans.push_back(69956113);
	ans.push_back(169956113);
	ans.push_back(3169956113);
	ans.push_back(83169956113);
	ans.push_back(769956113);
	ans.push_back(5769956113);
	ans.push_back(65769956113);
	ans.push_back(8769956113);
	ans.push_back(78769956113);
	ans.push_back(378769956113);
	ans.push_back(9769956113);
	ans.push_back(89769956113);
	ans.push_back(79956113);
	ans.push_back(979956113);
	ans.push_back(2979956113);
	ans.push_back(42979956113);
	ans.push_back(842979956113);
	ans.push_back(72979956113);
	ans.push_back(272979956113);
	ans.push_back(872979956113);
	ans.push_back(86113);
	ans.push_back(186113);
	ans.push_back(2186113);
	ans.push_back(42186113);
	ans.push_back(642186113);
	ans.push_back(3642186113);
	ans.push_back(33642186113);
	ans.push_back(83642186113);
	ans.push_back(383642186113);
	ans.push_back(92186113);
	ans.push_back(492186113);
	ans.push_back(986113);
	ans.push_back(3986113);
	ans.push_back(13986113);
	ans.push_back(513986113);
	ans.push_back(6513986113);
	ans.push_back(96513986113);
	ans.push_back(7986113);
	ans.push_back(9986113);
	ans.push_back(39986113);
	ans.push_back(339986113);
	ans.push_back(9339986113);
	ans.push_back(49986113);
	ans.push_back(69986113);
	ans.push_back(469986113);
	ans.push_back(79986113);
	ans.push_back(979986113);
	ans.push_back(313);
	ans.push_back(3313);
	ans.push_back(13313);
	ans.push_back(513313);
	ans.push_back(3513313);
	ans.push_back(43313);
	ans.push_back(343313);
	ans.push_back(543313);
	ans.push_back(4543313);
	ans.push_back(24543313);
	ans.push_back(63313);
	ans.push_back(363313);
	ans.push_back(463313);
	ans.push_back(2463313);
	ans.push_back(12463313);
	ans.push_back(92463313);
	ans.push_back(8463313);
	ans.push_back(613);
	ans.push_back(1613);
	ans.push_back(21613);
	ans.push_back(721613);
	ans.push_back(51613);
	ans.push_back(751613);
	ans.push_back(3751613);
	ans.push_back(23751613);
	ans.push_back(423751613);
	ans.push_back(63751613);
	ans.push_back(863751613);
	ans.push_back(9751613);
	ans.push_back(29751613);
	ans.push_back(629751613);
	ans.push_back(9629751613);
	ans.push_back(39629751613);
	ans.push_back(739629751613);
	ans.push_back(61613);
	ans.push_back(661613);
	ans.push_back(5661613);
	ans.push_back(45661613);
	ans.push_back(245661613);
	ans.push_back(9245661613);
	ans.push_back(19245661613);
	ans.push_back(319245661613);
	ans.push_back(69245661613);
	ans.push_back(969245661613);
	ans.push_back(645661613);
	ans.push_back(6645661613);
	ans.push_back(26645661613);
	ans.push_back(626645661613);
	ans.push_back(56645661613);
	ans.push_back(356645661613);
	ans.push_back(456645661613);
	ans.push_back(956645661613);
	ans.push_back(861613);
	ans.push_back(7861613);
	ans.push_back(97861613);
	ans.push_back(697861613);
	ans.push_back(9861613);
	ans.push_back(19861613);
	ans.push_back(219861613);
	ans.push_back(1219861613);
	ans.push_back(21219861613);
	ans.push_back(921219861613);
	ans.push_back(91219861613);
	ans.push_back(291219861613);
	ans.push_back(691219861613);
	ans.push_back(7219861613);
	ans.push_back(961613);
	ans.push_back(2961613);
	ans.push_back(32961613);
	ans.push_back(332961613);
	ans.push_back(632961613);
	ans.push_back(3632961613);
	ans.push_back(7632961613);
	ans.push_back(27632961613);
	ans.push_back(42961613);
	ans.push_back(342961613);
	ans.push_back(92961613);
	ans.push_back(492961613);
	ans.push_back(3492961613);
	ans.push_back(83492961613);
	ans.push_back(483492961613);
	ans.push_back(8492961613);
	ans.push_back(9492961613);
	ans.push_back(29492961613);
	ans.push_back(329492961613);
	ans.push_back(629492961613);
	ans.push_back(99492961613);
	ans.push_back(699492961613);
	ans.push_back(692961613);
	ans.push_back(7692961613);
	ans.push_back(27692961613);
	ans.push_back(6961613);
	ans.push_back(56961613);
	ans.push_back(9961613);
	ans.push_back(99961613);
	ans.push_back(3613);
	ans.push_back(13613);
	ans.push_back(213613);
	ans.push_back(313613);
	ans.push_back(2313613);
	ans.push_back(32313613);
	ans.push_back(732313613);
	ans.push_back(2732313613);
	ans.push_back(92732313613);
	ans.push_back(42313613);
	ans.push_back(242313613);
	ans.push_back(4242313613);
	ans.push_back(64242313613);
	ans.push_back(264242313613);
	ans.push_back(942313613);
	ans.push_back(5942313613);
	ans.push_back(15942313613);
	ans.push_back(8942313613);
	ans.push_back(62313613);
	ans.push_back(72313613);
	ans.push_back(572313613);
	ans.push_back(6572313613);
	ans.push_back(76572313613);
	ans.push_back(576572313613);
	ans.push_back(7572313613);
	ans.push_back(9313613);
	ans.push_back(39313613);
	ans.push_back(339313613);
	ans.push_back(3339313613);
	ans.push_back(53339313613);
	ans.push_back(153339313613);
	ans.push_back(813613);
	ans.push_back(1813613);
	ans.push_back(51813613);
	ans.push_back(351813613);
	ans.push_back(9351813613);
	ans.push_back(451813613);
	ans.push_back(3451813613);
	ans.push_back(63451813613);
	ans.push_back(5451813613);
	ans.push_back(15451813613);
	ans.push_back(815451813613);
	ans.push_back(45451813613);
	ans.push_back(345451813613);
	ans.push_back(945451813613);
	ans.push_back(751813613);
	ans.push_back(9751813613);
	ans.push_back(69751813613);
	ans.push_back(669751813613);
	ans.push_back(951813613);
	ans.push_back(1951813613);
	ans.push_back(61813613);
	ans.push_back(261813613);
	ans.push_back(561813613);
	ans.push_back(6561813613);
	ans.push_back(96561813613);
	ans.push_back(7561813613);
	ans.push_back(27561813613);
	ans.push_back(327561813613);
	ans.push_back(961813613);
	ans.push_back(6813613);
	ans.push_back(66813613);
	ans.push_back(166813613);
	ans.push_back(7813613);
	ans.push_back(9813613);
	ans.push_back(33613);
	ans.push_back(633613);
	ans.push_back(933613);
	ans.push_back(9933613);
	ans.push_back(43613);
	ans.push_back(243613);
	ans.push_back(3243613);
	ans.push_back(63243613);
	ans.push_back(363243613);
	ans.push_back(1363243613);
	ans.push_back(3363243613);
	ans.push_back(9363243613);
	ans.push_back(9243613);
	ans.push_back(49243613);
	ans.push_back(849243613);
	ans.push_back(3849243613);
	ans.push_back(73849243613);
	ans.push_back(373849243613);
	ans.push_back(6849243613);
	ans.push_back(16849243613);
	ans.push_back(843613);
	ans.push_back(73613);
	ans.push_back(273613);
	ans.push_back(373613);
	ans.push_back(6373613);
	ans.push_back(56373613);
	ans.push_back(756373613);
	ans.push_back(5756373613);
	ans.push_back(15756373613);
	ans.push_back(35756373613);
	ans.push_back(335756373613);
	ans.push_back(735756373613);
	ans.push_back(66373613);
	ans.push_back(86373613);
	ans.push_back(386373613);
	ans.push_back(786373613);
	ans.push_back(5786373613);
	ans.push_back(15786373613);
	ans.push_back(215786373613);
	ans.push_back(35786373613);
	ans.push_back(335786373613);
	ans.push_back(8786373613);
	ans.push_back(68786373613);
	ans.push_back(673613);
	ans.push_back(3673613);
	ans.push_back(33673613);
	ans.push_back(933673613);
	ans.push_back(3933673613);
	ans.push_back(6933673613);
	ans.push_back(86933673613);
	ans.push_back(6673613);
	ans.push_back(26673613);
	ans.push_back(926673613);
	ans.push_back(1926673613);
	ans.push_back(51926673613);
	ans.push_back(9926673613);
	ans.push_back(36673613);
	ans.push_back(836673613);
	ans.push_back(66673613);
	ans.push_back(266673613);
	ans.push_back(666673613);
	ans.push_back(9613);
	ans.push_back(49613);
	ans.push_back(649613);
	ans.push_back(2649613);
	ans.push_back(12649613);
	ans.push_back(612649613);
	ans.push_back(8612649613);
	ans.push_back(38612649613);
	ans.push_back(98612649613);
	ans.push_back(32649613);
	ans.push_back(132649613);
	ans.push_back(6132649613);
	ans.push_back(72649613);
	ans.push_back(672649613);
	ans.push_back(2672649613);
	ans.push_back(72672649613);
	ans.push_back(79613);
	ans.push_back(279613);
	ans.push_back(579613);
	ans.push_back(3579613);
	ans.push_back(23);
	ans.push_back(223);
	ans.push_back(1223);
	ans.push_back(31223);
	ans.push_back(231223);
	ans.push_back(6231223);
	ans.push_back(631223);
	ans.push_back(6631223);
	ans.push_back(36631223);
	ans.push_back(636631223);
	ans.push_back(2636631223);
	ans.push_back(5636631223);
	ans.push_back(15636631223);
	ans.push_back(615636631223);
	ans.push_back(75636631223);
	ans.push_back(66631223);
	ans.push_back(61223);
	ans.push_back(261223);
	ans.push_back(1261223);
	ans.push_back(4261223);
	ans.push_back(84261223);
	ans.push_back(361223);
	ans.push_back(81223);
	ans.push_back(381223);
	ans.push_back(3381223);
	ans.push_back(33381223);
	ans.push_back(133381223);
	ans.push_back(5133381223);
	ans.push_back(75133381223);
	ans.push_back(275133381223);
	ans.push_back(95133381223);
	ans.push_back(695133381223);
	ans.push_back(43381223);
	ans.push_back(243381223);
	ans.push_back(3243381223);
	ans.push_back(93243381223);
	ans.push_back(993243381223);
	ans.push_back(63381223);
	ans.push_back(163381223);
	ans.push_back(523);
	ans.push_back(1523);
	ans.push_back(21523);
	ans.push_back(121523);
	ans.push_back(9121523);
	ans.push_back(29121523);
	ans.push_back(69121523);
	ans.push_back(869121523);
	ans.push_back(89121523);
	ans.push_back(189121523);
	ans.push_back(689121523);
	ans.push_back(7689121523);
	ans.push_back(37689121523);
	ans.push_back(637689121523);
	ans.push_back(921523);
	ans.push_back(4921523);
	ans.push_back(84921523);
	ans.push_back(484921523);
	ans.push_back(6484921523);
	ans.push_back(36484921523);
	ans.push_back(536484921523);
	ans.push_back(936484921523);
	ans.push_back(4523);
	ans.push_back(84523);
	ans.push_back(184523);
	ans.push_back(8184523);
	ans.push_back(48184523);
	ans.push_back(78184523);
	ans.push_back(278184523);
	ans.push_back(378184523);
	ans.push_back(5378184523);
	ans.push_back(65378184523);
	ans.push_back(165378184523);
	ans.push_back(9184523);
	ans.push_back(59184523);
	ans.push_back(359184523);
	ans.push_back(7523);
	ans.push_back(67523);
	ans.push_back(267523);
	ans.push_back(9267523);
	ans.push_back(99267523);
	ans.push_back(999267523);
	ans.push_back(3999267523);
	ans.push_back(73999267523);
	ans.push_back(87523);
	ans.push_back(687523);
	ans.push_back(6687523);
	ans.push_back(9687523);
	ans.push_back(69687523);
	ans.push_back(469687523);
	ans.push_back(3469687523);
	ans.push_back(987523);
	ans.push_back(1987523);
	ans.push_back(21987523);
	ans.push_back(621987523);
	ans.push_back(3987523);
	ans.push_back(63987523);
	ans.push_back(4987523);
	ans.push_back(34987523);
	ans.push_back(64987523);
	ans.push_back(264987523);
	ans.push_back(6264987523);
	ans.push_back(46264987523);
	ans.push_back(564987523);
	ans.push_back(6987523);
	ans.push_back(97523);
	ans.push_back(297523);
	ans.push_back(1297523);
	ans.push_back(4297523);
	ans.push_back(94297523);
	ans.push_back(994297523);
	ans.push_back(3994297523);
	ans.push_back(6994297523);
	ans.push_back(66994297523);
	ans.push_back(266994297523);
	ans.push_back(96994297523);
	ans.push_back(696994297523);
	ans.push_back(597523);
	ans.push_back(697523);
	ans.push_back(823);
	ans.push_back(1823);
	ans.push_back(91823);
	ans.push_back(391823);
	ans.push_back(5391823);
	ans.push_back(15391823);
	ans.push_back(215391823);
	ans.push_back(6215391823);
	ans.push_back(96215391823);
	ans.push_back(315391823);
	ans.push_back(3315391823);
	ans.push_back(83315391823);
	ans.push_back(983315391823);
	ans.push_back(95391823);
	ans.push_back(995391823);
	ans.push_back(891823);
	ans.push_back(4891823);
	ans.push_back(34891823);
	ans.push_back(6891823);
	ans.push_back(36891823);
	ans.push_back(76891823);
	ans.push_back(9891823);
	ans.push_back(3823);
	ans.push_back(63823);
	ans.push_back(463823);
	ans.push_back(6463823);
	ans.push_back(86463823);
	ans.push_back(686463823);
	ans.push_back(7686463823);
	ans.push_back(96463823);
	ans.push_back(296463823);
	ans.push_back(1296463823);
	ans.push_back(663823);
	ans.push_back(7663823);
	ans.push_back(763823);
	ans.push_back(2763823);
	ans.push_back(92763823);
	ans.push_back(73823);
	ans.push_back(373823);
	ans.push_back(2373823);
	ans.push_back(32373823);
	ans.push_back(632373823);
	ans.push_back(1632373823);
	ans.push_back(7632373823);
	ans.push_back(8373823);
	ans.push_back(973823);
	ans.push_back(6823);
	ans.push_back(16823);
	ans.push_back(96823);
	ans.push_back(696823);
	ans.push_back(4696823);
	ans.push_back(64696823);
	ans.push_back(364696823);
	ans.push_back(3364696823);
	ans.push_back(93364696823);
	ans.push_back(564696823);
	ans.push_back(1564696823);
	ans.push_back(7564696823);
	ans.push_back(57564696823);
	ans.push_back(7696823);
	ans.push_back(7823);
	ans.push_back(27823);
	ans.push_back(327823);
	ans.push_back(4327823);
	ans.push_back(727823);
	ans.push_back(43);
	ans.push_back(443);
	ans.push_back(5443);
	ans.push_back(15443);
	ans.push_back(215443);
	ans.push_back(4215443);
	ans.push_back(54215443);
	ans.push_back(354215443);
	ans.push_back(95443);
	ans.push_back(195443);
	ans.push_back(2195443);
	ans.push_back(62195443);
	ans.push_back(162195443);
	ans.push_back(762195443);
	ans.push_back(5762195443);
	ans.push_back(92195443);
	ans.push_back(492195443);
	ans.push_back(395443);
	ans.push_back(6395443);
	ans.push_back(995443);
	ans.push_back(3995443);
	ans.push_back(43995443);
	ans.push_back(63995443);
	ans.push_back(163995443);
	ans.push_back(663995443);
	ans.push_back(7995443);
	ans.push_back(67995443);
	ans.push_back(267995443);
	ans.push_back(3267995443);
	ans.push_back(73267995443);
	ans.push_back(87995443);
	ans.push_back(8443);
	ans.push_back(18443);
	ans.push_back(318443);
	ans.push_back(9318443);
	ans.push_back(59318443);
	ans.push_back(89318443);
	ans.push_back(489318443);
	ans.push_back(918443);
	ans.push_back(3918443);
	ans.push_back(53918443);
	ans.push_back(653918443);
	ans.push_back(7653918443);
	ans.push_back(27653918443);
	ans.push_back(127653918443);
	ans.push_back(427653918443);
	ans.push_back(727653918443);
	ans.push_back(68443);
	ans.push_back(368443);
	ans.push_back(1368443);
	ans.push_back(61368443);
	ans.push_back(6368443);
	ans.push_back(36368443);
	ans.push_back(136368443);
	ans.push_back(7368443);
	ans.push_back(67368443);
	ans.push_back(867368443);
	ans.push_back(1867368443);
	ans.push_back(21867368443);
	ans.push_back(321867368443);
	ans.push_back(421867368443);
	ans.push_back(967368443);
	ans.push_back(3967368443);
	ans.push_back(23967368443);
	ans.push_back(123967368443);
	ans.push_back(98443);
	ans.push_back(798443);
	ans.push_back(998443);
	ans.push_back(1998443);
	ans.push_back(31998443);
	ans.push_back(91998443);
	ans.push_back(591998443);
	ans.push_back(7591998443);
	ans.push_back(27591998443);
	ans.push_back(727591998443);
	ans.push_back(87591998443);
	ans.push_back(991998443);
	ans.push_back(8991998443);
	ans.push_back(68991998443);
	ans.push_back(7998443);
	ans.push_back(97998443);
	ans.push_back(697998443);
	ans.push_back(897998443);
	ans.push_back(643);
	ans.push_back(3643);
	ans.push_back(73643);
	ans.push_back(273643);
	ans.push_back(6273643);
	ans.push_back(76273643);
	ans.push_back(96273643);
	ans.push_back(196273643);
	ans.push_back(396273643);
	ans.push_back(673643);
	ans.push_back(5673643);
	ans.push_back(75673643);
	ans.push_back(873643);
	ans.push_back(4873643);
	ans.push_back(84873643);
	ans.push_back(184873643);
	ans.push_back(4643);
	ans.push_back(7643);
	ans.push_back(37643);
	ans.push_back(87643);
	ans.push_back(9643);
	ans.push_back(99643);
	ans.push_back(399643);
	ans.push_back(6399643);
	ans.push_back(76399643);
	ans.push_back(376399643);
	ans.push_back(5376399643);
	ans.push_back(676399643);
	ans.push_back(6676399643);
	ans.push_back(96676399643);
	ans.push_back(996676399643);
	ans.push_back(96399643);
	ans.push_back(696399643);
	ans.push_back(7399643);
	ans.push_back(743);
	ans.push_back(5743);
	ans.push_back(75743);
	ans.push_back(375743);
	ans.push_back(2375743);
	ans.push_back(12375743);
	ans.push_back(312375743);
	ans.push_back(3312375743);
	ans.push_back(33312375743);
	ans.push_back(333312375743);
	ans.push_back(912375743);
	ans.push_back(42375743);
	ans.push_back(675743);
	ans.push_back(3675743);
	ans.push_back(8675743);
	ans.push_back(18675743);
	ans.push_back(68675743);
	ans.push_back(468675743);
	ans.push_back(98675743);
	ans.push_back(398675743);
	ans.push_back(1398675743);
	ans.push_back(3398675743);
	ans.push_back(13398675743);
	ans.push_back(513398675743);
	ans.push_back(913398675743);
	ans.push_back(33398675743);
	ans.push_back(93398675743);
	ans.push_back(493398675743);
	ans.push_back(793398675743);
	ans.push_back(993398675743);
	ans.push_back(7398675743);
	ans.push_back(87398675743);
	ans.push_back(975743);
	ans.push_back(6975743);
	ans.push_back(26975743);
	ans.push_back(86975743);
	ans.push_back(9743);
	ans.push_back(59743);
	ans.push_back(53);
	ans.push_back(353);
	ans.push_back(6353);
	ans.push_back(36353);
	ans.push_back(336353);
	ans.push_back(2336353);
	ans.push_back(12336353);
	ans.push_back(212336353);
	ans.push_back(3212336353);
	ans.push_back(4212336353);
	ans.push_back(84212336353);
	ans.push_back(784212336353);
	ans.push_back(6212336353);
	ans.push_back(36212336353);
	ans.push_back(7212336353);
	ans.push_back(62336353);
	ans.push_back(536353);
	ans.push_back(9536353);
	ans.push_back(19536353);
	ans.push_back(219536353);
	ans.push_back(49536353);
	ans.push_back(636353);
	ans.push_back(2636353);
	ans.push_back(72636353);
	ans.push_back(86353);
	ans.push_back(686353);
	ans.push_back(1686353);
	ans.push_back(31686353);
	ans.push_back(331686353);
	ans.push_back(3331686353);
	ans.push_back(93331686353);
	ans.push_back(631686353);
	ans.push_back(6631686353);
	ans.push_back(9631686353);
	ans.push_back(99631686353);
	ans.push_back(299631686353);
	ans.push_back(999631686353);
	ans.push_back(96353);
	ans.push_back(296353);
	ans.push_back(4296353);
	ans.push_back(396353);
	ans.push_back(2396353);
	ans.push_back(3396353);
	ans.push_back(63396353);
	ans.push_back(83396353);
	ans.push_back(383396353);
	ans.push_back(1383396353);
	ans.push_back(9383396353);
	ans.push_back(79383396353);
	ans.push_back(579383396353);
	ans.push_back(99383396353);
	ans.push_back(5396353);
	ans.push_back(45396353);
	ans.push_back(896353);
	ans.push_back(1896353);
	ans.push_back(7896353);
	ans.push_back(87896353);
	ans.push_back(8353);
	ans.push_back(18353);
	ans.push_back(818353);
	ans.push_back(1818353);
	ans.push_back(61818353);
	ans.push_back(961818353);
	ans.push_back(7818353);
	ans.push_back(9818353);
	ans.push_back(19818353);
	ans.push_back(99818353);
	ans.push_back(999818353);
	ans.push_back(918353);
	ans.push_back(3918353);
	ans.push_back(63918353);
	ans.push_back(83918353);
	ans.push_back(9918353);
	ans.push_back(29918353);
	ans.push_back(629918353);
	ans.push_back(39918353);
	ans.push_back(639918353);
	ans.push_back(839918353);
	ans.push_back(7839918353);
	ans.push_back(37839918353);
	ans.push_back(537839918353);
	ans.push_back(837839918353);
	ans.push_back(69918353);
	ans.push_back(48353);
	ans.push_back(348353);
	ans.push_back(3348353);
	ans.push_back(63348353);
	ans.push_back(263348353);
	ans.push_back(6263348353);
	ans.push_back(46263348353);
	ans.push_back(653);
	ans.push_back(5653);
	ans.push_back(75653);
	ans.push_back(6653);
	ans.push_back(36653);
	ans.push_back(236653);
	ans.push_back(336653);
	ans.push_back(636653);
	ans.push_back(66653);
	ans.push_back(566653);
	ans.push_back(866653);
	ans.push_back(9866653);
	ans.push_back(49866653);
	ans.push_back(966653);
	ans.push_back(8966653);
	ans.push_back(48966653);
	ans.push_back(848966653);
	ans.push_back(1848966653);
	ans.push_back(91848966653);
	ans.push_back(948966653);
	ans.push_back(9948966653);
	ans.push_back(78966653);
	ans.push_back(578966653);
	ans.push_back(98966653);
	ans.push_back(398966653);
	ans.push_back(9398966653);
	ans.push_back(79398966653);
	ans.push_back(998966653);
	ans.push_back(853);
	ans.push_back(3853);
	ans.push_back(43853);
	ans.push_back(543853);
	ans.push_back(6543853);
	ans.push_back(16543853);
	ans.push_back(316543853);
	ans.push_back(9316543853);
	ans.push_back(69316543853);
	ans.push_back(616543853);
	ans.push_back(5616543853);
	ans.push_back(95616543853);
	ans.push_back(395616543853);
	ans.push_back(495616543853);
	ans.push_back(995616543853);
	ans.push_back(6616543853);
	ans.push_back(816543853);
	ans.push_back(1816543853);
	ans.push_back(31816543853);
	ans.push_back(231816543853);
	ans.push_back(76543853);
	ans.push_back(276543853);
	ans.push_back(9276543853);
	ans.push_back(99276543853);
	ans.push_back(699276543853);
	ans.push_back(7543853);
	ans.push_back(27543853);
	ans.push_back(627543853);
	ans.push_back(7627543853);
	ans.push_back(63853);
	ans.push_back(163853);
	ans.push_back(663853);
	ans.push_back(9663853);
	ans.push_back(39663853);
	ans.push_back(439663853);
	ans.push_back(9439663853);
	ans.push_back(29439663853);
	ans.push_back(99439663853);
	ans.push_back(7853);
	ans.push_back(37853);
	ans.push_back(337853);
	ans.push_back(5337853);
	ans.push_back(537853);
	ans.push_back(1537853);
	ans.push_back(81537853);
	ans.push_back(481537853);
	ans.push_back(9481537853);
	ans.push_back(39481537853);
	ans.push_back(239481537853);
	ans.push_back(339481537853);
	ans.push_back(4537853);
	ans.push_back(24537853);
	ans.push_back(624537853);
	ans.push_back(837853);
	ans.push_back(3837853);
	ans.push_back(43837853);
	ans.push_back(73837853);
	ans.push_back(373837853);
	ans.push_back(6373837853);
	ans.push_back(573837853);
	ans.push_back(9573837853);
	ans.push_back(19573837853);
	ans.push_back(319573837853);
	ans.push_back(819573837853);
	ans.push_back(79573837853);
	ans.push_back(973837853);
	ans.push_back(6973837853);
	ans.push_back(26973837853);
	ans.push_back(36973837853);
	ans.push_back(56973837853);
	ans.push_back(356973837853);
	ans.push_back(656973837853);
	ans.push_back(4837853);
	ans.push_back(57853);
	ans.push_back(67853);
	ans.push_back(367853);
	ans.push_back(5367853);
	ans.push_back(15367853);
	ans.push_back(215367853);
	ans.push_back(7215367853);
	ans.push_back(27215367853);
	ans.push_back(627215367853);
	ans.push_back(927215367853);
	ans.push_back(9215367853);
	ans.push_back(315367853);
	ans.push_back(6367853);
	ans.push_back(66367853);
	ans.push_back(566367853);
	ans.push_back(1566367853);
	ans.push_back(91566367853);
	ans.push_back(291566367853);
	ans.push_back(87853);
	ans.push_back(387853);
	ans.push_back(6387853);
	ans.push_back(16387853);
	ans.push_back(516387853);
	ans.push_back(4516387853);
	ans.push_back(84516387853);
	ans.push_back(684516387853);
	ans.push_back(816387853);
	ans.push_back(7816387853);
	ans.push_back(37816387853);
	ans.push_back(637816387853);
	ans.push_back(937816387853);
	ans.push_back(87816387853);
	ans.push_back(387816387853);
	ans.push_back(987816387853);
	ans.push_back(9816387853);
	ans.push_back(69816387853);
	ans.push_back(969816387853);
	ans.push_back(46387853);
	ans.push_back(646387853);
	ans.push_back(3646387853);
	ans.push_back(96387853);
	ans.push_back(953);
	ans.push_back(2953);
	ans.push_back(12953);
	ans.push_back(912953);
	ans.push_back(2912953);
	ans.push_back(12912953);
	ans.push_back(32912953);
	ans.push_back(632912953);
	ans.push_back(6912953);
	ans.push_back(26912953);
	ans.push_back(56912953);
	ans.push_back(656912953);
	ans.push_back(1656912953);
	ans.push_back(51656912953);
	ans.push_back(651656912953);
	ans.push_back(61656912953);
	ans.push_back(86912953);
	ans.push_back(486912953);
	ans.push_back(42953);
	ans.push_back(642953);
	ans.push_back(72953);
	ans.push_back(672953);
	ans.push_back(8672953);
	ans.push_back(68672953);
	ans.push_back(768672953);
	ans.push_back(3768672953);
	ans.push_back(8768672953);
	ans.push_back(78672953);
	ans.push_back(578672953);
	ans.push_back(98672953);
	ans.push_back(198672953);
	ans.push_back(872953);
	ans.push_back(1872953);
	ans.push_back(5953);
	ans.push_back(45953);
	ans.push_back(345953);
	ans.push_back(2345953);
	ans.push_back(72345953);
	ans.push_back(872345953);
	ans.push_back(5345953);
	ans.push_back(35345953);
	ans.push_back(135345953);
	ans.push_back(3135345953);
	ans.push_back(9135345953);
	ans.push_back(65345953);
	ans.push_back(9345953);
	ans.push_back(73);
	ans.push_back(173);
	ans.push_back(6173);
	ans.push_back(66173);
	ans.push_back(366173);
	ans.push_back(2366173);
	ans.push_back(12366173);
	ans.push_back(912366173);
	ans.push_back(2912366173);
	ans.push_back(72912366173);
	ans.push_back(372912366173);
	ans.push_back(6912366173);
	ans.push_back(36912366173);
	ans.push_back(536912366173);
	ans.push_back(9912366173);
	ans.push_back(42366173);
	ans.push_back(62366173);
	ans.push_back(162366173);
	ans.push_back(3162366173);
	ans.push_back(93162366173);
	ans.push_back(693162366173);
	ans.push_back(5162366173);
	ans.push_back(15162366173);
	ans.push_back(615162366173);
	ans.push_back(45162366173);
	ans.push_back(545162366173);
	ans.push_back(945162366173);
	ans.push_back(962366173);
	ans.push_back(1962366173);
	ans.push_back(91962366173);
	ans.push_back(291962366173);
	ans.push_back(891962366173);
	ans.push_back(3962366173);
	ans.push_back(92366173);
	ans.push_back(9366173);
	ans.push_back(59366173);
	ans.push_back(566173);
	ans.push_back(9566173);
	ans.push_back(39566173);
	ans.push_back(339566173);
	ans.push_back(69566173);
	ans.push_back(769566173);
	ans.push_back(3769566173);
	ans.push_back(23769566173);
	ans.push_back(323769566173);
	ans.push_back(723769566173);
	ans.push_back(923769566173);
	ans.push_back(8769566173);
	ans.push_back(48769566173);
	ans.push_back(848769566173);
	ans.push_back(666173);
	ans.push_back(6666173);
	ans.push_back(36666173);
	ans.push_back(336666173);
	ans.push_back(3336666173);
	ans.push_back(936666173);
	ans.push_back(6936666173);
	ans.push_back(26936666173);
	ans.push_back(626936666173);
	ans.push_back(56666173);
	ans.push_back(356666173);
	ans.push_back(656666173);
	ans.push_back(1656666173);
	ans.push_back(21656666173);
	ans.push_back(421656666173);
	ans.push_back(921656666173);
	ans.push_back(81656666173);
	ans.push_back(4656666173);
	ans.push_back(24656666173);
	ans.push_back(34656666173);
	ans.push_back(6656666173);
	ans.push_back(36656666173);
	ans.push_back(66656666173);
	ans.push_back(166656666173);
	ans.push_back(666656666173);
	ans.push_back(766656666173);
	ans.push_back(8666173);
	ans.push_back(68666173);
	ans.push_back(368666173);
	ans.push_back(4368666173);
	ans.push_back(968666173);
	ans.push_back(1968666173);
	ans.push_back(51968666173);
	ans.push_back(151968666173);
	ans.push_back(4968666173);
	ans.push_back(64968666173);
	ans.push_back(964968666173);
	ans.push_back(94968666173);
	ans.push_back(294968666173);
	ans.push_back(9173);
	ans.push_back(29173);
	ans.push_back(729173);
	ans.push_back(2729173);
	ans.push_back(32729173);
	ans.push_back(432729173);
	ans.push_back(5432729173);
	ans.push_back(15432729173);
	ans.push_back(315432729173);
	ans.push_back(5729173);
	ans.push_back(15729173);
	ans.push_back(315729173);
	ans.push_back(5315729173);
	ans.push_back(75315729173);
	ans.push_back(275315729173);
	ans.push_back(575315729173);
	ans.push_back(8315729173);
	ans.push_back(48315729173);
	ans.push_back(515729173);
	ans.push_back(6515729173);
	ans.push_back(95729173);
	ans.push_back(495729173);
	ans.push_back(6495729173);
	ans.push_back(695729173);
	ans.push_back(1695729173);
	ans.push_back(4695729173);
	ans.push_back(64695729173);
	ans.push_back(995729173);
	ans.push_back(8729173);
	ans.push_back(48729173);
	ans.push_back(68729173);
	ans.push_back(768729173);
	ans.push_back(8768729173);
	ans.push_back(18768729173);
	ans.push_back(518768729173);
	ans.push_back(48768729173);
	ans.push_back(848768729173);
	ans.push_back(68768729173);
	ans.push_back(9729173);
	ans.push_back(69729173);
	ans.push_back(669729173);
	ans.push_back(869729173);
	ans.push_back(6869729173);
	ans.push_back(46869729173);
	ans.push_back(99173);
	ans.push_back(399173);
	ans.push_back(3399173);
	ans.push_back(63399173);
	ans.push_back(363399173);
	ans.push_back(3363399173);
	ans.push_back(23363399173);
	ans.push_back(563399173);
	ans.push_back(373);
	ans.push_back(1373);
	ans.push_back(81373);
	ans.push_back(381373);
	ans.push_back(481373);
	ans.push_back(8481373);
	ans.push_back(78481373);
	ans.push_back(578481373);
	ans.push_back(7578481373);
	ans.push_back(87578481373);
	ans.push_back(981373);
	ans.push_back(4981373);
	ans.push_back(54981373);
	ans.push_back(154981373);
	ans.push_back(3154981373);
	ans.push_back(94981373);
	ans.push_back(294981373);
	ans.push_back(6294981373);
	ans.push_back(66294981373);
	ans.push_back(366294981373);
	ans.push_back(9981373);
	ans.push_back(19981373);
	ans.push_back(319981373);
	ans.push_back(919981373);
	ans.push_back(9919981373);
	ans.push_back(99919981373);
	ans.push_back(699919981373);
	ans.push_back(91373);
	ans.push_back(291373);
	ans.push_back(3291373);
	ans.push_back(391373);
	ans.push_back(6391373);
	ans.push_back(66391373);
	ans.push_back(666391373);
	ans.push_back(2666391373);
	ans.push_back(12666391373);
	ans.push_back(5666391373);
	ans.push_back(35666391373);
	ans.push_back(735666391373);
	ans.push_back(75666391373);
	ans.push_back(8666391373);
	ans.push_back(9666391373);
	ans.push_back(69666391373);
	ans.push_back(86391373);
	ans.push_back(386391373);
	ans.push_back(6386391373);
	ans.push_back(9391373);
	ans.push_back(69391373);
	ans.push_back(269391373);
	ans.push_back(3373);
	ans.push_back(4373);
	ans.push_back(24373);
	ans.push_back(64373);
	ans.push_back(364373);
	ans.push_back(9364373);
	ans.push_back(59364373);
	ans.push_back(759364373);
	ans.push_back(2759364373);
	ans.push_back(32759364373);
	ans.push_back(632759364373);
	ans.push_back(732759364373);
	ans.push_back(3759364373);
	ans.push_back(8759364373);
	ans.push_back(48759364373);
	ans.push_back(564373);
	ans.push_back(1564373);
	ans.push_back(91564373);
	ans.push_back(391564373);
	ans.push_back(6391564373);
	ans.push_back(86391564373);
	ans.push_back(986391564373);
	ans.push_back(8391564373);
	ans.push_back(48391564373);
	ans.push_back(348391564373);
	ans.push_back(9391564373);
	ans.push_back(7564373);
	ans.push_back(964373);
	ans.push_back(5964373);
	ans.push_back(75964373);
	ans.push_back(6373);
	ans.push_back(36373);
	ans.push_back(136373);
	ans.push_back(3136373);
	ans.push_back(336373);
	ans.push_back(6336373);
	ans.push_back(16336373);
	ans.push_back(316336373);
	ans.push_back(6316336373);
	ans.push_back(26316336373);
	ans.push_back(326316336373);
	ans.push_back(86316336373);
	ans.push_back(786316336373);
	ans.push_back(986316336373);
	ans.push_back(96316336373);
	ans.push_back(76336373);
	ans.push_back(576336373);
	ans.push_back(9336373);
	ans.push_back(39336373);
	ans.push_back(939336373);
	ans.push_back(4939336373);
	ans.push_back(7939336373);
	ans.push_back(99336373);
	ans.push_back(699336373);
	ans.push_back(4699336373);
	ans.push_back(7699336373);
	ans.push_back(27699336373);
	ans.push_back(97699336373);
	ans.push_back(397699336373);
	ans.push_back(66373);
	ans.push_back(466373);
	ans.push_back(766373);
	ans.push_back(5766373);
	ans.push_back(75766373);
	ans.push_back(95766373);
	ans.push_back(966373);
	ans.push_back(4966373);
	ans.push_back(64966373);
	ans.push_back(364966373);
	ans.push_back(84966373);
	ans.push_back(184966373);
	ans.push_back(2184966373);
	ans.push_back(6184966373);
	ans.push_back(984966373);
	ans.push_back(4984966373);
	ans.push_back(24984966373);
	ans.push_back(9984966373);
	ans.push_back(673);
	ans.push_back(3673);
	ans.push_back(73673);
	ans.push_back(573673);
	ans.push_back(3573673);
	ans.push_back(7573673);
	ans.push_back(27573673);
	ans.push_back(427573673);
	ans.push_back(5427573673);
	ans.push_back(35427573673);
	ans.push_back(8427573673);
	ans.push_back(18427573673);
	ans.push_back(518427573673);
	ans.push_back(918427573673);
	ans.push_back(38427573673);
	ans.push_back(438427573673);
	ans.push_back(57573673);
	ans.push_back(157573673);
	ans.push_back(9157573673);
	ans.push_back(67573673);
	ans.push_back(367573673);
	ans.push_back(9367573673);
	ans.push_back(29367573673);
	ans.push_back(59367573673);
	ans.push_back(99367573673);
	ans.push_back(4673);
	ans.push_back(34673);
	ans.push_back(234673);
	ans.push_back(4234673);
	ans.push_back(64234673);
	ans.push_back(564234673);
	ans.push_back(7564234673);
	ans.push_back(87564234673);
	ans.push_back(687564234673);
	ans.push_back(864234673);
	ans.push_back(6864234673);
	ans.push_back(66864234673);
	ans.push_back(766864234673);
	ans.push_back(96864234673);
	ans.push_back(696864234673);
	ans.push_back(7864234673);
	ans.push_back(37864234673);
	ans.push_back(837864234673);
	ans.push_back(87864234673);
	ans.push_back(387864234673);
	ans.push_back(487864234673);
	ans.push_back(9864234673);
	ans.push_back(6234673);
	ans.push_back(66234673);
	ans.push_back(934673);
	ans.push_back(5934673);
	ans.push_back(45934673);
	ans.push_back(6934673);
	ans.push_back(26934673);
	ans.push_back(126934673);
	ans.push_back(56934673);
	ans.push_back(656934673);
	ans.push_back(9656934673);
	ans.push_back(99656934673);
	ans.push_back(956934673);
	ans.push_back(54673);
	ans.push_back(454673);
	ans.push_back(3454673);
	ans.push_back(8454673);
	ans.push_back(84673);
	ans.push_back(384673);
	ans.push_back(1384673);
	ans.push_back(21384673);
	ans.push_back(421384673);
	ans.push_back(4384673);
	ans.push_back(24384673);
	ans.push_back(84384673);
	ans.push_back(484384673);
	ans.push_back(5484384673);
	ans.push_back(65484384673);
	ans.push_back(765484384673);
	ans.push_back(8484384673);
	ans.push_back(784384673);
	ans.push_back(94384673);
	ans.push_back(6673);
	ans.push_back(16673);
	ans.push_back(516673);
	ans.push_back(6516673);
	ans.push_back(36516673);
	ans.push_back(336516673);
	ans.push_back(1336516673);
	ans.push_back(4336516673);
	ans.push_back(6336516673);
	ans.push_back(7336516673);
	ans.push_back(37336516673);
	ans.push_back(936516673);
	ans.push_back(6936516673);
	ans.push_back(96936516673);
	ans.push_back(396936516673);
	ans.push_back(496936516673);
	ans.push_back(66516673);
	ans.push_back(166516673);
	ans.push_back(9166516673);
	ans.push_back(39166516673);
	ans.push_back(539166516673);
	ans.push_back(76516673);
	ans.push_back(276516673);
	ans.push_back(876516673);
	ans.push_back(9516673);
	ans.push_back(49516673);
	ans.push_back(79516673);
	ans.push_back(279516673);
	ans.push_back(616673);
	ans.push_back(2616673);
	ans.push_back(3616673);
	ans.push_back(23616673);
	ans.push_back(623616673);
	ans.push_back(6623616673);
	ans.push_back(63616673);
	ans.push_back(263616673);
	ans.push_back(3263616673);
	ans.push_back(93263616673);
	ans.push_back(693263616673);
	ans.push_back(93616673);
	ans.push_back(76673);
	ans.push_back(276673);
	ans.push_back(7673);
	ans.push_back(27673);
	ans.push_back(327673);
	ans.push_back(1327673);
	ans.push_back(3327673);
	ans.push_back(63327673);
	ans.push_back(163327673);
	ans.push_back(763327673);
	ans.push_back(2763327673);
	ans.push_back(12763327673);
	ans.push_back(6763327673);
	ans.push_back(627673);
	ans.push_back(4627673);
	ans.push_back(727673);
	ans.push_back(8727673);
	ans.push_back(97673);
	ans.push_back(397673);
	ans.push_back(5397673);
	ans.push_back(597673);
	ans.push_back(3597673);
	ans.push_back(73597673);
	ans.push_back(373597673);
	ans.push_back(4597673);
	ans.push_back(24597673);
	ans.push_back(424597673);
	ans.push_back(9424597673);
	ans.push_back(69424597673);
	ans.push_back(724597673);
	ans.push_back(6597673);
	ans.push_back(96597673);
	ans.push_back(396597673);
	ans.push_back(7396597673);
	ans.push_back(697673);
	ans.push_back(5697673);
	ans.push_back(15697673);
	ans.push_back(215697673);
	ans.push_back(515697673);
	ans.push_back(9515697673);
	ans.push_back(79515697673);
	ans.push_back(279515697673);
	ans.push_back(615697673);
	ans.push_back(5615697673);
	ans.push_back(773);
	ans.push_back(83);
	ans.push_back(283);
	ans.push_back(1283);
	ans.push_back(21283);
	ans.push_back(121283);
	ans.push_back(8121283);
	ans.push_back(721283);
	ans.push_back(6721283);
	ans.push_back(56721283);
	ans.push_back(456721283);
	ans.push_back(3456721283);
	ans.push_back(656721283);
	ans.push_back(4656721283);
	ans.push_back(756721283);
	ans.push_back(9756721283);
	ans.push_back(51283);
	ans.push_back(951283);
	ans.push_back(9951283);
	ans.push_back(49951283);
	ans.push_back(249951283);
	ans.push_back(7249951283);
	ans.push_back(649951283);
	ans.push_back(6649951283);
	ans.push_back(26649951283);
	ans.push_back(56649951283);
	ans.push_back(66649951283);
	ans.push_back(266649951283);
	ans.push_back(79951283);
	ans.push_back(979951283);
	ans.push_back(2979951283);
	ans.push_back(62979951283);
	ans.push_back(8979951283);
	ans.push_back(99951283);
	ans.push_back(399951283);
	ans.push_back(1399951283);
	ans.push_back(7399951283);
	ans.push_back(87399951283);
	ans.push_back(61283);
	ans.push_back(961283);
	ans.push_back(3961283);
	ans.push_back(23961283);
	ans.push_back(323961283);
	ans.push_back(53961283);
	ans.push_back(653961283);
	ans.push_back(5961283);
	ans.push_back(35961283);
	ans.push_back(635961283);
	ans.push_back(3635961283);
	ans.push_back(73635961283);
	ans.push_back(873635961283);
	ans.push_back(735961283);
	ans.push_back(45961283);
	ans.push_back(845961283);
	ans.push_back(9961283);
	ans.push_back(81283);
	ans.push_back(181283);
	ans.push_back(5181283);
	ans.push_back(65181283);
	ans.push_back(75181283);
	ans.push_back(975181283);
	ans.push_back(2975181283);
	ans.push_back(5975181283);
	ans.push_back(45975181283);
	ans.push_back(345975181283);
	ans.push_back(781283);
	ans.push_back(981283);
	ans.push_back(6981283);
	ans.push_back(36981283);
	ans.push_back(136981283);
	ans.push_back(2136981283);
	ans.push_back(7981283);
	ans.push_back(57981283);
	ans.push_back(457981283);
	ans.push_back(3457981283);
	ans.push_back(83457981283);
	ans.push_back(783457981283);
	ans.push_back(757981283);
	ans.push_back(2757981283);
	ans.push_back(8757981283);
	ans.push_back(91283);
	ans.push_back(391283);
	ans.push_back(8391283);
	ans.push_back(4283);
	ans.push_back(34283);
	ans.push_back(534283);
	ans.push_back(834283);
	ans.push_back(3834283);
	ans.push_back(13834283);
	ans.push_back(73834283);
	ans.push_back(673834283);
	ans.push_back(2673834283);
	ans.push_back(6673834283);
	ans.push_back(93834283);
	ans.push_back(393834283);
	ans.push_back(1393834283);
	ans.push_back(9834283);
	ans.push_back(64283);
	ans.push_back(264283);
	ans.push_back(964283);
	ans.push_back(3964283);
	ans.push_back(7283);
	ans.push_back(27283);
	ans.push_back(427283);
	ans.push_back(5427283);
	ans.push_back(15427283);
	ans.push_back(315427283);
	ans.push_back(8315427283);
	ans.push_back(8427283);
	ans.push_back(68427283);
	ans.push_back(668427283);
	ans.push_back(1668427283);
	ans.push_back(98427283);
	ans.push_back(698427283);
	ans.push_back(57283);
	ans.push_back(357283);
	ans.push_back(97283);
	ans.push_back(397283);
	ans.push_back(5397283);
	ans.push_back(35397283);
	ans.push_back(435397283);
	ans.push_back(3435397283);
	ans.push_back(63435397283);
	ans.push_back(663435397283);
	ans.push_back(935397283);
	ans.push_back(6397283);
	ans.push_back(8397283);
	ans.push_back(78397283);
	ans.push_back(278397283);
	ans.push_back(978397283);
	ans.push_back(5978397283);
	ans.push_back(15978397283);
	ans.push_back(65978397283);
	ans.push_back(665978397283);
	ans.push_back(965978397283);
	ans.push_back(95978397283);
	ans.push_back(195978397283);
	ans.push_back(9978397283);
	ans.push_back(29978397283);
	ans.push_back(329978397283);
	ans.push_back(99978397283);
	ans.push_back(9283);
	ans.push_back(79283);
	ans.push_back(379283);
	ans.push_back(2379283);
	ans.push_back(92379283);
	ans.push_back(6379283);
	ans.push_back(56379283);
	ans.push_back(956379283);
	ans.push_back(4956379283);
	ans.push_back(94956379283);
	ans.push_back(9956379283);
	ans.push_back(19956379283);
	ans.push_back(819956379283);
	ans.push_back(919956379283);
	ans.push_back(49956379283);
	ans.push_back(549956379283);
	ans.push_back(66379283);
	ans.push_back(366379283);
	ans.push_back(579283);
	ans.push_back(4579283);
	ans.push_back(64579283);
	ans.push_back(264579283);
	ans.push_back(4264579283);
	ans.push_back(54264579283);
	ans.push_back(454264579283);
	ans.push_back(364579283);
	ans.push_back(964579283);
	ans.push_back(6579283);
	ans.push_back(46579283);
	ans.push_back(546579283);
	ans.push_back(4546579283);
	ans.push_back(64546579283);
	ans.push_back(7546579283);
	ans.push_back(9546579283);
	ans.push_back(39546579283);
	ans.push_back(49546579283);
	ans.push_back(79546579283);
	ans.push_back(379546579283);
	ans.push_back(879283);
	ans.push_back(3879283);
	ans.push_back(73879283);
	ans.push_back(93879283);
	ans.push_back(793879283);
	ans.push_back(9793879283);
	ans.push_back(9879283);
	ans.push_back(39879283);
	ans.push_back(49879283);
	ans.push_back(549879283);
	ans.push_back(949879283);
	ans.push_back(6949879283);
	ans.push_back(979283);
	ans.push_back(5979283);
	ans.push_back(15979283);
	ans.push_back(35979283);
	ans.push_back(335979283);
	ans.push_back(75979283);
	ans.push_back(375979283);
	ans.push_back(95979283);
	ans.push_back(495979283);
	ans.push_back(695979283);
	ans.push_back(7695979283);
	ans.push_back(67695979283);
	ans.push_back(667695979283);
	ans.push_back(9695979283);
	ans.push_back(39695979283);
	ans.push_back(339695979283);
	ans.push_back(79695979283);
	ans.push_back(679695979283);
	ans.push_back(9979283);
	ans.push_back(39979283);
	ans.push_back(383);
	ans.push_back(2383);
	ans.push_back(62383);
	ans.push_back(72383);
	ans.push_back(272383);
	ans.push_back(3272383);
	ans.push_back(13272383);
	ans.push_back(213272383);
	ans.push_back(3213272383);
	ans.push_back(7213272383);
	ans.push_back(872383);
	ans.push_back(92383);
	ans.push_back(192383);
	ans.push_back(8192383);
	ans.push_back(392383);
	ans.push_back(4392383);
	ans.push_back(94392383);
	ans.push_back(894392383);
	ans.push_back(792383);
	ans.push_back(5792383);
	ans.push_back(95792383);
	ans.push_back(683);
	ans.push_back(2683);
	ans.push_back(42683);
	ans.push_back(542683);
	ans.push_back(9542683);
	ans.push_back(642683);
	ans.push_back(9642683);
	ans.push_back(59642683);
	ans.push_back(459642683);
	ans.push_back(9459642683);
	ans.push_back(69459642683);
	ans.push_back(62683);
	ans.push_back(162683);
	ans.push_back(9162683);
	ans.push_back(962683);
	ans.push_back(9962683);
	ans.push_back(39962683);
	ans.push_back(739962683);
	ans.push_back(8739962683);
	ans.push_back(48739962683);
	ans.push_back(49962683);
	ans.push_back(949962683);
	ans.push_back(3949962683);
	ans.push_back(8949962683);
	ans.push_back(38949962683);
	ans.push_back(638949962683);
	ans.push_back(78949962683);
	ans.push_back(578949962683);
	ans.push_back(79962683);
	ans.push_back(379962683);
	ans.push_back(99962683);
	ans.push_back(999962683);
	ans.push_back(7999962683);
	ans.push_back(92683);
	ans.push_back(5683);
	ans.push_back(15683);
	ans.push_back(915683);
	ans.push_back(3915683);
	ans.push_back(5915683);
	ans.push_back(65915683);
	ans.push_back(6915683);
	ans.push_back(96915683);
	ans.push_back(9915683);
	ans.push_back(69915683);
	ans.push_back(269915683);
	ans.push_back(3269915683);
	ans.push_back(13269915683);
	ans.push_back(613269915683);
	ans.push_back(669915683);
	ans.push_back(2669915683);
	ans.push_back(75683);
	ans.push_back(875683);
	ans.push_back(1875683);
	ans.push_back(51875683);
	ans.push_back(351875683);
	ans.push_back(9875683);
	ans.push_back(79875683);
	ans.push_back(883);
	ans.push_back(6883);
	ans.push_back(16883);
	ans.push_back(516883);
	ans.push_back(1516883);
	ans.push_back(61516883);
	ans.push_back(961516883);
	ans.push_back(91516883);
	ans.push_back(691516883);
	ans.push_back(6516883);
	ans.push_back(9516883);
	ans.push_back(69516883);
	ans.push_back(169516883);
	ans.push_back(816883);
	ans.push_back(4816883);
	ans.push_back(34816883);
	ans.push_back(834816883);
	ans.push_back(1834816883);
	ans.push_back(31834816883);
	ans.push_back(531834816883);
	ans.push_back(631834816883);
	ans.push_back(81834816883);
	ans.push_back(781834816883);
	ans.push_back(981834816883);
	ans.push_back(7816883);
	ans.push_back(57816883);
	ans.push_back(457816883);
	ans.push_back(3457816883);
	ans.push_back(23457816883);
	ans.push_back(33457816883);
	ans.push_back(533457816883);
	ans.push_back(833457816883);
	ans.push_back(657816883);
	ans.push_back(67816883);
	ans.push_back(267816883);
	ans.push_back(66883);
	ans.push_back(966883);
	ans.push_back(3966883);
	ans.push_back(63966883);
	ans.push_back(9966883);
	ans.push_back(76883);
	ans.push_back(276883);
	ans.push_back(3276883);
	ans.push_back(13276883);
	ans.push_back(613276883);
	ans.push_back(5613276883);
	ans.push_back(35613276883);
	ans.push_back(935613276883);
	ans.push_back(75613276883);
	ans.push_back(95613276883);
	ans.push_back(195613276883);
	ans.push_back(8613276883);
	ans.push_back(38613276883);
	ans.push_back(738613276883);
	ans.push_back(813276883);
	ans.push_back(4813276883);
	ans.push_back(54813276883);
	ans.push_back(73276883);
	ans.push_back(973276883);
	ans.push_back(3973276883);
	ans.push_back(53973276883);
	ans.push_back(93973276883);
	ans.push_back(576883);
	ans.push_back(6576883);
	ans.push_back(16576883);
	ans.push_back(916576883);
	ans.push_back(76576883);
	ans.push_back(9576883);
	ans.push_back(676883);
	ans.push_back(6676883);
	ans.push_back(26676883);
	ans.push_back(36676883);
	ans.push_back(236676883);
	ans.push_back(536676883);
	ans.push_back(3536676883);
	ans.push_back(13536676883);
	ans.push_back(213536676883);
	ans.push_back(636676883);
	ans.push_back(5636676883);
	ans.push_back(8636676883);
	ans.push_back(68636676883);
	ans.push_back(368636676883);
	ans.push_back(968636676883);
	ans.push_back(936676883);
	ans.push_back(5936676883);
	ans.push_back(35936676883);
	ans.push_back(435936676883);
	ans.push_back(8676883);
	ans.push_back(18676883);
	ans.push_back(518676883);
	ans.push_back(1518676883);
	ans.push_back(91518676883);
	ans.push_back(48676883);
	ans.push_back(98676883);
	ans.push_back(976883);
	ans.push_back(7883);
	ans.push_back(27883);
	ans.push_back(427883);
	ans.push_back(2427883);
	ans.push_back(32427883);
	ans.push_back(42427883);
	ans.push_back(92427883);
	ans.push_back(9427883);
	ans.push_back(29427883);
	ans.push_back(729427883);
	ans.push_back(67883);
	ans.push_back(367883);
	ans.push_back(6367883);
	ans.push_back(567883);
	ans.push_back(7567883);
	ans.push_back(667883);
	ans.push_back(2667883);
	ans.push_back(12667883);
	ans.push_back(212667883);
	ans.push_back(612667883);
	ans.push_back(32667883);
	ans.push_back(632667883);
	ans.push_back(4632667883);
	ans.push_back(6632667883);
	ans.push_back(97883);
	ans.push_back(9883);
	ans.push_back(39883);
	ans.push_back(139883);
	ans.push_back(6139883);
	ans.push_back(66139883);
	ans.push_back(266139883);
	ans.push_back(1266139883);
	ans.push_back(4266139883);
	ans.push_back(84266139883);
	ans.push_back(384266139883);
	ans.push_back(484266139883);
	ans.push_back(966139883);
	ans.push_back(3966139883);
	ans.push_back(63966139883);
	ans.push_back(263966139883);
	ans.push_back(9139883);
	ans.push_back(39139883);
	ans.push_back(539139883);
	ans.push_back(1539139883);
	ans.push_back(439883);
	ans.push_back(5439883);
	ans.push_back(15439883);
	ans.push_back(45439883);
	ans.push_back(845439883);
	ans.push_back(983);
	ans.push_back(6983);
	ans.push_back(56983);
	ans.push_back(5);
	ans.push_back(7);
	ans.push_back(17);
	ans.push_back(317);
	ans.push_back(6317);
	ans.push_back(26317);
	ans.push_back(126317);
	ans.push_back(2126317);
	ans.push_back(72126317);
	ans.push_back(372126317);
	ans.push_back(5372126317);
	ans.push_back(6372126317);
	ans.push_back(9372126317);
	ans.push_back(6126317);
	ans.push_back(626317);
	ans.push_back(8317);
	ans.push_back(38317);
	ans.push_back(638317);
	ans.push_back(738317);
	ans.push_back(2738317);
	ans.push_back(32738317);
	ans.push_back(132738317);
	ans.push_back(6132738317);
	ans.push_back(66132738317);
	ans.push_back(86132738317);
	ans.push_back(186132738317);
	ans.push_back(732738317);
	ans.push_back(8732738317);
	ans.push_back(18732738317);
	ans.push_back(42738317);
	ans.push_back(242738317);
	ans.push_back(4242738317);
	ans.push_back(342738317);
	ans.push_back(2342738317);
	ans.push_back(92342738317);
	ans.push_back(392342738317);
	ans.push_back(692342738317);
	ans.push_back(3342738317);
	ans.push_back(93342738317);
	ans.push_back(8342738317);
	ans.push_back(6738317);
	ans.push_back(26738317);
	ans.push_back(426738317);
	ans.push_back(6426738317);
	ans.push_back(66426738317);
	ans.push_back(966426738317);
	ans.push_back(726738317);
	ans.push_back(9726738317);
	ans.push_back(86738317);
	ans.push_back(78317);
	ans.push_back(378317);
	ans.push_back(3378317);
	ans.push_back(93378317);
	ans.push_back(578317);
	ans.push_back(98317);
	ans.push_back(617);
	ans.push_back(2617);
	ans.push_back(62617);
	ans.push_back(662617);
	ans.push_back(7662617);
	ans.push_back(27662617);
	ans.push_back(427662617);
	ans.push_back(2427662617);
	ans.push_back(42427662617);
	ans.push_back(62427662617);
	ans.push_back(762427662617);
	ans.push_back(9662617);
	ans.push_back(962617);
	ans.push_back(6962617);
	ans.push_back(66962617);
	ans.push_back(166962617);
	ans.push_back(96962617);
	ans.push_back(496962617);
	ans.push_back(2496962617);
	ans.push_back(6496962617);
	ans.push_back(26496962617);
	ans.push_back(9496962617);
	ans.push_back(72617);
	ans.push_back(3617);
	ans.push_back(33617);
	ans.push_back(233617);
	ans.push_back(3233617);
	ans.push_back(73233617);
	ans.push_back(273233617);
	ans.push_back(1273233617);
	ans.push_back(21273233617);
	ans.push_back(421273233617);
	ans.push_back(721273233617);
	ans.push_back(31273233617);
	ans.push_back(831273233617);
	ans.push_back(931273233617);
	ans.push_back(91273233617);
	ans.push_back(4273233617);
	ans.push_back(54273233617);
	ans.push_back(64273233617);
	ans.push_back(973233617);
	ans.push_back(7233617);
	ans.push_back(27233617);
	ans.push_back(427233617);
	ans.push_back(2427233617);
	ans.push_back(72427233617);
	ans.push_back(9427233617);
	ans.push_back(833617);
	ans.push_back(4833617);
	ans.push_back(9833617);
	ans.push_back(79833617);
	ans.push_back(679833617);
	ans.push_back(2679833617);
	ans.push_back(53617);
	ans.push_back(453617);
	ans.push_back(653617);
	ans.push_back(753617);
	ans.push_back(5753617);
	ans.push_back(63617);
	ans.push_back(83617);
	ans.push_back(983617);
	ans.push_back(7983617);
	ans.push_back(87983617);
	ans.push_back(787983617);
	ans.push_back(987983617);
	ans.push_back(9987983617);
	ans.push_back(97983617);
	ans.push_back(297983617);
	ans.push_back(4297983617);
	ans.push_back(84297983617);
	ans.push_back(384297983617);
	ans.push_back(684297983617);
	ans.push_back(697983617);
	ans.push_back(5697983617);
	ans.push_back(37);
	ans.push_back(137);
	ans.push_back(2137);
	ans.push_back(62137);
	ans.push_back(362137);
	ans.push_back(9362137);
	ans.push_back(39362137);
	ans.push_back(3137);
	ans.push_back(83137);
	ans.push_back(783137);
	ans.push_back(9137);
	ans.push_back(29137);
	ans.push_back(429137);
	ans.push_back(629137);
	ans.push_back(1629137);
	ans.push_back(21629137);
	ans.push_back(61629137);
	ans.push_back(361629137);
	ans.push_back(8361629137);
	ans.push_back(18361629137);
	ans.push_back(318361629137);
	ans.push_back(918361629137);
	ans.push_back(48361629137);
	ans.push_back(348361629137);
	ans.push_back(81629137);
	ans.push_back(7629137);
	ans.push_back(67629137);
	ans.push_back(567629137);
	ans.push_back(3567629137);
	ans.push_back(43567629137);
	ans.push_back(843567629137);
	ans.push_back(6567629137);
	ans.push_back(16567629137);
	ans.push_back(216567629137);
	ans.push_back(46567629137);
	ans.push_back(867629137);
	ans.push_back(89137);
	ans.push_back(789137);
	ans.push_back(9789137);
	ans.push_back(99137);
	ans.push_back(299137);
	ans.push_back(3299137);
	ans.push_back(93299137);
	ans.push_back(693299137);
	ans.push_back(7693299137);
	ans.push_back(9693299137);
	ans.push_back(99693299137);
	ans.push_back(399137);
	ans.push_back(6399137);
	ans.push_back(36399137);
	ans.push_back(96399137);
	ans.push_back(996399137);
	ans.push_back(3996399137);
	ans.push_back(337);
	ans.push_back(4337);
	ans.push_back(24337);
	ans.push_back(124337);
	ans.push_back(924337);
	ans.push_back(3924337);
	ans.push_back(33924337);
	ans.push_back(133924337);
	ans.push_back(333924337);
	ans.push_back(3333924337);
	ans.push_back(13333924337);
	ans.push_back(9333924337);
	ans.push_back(99333924337);
	ans.push_back(399333924337);
	ans.push_back(933924337);
	ans.push_back(6933924337);
	ans.push_back(7933924337);
	ans.push_back(73924337);
	ans.push_back(373924337);
	ans.push_back(2373924337);
	ans.push_back(12373924337);
	ans.push_back(912373924337);
	ans.push_back(32373924337);
	ans.push_back(92373924337);
	ans.push_back(692373924337);
	ans.push_back(973924337);
	ans.push_back(2973924337);
	ans.push_back(42973924337);
	ans.push_back(5973924337);
	ans.push_back(75973924337);
	ans.push_back(6973924337);
	ans.push_back(96973924337);
	ans.push_back(34337);
	ans.push_back(6337);
	ans.push_back(46337);
	ans.push_back(346337);
	ans.push_back(6346337);
	ans.push_back(66346337);
	ans.push_back(96346337);
	ans.push_back(66337);
	ans.push_back(966337);
	ans.push_back(1966337);
	ans.push_back(51966337);
	ans.push_back(351966337);
	ans.push_back(3351966337);
	ans.push_back(451966337);
	ans.push_back(6451966337);
	ans.push_back(26451966337);
	ans.push_back(426451966337);
	ans.push_back(726451966337);
	ans.push_back(36451966337);
	ans.push_back(336451966337);
	ans.push_back(66451966337);
	ans.push_back(61966337);
	ans.push_back(361966337);
	ans.push_back(661966337);
	ans.push_back(2661966337);
	ans.push_back(861966337);
	ans.push_back(96337);
	ans.push_back(196337);
	ans.push_back(5196337);
	ans.push_back(796337);
	ans.push_back(2796337);
	ans.push_back(62796337);
	ans.push_back(462796337);
	ans.push_back(8462796337);
	ans.push_back(92796337);
	ans.push_back(9337);
	ans.push_back(69337);
	ans.push_back(79337);
	ans.push_back(279337);
	ans.push_back(1279337);
	ans.push_back(3279337);
	ans.push_back(43279337);
	ans.push_back(543279337);
	ans.push_back(1543279337);
	ans.push_back(4279337);
	ans.push_back(9279337);
	ans.push_back(69279337);
	ans.push_back(469279337);
	ans.push_back(3469279337);
	ans.push_back(979337);
	ans.push_back(2979337);
	ans.push_back(8979337);
	ans.push_back(38979337);
	ans.push_back(78979337);
	ans.push_back(578979337);
	ans.push_back(7578979337);
	ans.push_back(9979337);
	ans.push_back(39979337);
	ans.push_back(839979337);
	ans.push_back(3839979337);
	ans.push_back(33839979337);
	ans.push_back(333839979337);
	ans.push_back(933839979337);
	ans.push_back(73839979337);
	ans.push_back(9839979337);
	ans.push_back(49839979337);
	ans.push_back(79839979337);
	ans.push_back(579839979337);
	ans.push_back(99979337);
	ans.push_back(699979337);
	ans.push_back(6699979337);
	ans.push_back(937);
	ans.push_back(4937);
	ans.push_back(64937);
	ans.push_back(364937);
	ans.push_back(2364937);
	ans.push_back(3364937);
	ans.push_back(53364937);
	ans.push_back(63364937);
	ans.push_back(93364937);
	ans.push_back(564937);
	ans.push_back(3564937);
	ans.push_back(13564937);
	ans.push_back(613564937);
	ans.push_back(2613564937);
	ans.push_back(5613564937);
	ans.push_back(35613564937);
	ans.push_back(9613564937);
	ans.push_back(59613564937);
	ans.push_back(159613564937);
	ans.push_back(659613564937);
	ans.push_back(913564937);
	ans.push_back(8913564937);
	ans.push_back(18913564937);
	ans.push_back(518913564937);
	ans.push_back(73564937);
	ans.push_back(973564937);
	ans.push_back(93564937);
	ans.push_back(493564937);
	ans.push_back(3493564937);
	ans.push_back(53493564937);
	ans.push_back(93493564937);
	ans.push_back(9564937);
	ans.push_back(7937);
	ans.push_back(47);
	ans.push_back(347);
	ans.push_back(2347);
	ans.push_back(12347);
	ans.push_back(812347);
	ans.push_back(1812347);
	ans.push_back(61812347);
	ans.push_back(7812347);
	ans.push_back(37812347);
	ans.push_back(637812347);
	ans.push_back(2637812347);
	ans.push_back(67812347);
	ans.push_back(667812347);
	ans.push_back(867812347);
	ans.push_back(4867812347);
	ans.push_back(54867812347);
	ans.push_back(154867812347);
	ans.push_back(354867812347);
	ans.push_back(9812347);
	ans.push_back(62347);
	ans.push_back(362347);
	ans.push_back(92347);
	ans.push_back(192347);
	ans.push_back(3192347);
	ans.push_back(93192347);
	ans.push_back(393192347);
	ans.push_back(5393192347);
	ans.push_back(95393192347);
	ans.push_back(995393192347);
	ans.push_back(8393192347);
	ans.push_back(693192347);
	ans.push_back(2693192347);
	ans.push_back(5693192347);
	ans.push_back(95693192347);
	ans.push_back(195693192347);
	ans.push_back(9693192347);
	ans.push_back(893192347);
	ans.push_back(6893192347);
	ans.push_back(46893192347);
	ans.push_back(246893192347);
	ans.push_back(946893192347);
	ans.push_back(9192347);
	ans.push_back(39192347);
	ans.push_back(239192347);
	ans.push_back(539192347);
	ans.push_back(9539192347);
	ans.push_back(39539192347);
	ans.push_back(739539192347);
	ans.push_back(639192347);
	ans.push_back(8639192347);
	ans.push_back(18639192347);
	ans.push_back(48639192347);
	ans.push_back(59192347);
	ans.push_back(759192347);
	ans.push_back(5759192347);
	ans.push_back(15759192347);
	ans.push_back(35759192347);
	ans.push_back(335759192347);
	ans.push_back(435759192347);
	ans.push_back(65759192347);
	ans.push_back(665759192347);
	ans.push_back(765759192347);
	ans.push_back(8759192347);
	ans.push_back(959192347);
	ans.push_back(89192347);
	ans.push_back(789192347);
	ans.push_back(392347);
	ans.push_back(692347);
	ans.push_back(3692347);
	ans.push_back(13692347);
	ans.push_back(613692347);
	ans.push_back(6613692347);
	ans.push_back(96613692347);
	ans.push_back(63692347);
	ans.push_back(363692347);
	ans.push_back(6363692347);
	ans.push_back(76363692347);
	ans.push_back(576363692347);
	ans.push_back(6692347);
	ans.push_back(66692347);
	ans.push_back(966692347);
	ans.push_back(3966692347);
	ans.push_back(43966692347);
	ans.push_back(63966692347);
	ans.push_back(96692347);
	ans.push_back(196692347);
	ans.push_back(8196692347);
	ans.push_back(18196692347);
	ans.push_back(218196692347);
	ans.push_back(818196692347);
	ans.push_back(3347);
	ans.push_back(33347);
	ans.push_back(233347);
	ans.push_back(4233347);
	ans.push_back(833347);
	ans.push_back(1833347);
	ans.push_back(21833347);
	ans.push_back(61833347);
	ans.push_back(81833347);
	ans.push_back(181833347);
	ans.push_back(2181833347);
	ans.push_back(12181833347);
	ans.push_back(92181833347);
	ans.push_back(992181833347);
	ans.push_back(9833347);
	ans.push_back(69833347);
	ans.push_back(169833347);
	ans.push_back(3169833347);
	ans.push_back(53169833347);
	ans.push_back(469833347);
	ans.push_back(3469833347);
	ans.push_back(23469833347);
	ans.push_back(323469833347);
	ans.push_back(769833347);
	ans.push_back(5769833347);
	ans.push_back(15769833347);
	ans.push_back(215769833347);
	ans.push_back(63347);
	ans.push_back(5347);
	ans.push_back(75347);
	ans.push_back(675347);
	ans.push_back(2675347);
	ans.push_back(5675347);
	ans.push_back(15675347);
	ans.push_back(35675347);
	ans.push_back(435675347);
	ans.push_back(6435675347);
	ans.push_back(56435675347);
	ans.push_back(456435675347);
	ans.push_back(66435675347);
	ans.push_back(635675347);
	ans.push_back(3635675347);
	ans.push_back(63635675347);
	ans.push_back(7635675347);
	ans.push_back(935675347);
	ans.push_back(1935675347);
	ans.push_back(7935675347);
	ans.push_back(95675347);
	ans.push_back(547);
	ans.push_back(3547);
	ans.push_back(33547);
	ans.push_back(73547);
	ans.push_back(973547);
	ans.push_back(2973547);
	ans.push_back(12973547);
	ans.push_back(212973547);
	ans.push_back(312973547);
	ans.push_back(612973547);
	ans.push_back(5612973547);
	ans.push_back(32973547);
	ans.push_back(92973547);
	ans.push_back(9973547);
	ans.push_back(89973547);
	ans.push_back(389973547);
	ans.push_back(3389973547);
	ans.push_back(63389973547);
	ans.push_back(763389973547);
	ans.push_back(4389973547);
	ans.push_back(24389973547);
	ans.push_back(924389973547);
	ans.push_back(34389973547);
	ans.push_back(4547);
	ans.push_back(24547);
	ans.push_back(424547);
	ans.push_back(2424547);
	ans.push_back(6424547);
	ans.push_back(36424547);
	ans.push_back(236424547);
	ans.push_back(724547);
	ans.push_back(54547);
	ans.push_back(454547);
	ans.push_back(9454547);
	ans.push_back(59454547);
	ans.push_back(359454547);
	ans.push_back(3359454547);
	ans.push_back(959454547);
	ans.push_back(99454547);
	ans.push_back(94547);
	ans.push_back(894547);
	ans.push_back(7894547);
	ans.push_back(6547);
	ans.push_back(16547);
	ans.push_back(616547);
	ans.push_back(8616547);
	ans.push_back(9616547);
	ans.push_back(39616547);
	ans.push_back(339616547);
	ans.push_back(3339616547);
	ans.push_back(33339616547);
	ans.push_back(939616547);
	ans.push_back(5939616547);
	ans.push_back(15939616547);
	ans.push_back(95939616547);
	ans.push_back(795939616547);
	ans.push_back(8939616547);
	ans.push_back(48939616547);
	ans.push_back(348939616547);
	ans.push_back(68939616547);
	ans.push_back(89616547);
	ans.push_back(789616547);
	ans.push_back(8789616547);
	ans.push_back(816547);
	ans.push_back(7816547);
	ans.push_back(97816547);
	ans.push_back(897816547);
	ans.push_back(3897816547);
	ans.push_back(73897816547);
	ans.push_back(973897816547);
	ans.push_back(7547);
	ans.push_back(37547);
	ans.push_back(237547);
	ans.push_back(1237547);
	ans.push_back(6237547);
	ans.push_back(16237547);
	ans.push_back(616237547);
	ans.push_back(8616237547);
	ans.push_back(18616237547);
	ans.push_back(518616237547);
	ans.push_back(48616237547);
	ans.push_back(348616237547);
	ans.push_back(916237547);
	ans.push_back(36237547);
	ans.push_back(66237547);
	ans.push_back(466237547);
	ans.push_back(2466237547);
	ans.push_back(92466237547);
	ans.push_back(392466237547);
	ans.push_back(992466237547);
	ans.push_back(7237547);
	ans.push_back(37237547);
	ans.push_back(237237547);
	ans.push_back(6237237547);
	ans.push_back(7237237547);
	ans.push_back(37237237547);
	ans.push_back(837237237547);
	ans.push_back(337237547);
	ans.push_back(5337237547);
	ans.push_back(65337237547);
	ans.push_back(637237547);
	ans.push_back(3637237547);
	ans.push_back(8637237547);
	ans.push_back(837237547);
	ans.push_back(4837237547);
	ans.push_back(537547);
	ans.push_back(6537547);
	ans.push_back(76537547);
	ans.push_back(576537547);
	ans.push_back(9576537547);
	ans.push_back(39576537547);
	ans.push_back(639576537547);
	ans.push_back(876537547);
	ans.push_back(3876537547);
	ans.push_back(13876537547);
	ans.push_back(213876537547);
	ans.push_back(513876537547);
	ans.push_back(63876537547);
	ans.push_back(463876537547);
	ans.push_back(73876537547);
	ans.push_back(273876537547);
	ans.push_back(373876537547);
	ans.push_back(673876537547);
	ans.push_back(9876537547);
	ans.push_back(9537547);
	ans.push_back(49537547);
	ans.push_back(69537547);
	ans.push_back(99537547);
	ans.push_back(499537547);
	ans.push_back(699537547);
	ans.push_back(3699537547);
	ans.push_back(13699537547);
	ans.push_back(913699537547);
	ans.push_back(63699537547);
	ans.push_back(6699537547);
	ans.push_back(799537547);
	ans.push_back(67547);
	ans.push_back(367547);
	ans.push_back(6367547);
	ans.push_back(667547);
	ans.push_back(5667547);
	ans.push_back(75667547);
	ans.push_back(875667547);
	ans.push_back(9875667547);
	ans.push_back(975667547);
	ans.push_back(2975667547);
	ans.push_back(72975667547);
	ans.push_back(867547);
	ans.push_back(7867547);
	ans.push_back(87547);
	ans.push_back(187547);
	ans.push_back(5187547);
	ans.push_back(15187547);
	ans.push_back(315187547);
	ans.push_back(8315187547);
	ans.push_back(18315187547);
	ans.push_back(65187547);
	ans.push_back(365187547);
	ans.push_back(1365187547);
	ans.push_back(51365187547);
	ans.push_back(451365187547);
	ans.push_back(75187547);
	ans.push_back(9187547);
	ans.push_back(99187547);
	ans.push_back(787547);
	ans.push_back(3787547);
	ans.push_back(33787547);
	ans.push_back(833787547);
	ans.push_back(4833787547);
	ans.push_back(63787547);
	ans.push_back(83787547);
	ans.push_back(8787547);
	ans.push_back(68787547);
	ans.push_back(468787547);
	ans.push_back(9468787547);
	ans.push_back(89468787547);
	ans.push_back(689468787547);
	ans.push_back(97547);
	ans.push_back(397547);
	ans.push_back(8397547);
	ans.push_back(997547);
	ans.push_back(3997547);
	ans.push_back(9547);
	ans.push_back(49547);
	ans.push_back(549547);
	ans.push_back(1549547);
	ans.push_back(31549547);
	ans.push_back(831549547);
	ans.push_back(81549547);
	ans.push_back(781549547);
	ans.push_back(3549547);
	ans.push_back(73549547);
	ans.push_back(973549547);
	ans.push_back(4549547);
	ans.push_back(647);
	ans.push_back(2647);
	ans.push_back(12647);
	ans.push_back(912647);
	ans.push_back(3912647);
	ans.push_back(53912647);
	ans.push_back(653912647);
	ans.push_back(32647);
	ans.push_back(132647);
	ans.push_back(6132647);
	ans.push_back(36132647);
	ans.push_back(536132647);
	ans.push_back(86132647);
	ans.push_back(986132647);
	ans.push_back(4986132647);
	ans.push_back(7986132647);
	ans.push_back(632647);
	ans.push_back(1632647);
	ans.push_back(21632647);
	ans.push_back(4632647);
	ans.push_back(54632647);
	ans.push_back(354632647);
	ans.push_back(1354632647);
	ans.push_back(9354632647);
	ans.push_back(99354632647);
	ans.push_back(199354632647);
	ans.push_back(799354632647);
	ans.push_back(64632647);
	ans.push_back(932647);
	ans.push_back(3932647);
	ans.push_back(63932647);
	ans.push_back(163932647);
	ans.push_back(963932647);
	ans.push_back(3963932647);
	ans.push_back(43963932647);
	ans.push_back(343963932647);
	ans.push_back(73932647);
	ans.push_back(7932647);
	ans.push_back(37932647);
	ans.push_back(837932647);
	ans.push_back(3837932647);
	ans.push_back(33837932647);
	ans.push_back(73837932647);
	ans.push_back(4837932647);
	ans.push_back(54837932647);
	ans.push_back(154837932647);
	ans.push_back(754837932647);
	ans.push_back(954837932647);
	ans.push_back(94837932647);
	ans.push_back(72647);
	ans.push_back(872647);
	ans.push_back(3872647);
	ans.push_back(92647);
	ans.push_back(392647);
	ans.push_back(7392647);
	ans.push_back(492647);
	ans.push_back(692647);
	ans.push_back(7692647);
	ans.push_back(27692647);
	ans.push_back(127692647);
	ans.push_back(3127692647);
	ans.push_back(6127692647);
	ans.push_back(66127692647);
	ans.push_back(266127692647);
	ans.push_back(366127692647);
	ans.push_back(8127692647);
	ans.push_back(78127692647);
	ans.push_back(9127692647);
	ans.push_back(99127692647);
	ans.push_back(899127692647);
	ans.push_back(57692647);
	ans.push_back(757692647);
	ans.push_back(3757692647);
	ans.push_back(9757692647);
	ans.push_back(69757692647);
	ans.push_back(99757692647);
	ans.push_back(599757692647);
	ans.push_back(792647);
	ans.push_back(5647);
	ans.push_back(15647);
	ans.push_back(65647);
	ans.push_back(965647);
	ans.push_back(1965647);
	ans.push_back(61965647);
	ans.push_back(961965647);
	ans.push_back(2961965647);
	ans.push_back(42961965647);
	ans.push_back(242961965647);
	ans.push_back(542961965647);
	ans.push_back(72961965647);
	ans.push_back(672961965647);
	ans.push_back(81965647);
	ans.push_back(181965647);
	ans.push_back(8647);
	ans.push_back(48647);
	ans.push_back(848647);
	ans.push_back(9848647);
	ans.push_back(947);
	ans.push_back(3947);
	ans.push_back(6947);
	ans.push_back(26947);
	ans.push_back(326947);
	ans.push_back(1326947);
	ans.push_back(4326947);
	ans.push_back(34326947);
	ans.push_back(64326947);
	ans.push_back(264326947);
	ans.push_back(564326947);
	ans.push_back(1564326947);
	ans.push_back(4564326947);
	ans.push_back(64564326947);
	ans.push_back(264564326947);
	ans.push_back(7564326947);
	ans.push_back(57564326947);
	ans.push_back(357564326947);
	ans.push_back(97564326947);
	ans.push_back(297564326947);
	ans.push_back(997564326947);
	ans.push_back(664326947);
	ans.push_back(626947);
	ans.push_back(3626947);
	ans.push_back(73626947);
	ans.push_back(373626947);
	ans.push_back(93626947);
	ans.push_back(193626947);
	ans.push_back(9193626947);
	ans.push_back(29193626947);
	ans.push_back(39193626947);
	ans.push_back(6626947);
	ans.push_back(46626947);
	ans.push_back(7626947);
	ans.push_back(27626947);
	ans.push_back(627626947);
	ans.push_back(7627626947);
	ans.push_back(67627626947);
	ans.push_back(267627626947);
	ans.push_back(9627626947);
	ans.push_back(39627626947);
	ans.push_back(639627626947);
	ans.push_back(69627626947);
	ans.push_back(469627626947);
	ans.push_back(87626947);
	ans.push_back(787626947);
	ans.push_back(36947);
	ans.push_back(236947);
	ans.push_back(7236947);
	ans.push_back(67236947);
	ans.push_back(97236947);
	ans.push_back(536947);
	ans.push_back(4536947);
	ans.push_back(24536947);
	ans.push_back(124536947);
	ans.push_back(6124536947);
	ans.push_back(624536947);
	ans.push_back(94536947);
	ans.push_back(294536947);
	ans.push_back(6294536947);
	ans.push_back(66294536947);
	ans.push_back(766294536947);
	ans.push_back(594536947);
	ans.push_back(3594536947);
	ans.push_back(7594536947);
	ans.push_back(27594536947);
	ans.push_back(6536947);
	ans.push_back(636947);
	ans.push_back(3636947);
	ans.push_back(23636947);
	ans.push_back(323636947);
	ans.push_back(9636947);
	ans.push_back(29636947);
	ans.push_back(629636947);
	ans.push_back(929636947);
	ans.push_back(3929636947);
	ans.push_back(66947);
	ans.push_back(266947);
	ans.push_back(6266947);
	ans.push_back(16266947);
	ans.push_back(316266947);
	ans.push_back(616266947);
	ans.push_back(6616266947);
	ans.push_back(26616266947);
	ans.push_back(8616266947);
	ans.push_back(18616266947);
	ans.push_back(518616266947);
	ans.push_back(48616266947);
	ans.push_back(848616266947);
	ans.push_back(36266947);
	ans.push_back(136266947);
	ans.push_back(6136266947);
	ans.push_back(9136266947);
	ans.push_back(39136266947);
	ans.push_back(7266947);
	ans.push_back(27266947);
	ans.push_back(627266947);
	ans.push_back(4627266947);
	ans.push_back(24627266947);
	ans.push_back(124627266947);
	ans.push_back(7627266947);
	ans.push_back(57627266947);
	ans.push_back(57266947);
	ans.push_back(457266947);
	ans.push_back(6457266947);
	ans.push_back(26457266947);
	ans.push_back(56457266947);
	ans.push_back(566947);
	ans.push_back(67);
	ans.push_back(167);
	ans.push_back(3167);
	ans.push_back(23167);
	ans.push_back(723167);
	ans.push_back(2723167);
	ans.push_back(12723167);
	ans.push_back(32723167);
	ans.push_back(132723167);
	ans.push_back(5167);
	ans.push_back(65167);
	ans.push_back(465167);
	ans.push_back(2465167);
	ans.push_back(92465167);
	ans.push_back(392465167);
	ans.push_back(4392465167);
	ans.push_back(34392465167);
	ans.push_back(834392465167);
	ans.push_back(64392465167);
	ans.push_back(664392465167);
	ans.push_back(75167);
	ans.push_back(275167);
	ans.push_back(6275167);
	ans.push_back(16275167);
	ans.push_back(516275167);
	ans.push_back(36275167);
	ans.push_back(736275167);
	ans.push_back(936275167);
	ans.push_back(4936275167);
	ans.push_back(34936275167);
	ans.push_back(94936275167);
	ans.push_back(6936275167);
	ans.push_back(46936275167);
	ans.push_back(76936275167);
	ans.push_back(46275167);
	ans.push_back(246275167);
	ans.push_back(546275167);
	ans.push_back(1546275167);
	ans.push_back(51546275167);
	ans.push_back(91546275167);
	ans.push_back(3546275167);
	ans.push_back(73546275167);
	ans.push_back(673546275167);
	ans.push_back(93546275167);
	ans.push_back(393546275167);
	ans.push_back(793546275167);
	ans.push_back(993546275167);
	ans.push_back(6546275167);
	ans.push_back(36546275167);
	ans.push_back(66546275167);
	ans.push_back(76546275167);
	ans.push_back(876546275167);
	ans.push_back(976546275167);
	ans.push_back(946275167);
	ans.push_back(9946275167);
	ans.push_back(8167);
	ans.push_back(38167);
	ans.push_back(338167);
	ans.push_back(1338167);
	ans.push_back(51338167);
	ans.push_back(751338167);
	ans.push_back(9751338167);
	ans.push_back(4338167);
	ans.push_back(34338167);
	ans.push_back(634338167);
	ans.push_back(9634338167);
	ans.push_back(64338167);
	ans.push_back(78167);
	ans.push_back(378167);
	ans.push_back(578167);
	ans.push_back(3578167);
	ans.push_back(13578167);
	ans.push_back(613578167);
	ans.push_back(3613578167);
	ans.push_back(53613578167);
	ans.push_back(953613578167);
	ans.push_back(5613578167);
	ans.push_back(45613578167);
	ans.push_back(845613578167);
	ans.push_back(65613578167);
	ans.push_back(165613578167);
	ans.push_back(95613578167);
	ans.push_back(93578167);
	ans.push_back(493578167);
	ans.push_back(2493578167);
	ans.push_back(72493578167);
	ans.push_back(272493578167);
	ans.push_back(672493578167);
	ans.push_back(872493578167);
	ans.push_back(972493578167);
	ans.push_back(793578167);
	ans.push_back(9793578167);
	ans.push_back(99793578167);
	ans.push_back(878167);
	ans.push_back(6878167);
	ans.push_back(36878167);
	ans.push_back(736878167);
	ans.push_back(5736878167);
	ans.push_back(96878167);
	ans.push_back(367);
	ans.push_back(1367);
	ans.push_back(91367);
	ans.push_back(291367);
	ans.push_back(3291367);
	ans.push_back(7291367);
	ans.push_back(27291367);
	ans.push_back(627291367);
	ans.push_back(6627291367);
	ans.push_back(37291367);
	ans.push_back(237291367);
	ans.push_back(97291367);
	ans.push_back(391367);
	ans.push_back(5391367);
	ans.push_back(95391367);
	ans.push_back(995391367);
	ans.push_back(1995391367);
	ans.push_back(51995391367);
	ans.push_back(351995391367);
	ans.push_back(651995391367);
	ans.push_back(7995391367);
	ans.push_back(6367);
	ans.push_back(76367);
	ans.push_back(467);
	ans.push_back(2467);
	ans.push_back(32467);
	ans.push_back(332467);
	ans.push_back(1332467);
	ans.push_back(51332467);
	ans.push_back(451332467);
	ans.push_back(6451332467);
	ans.push_back(86451332467);
	ans.push_back(986451332467);
	ans.push_back(651332467);
	ans.push_back(81332467);
	ans.push_back(181332467);
	ans.push_back(3181332467);
	ans.push_back(53181332467);
	ans.push_back(781332467);
	ans.push_back(2781332467);
	ans.push_back(12781332467);
	ans.push_back(732467);
	ans.push_back(3732467);
	ans.push_back(53732467);
	ans.push_back(453732467);
	ans.push_back(8453732467);
	ans.push_back(38453732467);
	ans.push_back(93732467);
	ans.push_back(593732467);
	ans.push_back(1593732467);
	ans.push_back(42467);
	ans.push_back(242467);
	ans.push_back(342467);
	ans.push_back(6342467);
	ans.push_back(86342467);
	ans.push_back(186342467);
	ans.push_back(6186342467);
	ans.push_back(8186342467);
	ans.push_back(68186342467);
	ans.push_back(686342467);
	ans.push_back(3686342467);
	ans.push_back(542467);
	ans.push_back(4542467);
	ans.push_back(24542467);
	ans.push_back(324542467);
	ans.push_back(1324542467);
	ans.push_back(6324542467);
	ans.push_back(34542467);
	ans.push_back(234542467);
	ans.push_back(4234542467);
	ans.push_back(534542467);
	ans.push_back(934542467);
	ans.push_back(6934542467);
	ans.push_back(36934542467);
	ans.push_back(636934542467);
	ans.push_back(84542467);
	ans.push_back(62467);
	ans.push_back(462467);
	ans.push_back(5462467);
	ans.push_back(15462467);
	ans.push_back(315462467);
	ans.push_back(6315462467);
	ans.push_back(9315462467);
	ans.push_back(29315462467);
	ans.push_back(129315462467);
	ans.push_back(615462467);
	ans.push_back(3615462467);
	ans.push_back(95462467);
	ans.push_back(195462467);
	ans.push_back(3195462467);
	ans.push_back(63195462467);
	ans.push_back(395462467);
	ans.push_back(3395462467);
	ans.push_back(9395462467);
	ans.push_back(19395462467);
	ans.push_back(69395462467);
	ans.push_back(969395462467);
	ans.push_back(795462467);
	ans.push_back(72467);
	ans.push_back(92467);
	ans.push_back(392467);
	ans.push_back(492467);
	ans.push_back(6492467);
	ans.push_back(26492467);
	ans.push_back(626492467);
	ans.push_back(56492467);
	ans.push_back(156492467);
	ans.push_back(9156492467);
	ans.push_back(29156492467);
	ans.push_back(129156492467);
	ans.push_back(456492467);
	ans.push_back(9456492467);
	ans.push_back(69456492467);
	ans.push_back(656492467);
	ans.push_back(692467);
	ans.push_back(3692467);
	ans.push_back(3467);
	ans.push_back(63467);
	ans.push_back(563467);
	ans.push_back(1563467);
	ans.push_back(21563467);
	ans.push_back(3563467);
	ans.push_back(4563467);
	ans.push_back(34563467);
	ans.push_back(934563467);
	ans.push_back(3934563467);
	ans.push_back(83934563467);
	ans.push_back(483934563467);
	ans.push_back(8934563467);
	ans.push_back(48934563467);
	ans.push_back(648934563467);
	ans.push_back(84563467);
	ans.push_back(784563467);
	ans.push_back(984563467);
	ans.push_back(7984563467);
	ans.push_back(37984563467);
	ans.push_back(337984563467);
	ans.push_back(837984563467);
	ans.push_back(57984563467);
	ans.push_back(457984563467);
	ans.push_back(957984563467);
	ans.push_back(9984563467);
	ans.push_back(79984563467);
	ans.push_back(9563467);
	ans.push_back(39563467);
	ans.push_back(69563467);
	ans.push_back(8467);
	ans.push_back(78467);
	ans.push_back(378467);
	ans.push_back(578467);
	ans.push_back(3578467);
	ans.push_back(4578467);
	ans.push_back(94578467);
	ans.push_back(878467);
	ans.push_back(6878467);
	ans.push_back(36878467);
	ans.push_back(636878467);
	ans.push_back(9878467);
	ans.push_back(79878467);
	ans.push_back(98467);
	ans.push_back(398467);
	ans.push_back(3398467);
	ans.push_back(33398467);
	ans.push_back(433398467);
	ans.push_back(6433398467);
	ans.push_back(73398467);
	ans.push_back(873398467);
	ans.push_back(973398467);
	ans.push_back(4398467);
	ans.push_back(54398467);
	ans.push_back(454398467);
	ans.push_back(6398467);
	ans.push_back(16398467);
	ans.push_back(816398467);
	ans.push_back(916398467);
	ans.push_back(46398467);
	ans.push_back(498467);
	ans.push_back(8498467);
	ans.push_back(9467);
	ans.push_back(59467);
	ans.push_back(459467);
	ans.push_back(659467);
	ans.push_back(7659467);
	ans.push_back(37659467);
	ans.push_back(337659467);
	ans.push_back(9337659467);
	ans.push_back(29337659467);
	ans.push_back(329337659467);
	ans.push_back(729337659467);
	ans.push_back(637659467);
	ans.push_back(2637659467);
	ans.push_back(62637659467);
	ans.push_back(837659467);
	ans.push_back(3837659467);
	ans.push_back(33837659467);
	ans.push_back(133837659467);
	ans.push_back(67659467);
	ans.push_back(867659467);
	ans.push_back(1867659467);
	ans.push_back(61867659467);
	ans.push_back(361867659467);
	ans.push_back(91867659467);
	ans.push_back(9867659467);
	ans.push_back(39867659467);
	ans.push_back(439867659467);
	ans.push_back(759467);
	ans.push_back(2759467);
	ans.push_back(62759467);
	ans.push_back(8759467);
	ans.push_back(9759467);
	ans.push_back(99759467);
	ans.push_back(399759467);
	ans.push_back(6399759467);
	ans.push_back(36399759467);
	ans.push_back(636399759467);
	ans.push_back(899759467);
	ans.push_back(3899759467);
	ans.push_back(959467);
	ans.push_back(69467);
	ans.push_back(869467);
	ans.push_back(7869467);
	ans.push_back(37869467);
	ans.push_back(67869467);
	ans.push_back(9869467);
	ans.push_back(969467);
	ans.push_back(2969467);
	ans.push_back(32969467);
	ans.push_back(72969467);
	ans.push_back(872969467);
	ans.push_back(972969467);
	ans.push_back(3969467);
	ans.push_back(23969467);
	ans.push_back(63969467);
	ans.push_back(263969467);
	ans.push_back(4263969467);
	ans.push_back(963969467);
	ans.push_back(5963969467);
	ans.push_back(83969467);
	ans.push_back(967);
	ans.push_back(3967);
	ans.push_back(13967);
	ans.push_back(613967);
	ans.push_back(5613967);
	ans.push_back(15613967);
	ans.push_back(915613967);
	ans.push_back(3915613967);
	ans.push_back(6915613967);
	ans.push_back(56915613967);
	ans.push_back(8613967);
	ans.push_back(68613967);
	ans.push_back(33967);
	ans.push_back(133967);
	ans.push_back(8133967);
	ans.push_back(18133967);
	ans.push_back(218133967);
	ans.push_back(918133967);
	ans.push_back(5918133967);
	ans.push_back(35918133967);
	ans.push_back(635918133967);
	ans.push_back(6918133967);
	ans.push_back(96918133967);
	ans.push_back(433967);
	ans.push_back(2433967);
	ans.push_back(42433967);
	ans.push_back(842433967);
	ans.push_back(3433967);
	ans.push_back(53433967);
	ans.push_back(353433967);
	ans.push_back(9353433967);
	ans.push_back(83433967);
	ans.push_back(9433967);
	ans.push_back(633967);
	ans.push_back(1633967);
	ans.push_back(31633967);
	ans.push_back(231633967);
	ans.push_back(1231633967);
	ans.push_back(9231633967);
	ans.push_back(6633967);
	ans.push_back(933967);
	ans.push_back(4933967);
	ans.push_back(6933967);
	ans.push_back(93967);
	ans.push_back(493967);
	ans.push_back(5493967);
	ans.push_back(8493967);
	ans.push_back(693967);
	ans.push_back(7693967);
	ans.push_back(87693967);
	ans.push_back(687693967);
	ans.push_back(1687693967);
	ans.push_back(61687693967);
	ans.push_back(91687693967);
	ans.push_back(991687693967);
	ans.push_back(9693967);
	ans.push_back(19693967);
	ans.push_back(319693967);
	ans.push_back(3319693967);
	ans.push_back(23319693967);
	ans.push_back(53319693967);
	ans.push_back(653319693967);
	ans.push_back(753319693967);
	ans.push_back(953319693967);
	ans.push_back(83319693967);
	ans.push_back(183319693967);
	ans.push_back(919693967);
	ans.push_back(2919693967);
	ans.push_back(32919693967);
	ans.push_back(39693967);
	ans.push_back(339693967);
	ans.push_back(1339693967);
	ans.push_back(21339693967);
	ans.push_back(121339693967);
	ans.push_back(621339693967);
	ans.push_back(61339693967);
	ans.push_back(91339693967);
	ans.push_back(3339693967);
	ans.push_back(793967);
	ans.push_back(4967);
	ans.push_back(24967);
	ans.push_back(424967);
	ans.push_back(2424967);
	ans.push_back(5424967);
	ans.push_back(35424967);
	ans.push_back(135424967);
	ans.push_back(635424967);
	ans.push_back(724967);
	ans.push_back(3724967);
	ans.push_back(33724967);
	ans.push_back(53724967);
	ans.push_back(83724967);
	ans.push_back(783724967);
	ans.push_back(8783724967);
	ans.push_back(78783724967);
	ans.push_back(878783724967);
	ans.push_back(983724967);
	ans.push_back(5724967);
	ans.push_back(8724967);
	ans.push_back(68724967);
	ans.push_back(924967);
	ans.push_back(7924967);
	ans.push_back(84967);
	ans.push_back(184967);
	ans.push_back(2184967);
	ans.push_back(12184967);
	ans.push_back(32184967);
	ans.push_back(72184967);
	ans.push_back(572184967);
	ans.push_back(6184967);
	ans.push_back(6967);
	ans.push_back(9967);
	ans.push_back(79967);
	ans.push_back(279967);
	ans.push_back(4279967);
	ans.push_back(579967);
	ans.push_back(9579967);
	ans.push_back(97);
	ans.push_back(197);
	ans.push_back(5197);
	ans.push_back(45197);
	ans.push_back(845197);
	ans.push_back(6197);
	ans.push_back(56197);
	ans.push_back(356197);
	ans.push_back(1356197);
	ans.push_back(51356197);
	ans.push_back(651356197);
	ans.push_back(3651356197);
	ans.push_back(13651356197);
	ans.push_back(913651356197);
	ans.push_back(73651356197);
	ans.push_back(673651356197);
	ans.push_back(9356197);
	ans.push_back(99356197);
	ans.push_back(86197);
	ans.push_back(686197);
	ans.push_back(1686197);
	ans.push_back(51686197);
	ans.push_back(451686197);
	ans.push_back(651686197);
	ans.push_back(786197);
	ans.push_back(3786197);
	ans.push_back(63786197);
	ans.push_back(263786197);
	ans.push_back(663786197);
	ans.push_back(3663786197);
	ans.push_back(5663786197);
	ans.push_back(45663786197);
	ans.push_back(245663786197);
	ans.push_back(545663786197);
	ans.push_back(645663786197);
	ans.push_back(863786197);
	ans.push_back(6863786197);
	ans.push_back(96863786197);
	ans.push_back(7863786197);
	ans.push_back(67863786197);
	ans.push_back(367863786197);
	ans.push_back(97863786197);
	ans.push_back(297863786197);
	ans.push_back(9863786197);
	ans.push_back(69863786197);
	ans.push_back(986197);
	ans.push_back(4986197);
	ans.push_back(64986197);
	ans.push_back(364986197);
	ans.push_back(664986197);
	ans.push_back(6986197);
	ans.push_back(46986197);
	ans.push_back(346986197);
	ans.push_back(2346986197);
	ans.push_back(9346986197);
	ans.push_back(29346986197);
	ans.push_back(429346986197);
	ans.push_back(629346986197);
	ans.push_back(59346986197);
	ans.push_back(359346986197);
	ans.push_back(659346986197);
	ans.push_back(759346986197);
	ans.push_back(946986197);
	ans.push_back(6946986197);
	ans.push_back(26946986197);
	ans.push_back(56946986197);
	ans.push_back(956946986197);
	ans.push_back(9946986197);
	ans.push_back(29946986197);
	ans.push_back(929946986197);
	ans.push_back(89946986197);
	ans.push_back(76986197);
	ans.push_back(276986197);
	ans.push_back(576986197);
	ans.push_back(676986197);
	ans.push_back(876986197);
	ans.push_back(1876986197);
	ans.push_back(91876986197);
	ans.push_back(391876986197);
	ans.push_back(891876986197);
	ans.push_back(6876986197);
	ans.push_back(16876986197);
	ans.push_back(316876986197);
	ans.push_back(46876986197);
	ans.push_back(7986197);
	ans.push_back(37986197);
	ans.push_back(237986197);
	ans.push_back(67986197);
	ans.push_back(267986197);
	ans.push_back(4267986197);
	ans.push_back(34267986197);
	ans.push_back(9267986197);
	ans.push_back(69267986197);
	ans.push_back(769267986197);
	ans.push_back(367986197);
	ans.push_back(3367986197);
	ans.push_back(53367986197);
	ans.push_back(6367986197);
	ans.push_back(86367986197);
	ans.push_back(8367986197);
	ans.push_back(38367986197);
	ans.push_back(938367986197);
	ans.push_back(397);
	ans.push_back(4397);
	ans.push_back(94397);
	ans.push_back(294397);
	ans.push_back(3294397);
	ans.push_back(13294397);
	ans.push_back(913294397);
	ans.push_back(6913294397);
	ans.push_back(43294397);
	ans.push_back(594397);
	ans.push_back(4594397);
	ans.push_back(94594397);
	ans.push_back(394594397);
	ans.push_back(5394594397);
	ans.push_back(894594397);
	ans.push_back(3894594397);
	ans.push_back(63894594397);
	ans.push_back(163894594397);
	ans.push_back(363894594397);
	ans.push_back(7594397);
	ans.push_back(97594397);
	ans.push_back(597594397);
	ans.push_back(6597594397);
	ans.push_back(46597594397);
	ans.push_back(96597594397);
	ans.push_back(697594397);
	ans.push_back(9594397);
	ans.push_back(19594397);
	ans.push_back(619594397);
	ans.push_back(3619594397);
	ans.push_back(919594397);
	ans.push_back(6919594397);
	ans.push_back(6397);
	ans.push_back(9397);
	ans.push_back(39397);
	ans.push_back(139397);
	ans.push_back(9139397);
	ans.push_back(739397);
	ans.push_back(3739397);
	ans.push_back(33739397);
	ans.push_back(933739397);
	ans.push_back(8739397);
	ans.push_back(98739397);
	ans.push_back(198739397);
	ans.push_back(8198739397);
	ans.push_back(48198739397);
	ans.push_back(348198739397);
	ans.push_back(9198739397);
	ans.push_back(39198739397);
	ans.push_back(539198739397);
	ans.push_back(839198739397);
	ans.push_back(79397);
	ans.push_back(279397);
	ans.push_back(6279397);
	ans.push_back(66279397);
	ans.push_back(379397);
	ans.push_back(2379397);
	ans.push_back(5379397);
	ans.push_back(99397);
	ans.push_back(499397);
	ans.push_back(5499397);
	ans.push_back(35499397);
	ans.push_back(65499397);
	ans.push_back(6499397);
	ans.push_back(26499397);
	ans.push_back(626499397);
	ans.push_back(56499397);
	ans.push_back(756499397);
	ans.push_back(8756499397);
	ans.push_back(98756499397);
	ans.push_back(86499397);
	ans.push_back(797);
	ans.push_back(2797);
	ans.push_back(32797);
	ans.push_back(432797);
	ans.push_back(5432797);
	ans.push_back(8432797);
	ans.push_back(78432797);
	ans.push_back(378432797);
	ans.push_back(42797);
	ans.push_back(242797);
	ans.push_back(542797);
	ans.push_back(7542797);
	ans.push_back(642797);
	ans.push_back(2642797);
	ans.push_back(42642797);
	ans.push_back(542642797);
	ans.push_back(7542642797);
	ans.push_back(842642797);
	ans.push_back(6842642797);
	ans.push_back(16842642797);
	ans.push_back(316842642797);
	ans.push_back(916842642797);
	ans.push_back(72642797);
	ans.push_back(72797);
	ans.push_back(372797);
	ans.push_back(3372797);
	ans.push_back(3797);
	ans.push_back(33797);
	ans.push_back(633797);
	ans.push_back(3633797);
	ans.push_back(9633797);
	ans.push_back(29633797);
	ans.push_back(329633797);
	ans.push_back(1329633797);
	ans.push_back(81329633797);
	ans.push_back(481329633797);
	ans.push_back(69633797);
	ans.push_back(269633797);
	ans.push_back(569633797);
	ans.push_back(869633797);
	ans.push_back(3869633797);
	ans.push_back(33869633797);
	ans.push_back(733869633797);
	ans.push_back(933869633797);
	ans.push_back(99633797);
	ans.push_back(299633797);
	ans.push_back(899633797);
	ans.push_back(3899633797);
	ans.push_back(33899633797);
	ans.push_back(133899633797);
	ans.push_back(933797);
	ans.push_back(997);
	ans.push_back(1997);
	ans.push_back(21997);
	ans.push_back(121997);
	ans.push_back(421997);
	ans.push_back(2421997);
	ans.push_back(32421997);
	ans.push_back(6421997);
	ans.push_back(66421997);
	ans.push_back(366421997);
	ans.push_back(2366421997);
	ans.push_back(12366421997);
	ans.push_back(912366421997);
	ans.push_back(3366421997);
	ans.push_back(23366421997);
	ans.push_back(83366421997);
	ans.push_back(983366421997);
	ans.push_back(666421997);
	ans.push_back(9666421997);
	ans.push_back(29666421997);
	ans.push_back(629666421997);
	ans.push_back(89666421997);
	ans.push_back(489666421997);
	ans.push_back(621997);
	ans.push_back(6621997);
	ans.push_back(36621997);
	ans.push_back(736621997);
	ans.push_back(2736621997);
	ans.push_back(32736621997);
	ans.push_back(3736621997);
	ans.push_back(76621997);
	ans.push_back(276621997);
	ans.push_back(7621997);
	ans.push_back(57621997);
	ans.push_back(721997);
	ans.push_back(8721997);
	ans.push_back(91997);
	ans.push_back(291997);
	ans.push_back(691997);
	ans.push_back(891997);
	ans.push_back(1891997);
	ans.push_back(31891997);
	ans.push_back(331891997);
	ans.push_back(2331891997);
	ans.push_back(12331891997);
	ans.push_back(512331891997);
	ans.push_back(42331891997);
	ans.push_back(342331891997);
	ans.push_back(831891997);
	ans.push_back(9831891997);
	ans.push_back(91891997);
	ans.push_back(9891997);
	ans.push_back(6997);
	ans.push_back(36997);
	ans.push_back(336997);
	ans.push_back(1336997);
	ans.push_back(51336997);
	ans.push_back(451336997);
	ans.push_back(636997);
	ans.push_back(1636997);
	ans.push_back(61636997);
	ans.push_back(7636997);
	ans.push_back(9636997);
	ans.push_back(49636997);
	ans.push_back(949636997);
	ans.push_back(99636997);
	ans.push_back(399636997);
	ans.push_back(9399636997);
	ans.push_back(499636997);
	ans.push_back(3499636997);
	ans.push_back(23499636997);
	ans.push_back(8499636997);
	ans.push_back(799636997);
	ans.push_back(6799636997);
	ans.push_back(56799636997);
	ans.push_back(9799636997);
	ans.push_back(999636997);
	ans.push_back(4999636997);
	ans.push_back(54999636997);
	ans.push_back(154999636997);
	ans.push_back(454999636997);
	ans.push_back(654999636997);
	ans.push_back(46997);
	ans.push_back(846997);
	ans.push_back(946997);
	ans.push_back(3946997);
	ans.push_back(23946997);
	ans.push_back(423946997);
	ans.push_back(623946997);
	ans.push_back(7623946997);
	ans.push_back(67623946997);
	ans.push_back(367623946997);
	ans.push_back(967623946997);
	ans.push_back(87623946997);
	ans.push_back(787623946997);
	ans.push_back(923946997);
	ans.push_back(3923946997);
	ans.push_back(33923946997);
	ans.push_back(733923946997);
	ans.push_back(93946997);
	ans.push_back(293946997);
	ans.push_back(9293946997);
	ans.push_back(39293946997);
	ans.push_back(739293946997);
	ans.push_back(893946997);
	ans.push_back(993946997);
	ans.push_back(5993946997);
	ans.push_back(6993946997);
	ans.push_back(86993946997);
	ans.push_back(96993946997);
	ans.push_back(6946997);
	ans.push_back(36946997);
	ans.push_back(636946997);
	ans.push_back(2636946997);
	ans.push_back(6636946997);
	ans.push_back(86636946997);
	ans.push_back(96636946997);
	ans.push_back(296636946997);
	ans.push_back(86946997);
	ans.push_back(386946997);
	ans.push_back(4386946997);
	ans.push_back(64386946997);
	ans.push_back(564386946997);
	ans.push_back(96997);
	ans.push_back(396997);
	ans.push_back(3396997);
	ans.push_back(33396997);
	ans.push_back(333396997);
	ans.push_back(4333396997);
	ans.push_back(6333396997);
	ans.push_back(16333396997);
	ans.push_back(316333396997);
	ans.push_back(616333396997);
	ans.push_back(633396997);
	ans.push_back(6633396997);
	ans.push_back(76633396997);
	ans.push_back(63396997);
	ans.push_back(963396997);
	ans.push_back(6396997);
	ans.push_back(16396997);
	ans.push_back(616396997);
	ans.push_back(916396997);
	ans.push_back(96396997);
	ans.push_back(396396997);
	ans.push_back(4396396997);
	ans.push_back(496997);
	for (auto el : ans)
		res += from <= el && el <= to;
	cout << res;
	/*for (int i = 2; i <= len; i++)
		r[i] = true;
	vector < int > p;
	for (long long i = 2; i <= len; i++) {
		if (r[i]) {
			if (ok(i)) {
				p.push_back(i);
			}
			for (long long j = i * i; j <= len; j += i) {
				r[j] = false;
			}
		}
	}
	for (int i = 0; i < p.size(); i++) {
		run(p[i]);
	}
	cout << ans << endl;*/
}