#include <bits/stdc++.h>
#define ll long long

using namespace std;

const int INF = 1e9 + 7;
const double EPS = 1e-12;
const int MAXN = 1e5 + 7;

struct Double {
    double x, y;

    bool operator<(const Double &a) const {
        return x * a.y < y * a.x;
    }
};

struct Point {
    double x, y;

    Point(double x = 0, double y = 0):
        x(x), y(y) { }
};

istream &operator>>(istream &in, Point &a) {
    in >> a.x >> a.y;
    return in;
}

struct Vector {
    double x, y;

    Vector (double x = 0, double y = 0) :
        x(x), y(y) { }

    Vector(const Point &a, const Point &b) :
        x(b.x - a.x), y(b.y - a.y) { }

    double operator*(const Vector &a) const {
        return x * a.y - y * a.x;
    }

    double operator%(const Vector &a) const {
        return x * a.x + y * a.y;
    }

    void norm() {
        double z = sqrt(x * x + y * y);
        x /= z, y /= z;
    }

    Vector rotate() { // LEFT
        return {-y, x};
    }

    bool operator<(const Vector &a) const {
        return x < a.x || (abs(x - a.x) < EPS && y < a.y);
    }
};

bool check(const Point &a, const Point &b, const Point &c) {
    Vector ab(a, b), ba(b, a), ac(a, c), bc(b, c);
    return (ab % ac > 0) && (ba % bc > 0);
}

int main() {
    #ifdef MY
        freopen("input.txt", "r", stdin);
    #else
        ios_base::sync_with_stdio(0);
        cin.tie(0);
    #endif // MY
    int n;
    cin >> n;
    vector<Point> f(n);
    for (auto &p : f) {
        cin >> p;
    }
    map<Double, vector<int>> vf;
    for (int i = 0; i < n; ++i) {
        Vector here(f[i], f[(i + 1) % n]);
        vf[{here.y, here.x}].push_back(i);
    }
    int m;
    cin >> m;
    vector<Point> s(m);
    for (auto &p : s) {
        cin >> p;
    }
    for (int i = 0; i < m; ++i) {
        Vector here(s[i], s[(i + 1) % m]);
        for (auto ind : vf[{here.y, here.x}]) {
            Vector here1(f[ind], f[(ind + 1) % n]);
            if (here * here1 == 0) continue;
            if (here % here1 > 0) continue;
            Vector toCheck(s[i], f[(ind + 1) % n]);
            Vector nh = here;
            if (here * toCheck < 0) {
                nh = nh.rotate().rotate().rotate();
            } else {
                nh = nh.rotate();
            }
            if (nh % here.rotate() < 0) {
                Point a = f[ind], b = f[(ind + 1) % n], c = s[i], d = s[(i + 1) % m];
                Point m1(a.x + (b.x - a.x) / 2.0, a.y + (b.y - a.y) / 2.0);
                Point m2(c.x + (d.x - c.x) / 2.0, c.y + (d.y - c.y) / 2.0);
                if (check(a, b, c) || check(a, b, d) || check(c, d, m1) || check(c, d, a) || check(c, d, b) || check(a, b, m2)) {
//                    cout << check(a, b, c) << check(a, b, d) << check(c, d, m) << check(c, d, a) << check(c, d, b);
                    cout << "YES\n";
                    cout << ind + 1 << " " << i + 1 << "\n";
                    return 0;
                }
            }
        }
    }
    cout << "NO\n";
    return 0;
}
