#include <bits/stdc++.h>
#define ll long long

using namespace std;

const ll INF = 1e9 + 7;
const double EPS = 1e-6;
const ll MAXN = 1e5 + 7;

struct Query {
    ll d, c, p;
};

struct TNode {
    ll L, R;
    TNode *left, *right;
    pair <ll, ll> mink;
};

inline TNode *new_node(ll L, ll R) {
    return new TNode({L, R, nullptr, nullptr, {INF, -1}});
}

inline TNode *build_tree(ll L, ll R) {
    TNode *root = new_node(L, R);
    if (R - L == 1) {
        root->mink = {INF, L};
    } else {
        ll M = (L + R) / 2;
        root->left = build_tree(L, M);
        root->right = build_tree(M, R);
    }
    return root;
}

inline pair <ll, ll> safe_min(TNode *root) {
    if (!root) return {INF, -1};
    return root->mink;
}

inline void relax(TNode *root) {
    if (!root) return;
    root->mink = min(safe_min(root->left), safe_min(root->right));
}

void change(TNode *root, ll p, ll x) {
    if (root->L > p || root->R <= p) {
        return;
    }
    if (root->R - root->L == 1) {
        root->mink.first = x;
        return;
    }
    change(root->left, p, x);
    change(root->right, p, x);
    relax(root);
}

pair <ll, ll> get_min(TNode *root, ll L, ll R) {
    if (root->L >= R || L >= root->R) {
        return {INF, -1};
    }
    if (L <= root->L && root->R <= R) {
        return root->mink;
    }
    return min(get_min(root->left, L, R), get_min(root->right, L, R));
}

int main() {
    #ifdef MY
        freopen("input.txt", "r", stdin);
    #else
        ios_base::sync_with_stdio(0);
        cin.tie(0);
        cout.tie(0);
    #endif // MY
    ll n, m;
    cin >> n >> m;
    vector <TNode*> d(m + 1, nullptr);
    for (ll i = 0; i <= m; i++) {
        d[i] = build_tree(0, n + 1);
    }
    vector <Query> q(n);
    vector <pair <ll, ll> > a;
    for (ll i = 0; i < n; i++) {
        cin >> q[i].d >> q[i].p >> q[i].c;
        a.push_back({q[i].d, -i});
    }
    a.push_back({INF, -1});
    vector <ll> new_pos(n, 0);
    sort(a.begin(), a.end());
    for (ll i = 0; i < n; i++) {
        new_pos[-a[i].second] = i;
    }
    vector <vector <ll> > pred(n, vector <ll> (m + 1, -1));
    change(d[0], n, 0);
    for (ll i = 0; i < n; i++) {
        for (ll j = 0; j <= m; j++) {
            auto t = get_min(d[max(j - q[i].p, 0LL)], new_pos[i] + 1, n + 1);
            if (t.first == INF) continue;
            change(d[j], new_pos[i], t.first + q[i].c);
            if (t.second == n) {
                pred[i][j] = -1;
            } else {
                pred[i][j] = -a[t.second].second;
            }
            //cout << i << " " << j << " " << t.first + q[i].c << " " << pred[i][j] << "\n";
        }
    }
    auto t = get_min(d[m], 0, n + 1);
    if (t.first == INF) {
        cout << -1;
        return 0;
    }
    cout << t.first << " ";
    ll v = -a[t.second].second, w = m;
    vector <ll> ans;
    ll cnt = 0;
    while (w > 0) {
        if (cnt > n) {
            assert(false);
        }
        ans.push_back(v);
        ll last = v;
        v = pred[v][w];
        w -= q[last].p;
    }
    cout << ans.size() << "\n";
    reverse(ans.begin(), ans.end());
    for (ll x : ans) {
        cout << x + 1 << " ";
    }
    cout << "\n";
}
