scopes = [{}]

import sys, re
num_ptn = re.compile('-?[0-9]+')

class Scope:
    def __init__(self, scope_stack):
        self.stack = scope_stack
        
    def find(self, key):
        for scope in reversed(self.stack):
            if key in scope:
                return scope
        var = self.stack[-1]
        var[key] = '0'
        return var
    
    def assign(self, key, val):
        self.stack[-1][key] = val
            

for expr in sys.stdin:
    expr = expr.strip()
    curr_scope = Scope(scopes)
    if '=' in expr:
        lhs, rhs = expr.split('=')
        if num_ptn.fullmatch(rhs):
            curr_scope.assign(lhs, rhs)
        else:
            val = curr_scope.find(rhs)[rhs]
            curr_scope.assign(lhs, val)
            print(val)
    else:
        if expr == '{':
            scopes.append({})
        elif expr == '}':
            scopes.pop()

            
