#include <iostream>
#include <vector>
#include <unordered_map>
#include <string>

using namespace std;
typedef unordered_map<string, string> Scope;
typedef vector<Scope> ScopeStack;

pair<string, string> split(string st) {
	for (int i = 0; i < st.size(); ++i) {
		if (st[i] == '=') {
			return make_pair(st.substr(0, i), st.substr(i + 1, -1));
		}
	}
	return make_pair(st, "");
}

bool isnum(string st) {
	for (int i = st[0] == '-'; i < st.size(); ++i) {
		if (!(st[i] > 47 && st[i] < 58)) {
			return false;
		}
	}
	return true;
}

struct ScopeStruct {
	ScopeStack* stack;
	ScopeStruct(ScopeStack* stack) :stack(stack) {}

	Scope find(string key) {
		for (auto i = (*stack).rbegin(); i != (*stack).rend(); ++i) {
			if ((*i)[key] != "") {
				return *i;
			}
		}
		Scope sc = (*stack).back();
		sc[key] = "0";
		return sc;
	}

	void assign(string key, string val) {
		(*stack).back()[key] = val;
	}
};

int main() {
	ScopeStack scopes(1);
	string expr, temp;
	while (cin >> expr) {
		pair<string, string> sres = split(expr);
		ScopeStruct curr_scope(&scopes);
		if (sres.second != "") {
			if (isnum(sres.second)) {
				curr_scope.assign(sres.first, sres.second);
			}
			else {
				temp = curr_scope.find(sres.second)[sres.second];
				curr_scope.assign(sres.first, temp);
				cout << temp << endl;
			}
		}
		else {
			if (expr == "{") {
				scopes.emplace_back();
			}
			else {
				scopes.pop_back();
			}
		}

	}
}