
#include <bits/stdc++.h>

using namespace std;

#define F first
#define S second
#define pb push_back
#define m_p make_pair
#define m_t make_tuple

typedef long long ll;
typedef long double ld;

const int mod = (int)(1e9) + 7;

const int N = 2020;
const ll mx = 1e16;

struct segtree{
  int n;
  vector<pair<ll, int>> t;
  segtree (int n):n(n){
    t.resize(n + n, m_p(mx, 0));
  }
  segtree(){}
  pair<ll, int> query(int l, int r){
    pair<ll, int> ans = m_p(mx, 0);
    for (l += n, r += n; l < r; l >>= 1, r >>= 1){
      if (l & 1){
        ans = min(ans, t[l++]);
      }
      if (r & 1){
        ans = min(ans, t[--r]);
      }
    }
    return ans;
  }
  void modify(int p, ll val, int pos){
    p += n;
    t[p] = min(t[p], m_p(val, pos));
    for (; p > 1; p >>= 1) t[p >> 1] = min(t[p ^ 1], t[p]);
  }
};

segtree T[N + N];

ll dp[N][N + N];
int pr[N][N + N];
int d[N], c[N], p[N];

int main() {
  ios_base::sync_with_stdio(0);
  cin.tie(0);
  cout.tie(0);
#ifdef LOCAL
  freopen("input.txt", "r", stdin);
//  freopen("output.txt", "w", stdout);
#endif // LOCAL
  int n, m;
  cin >> n >> m;
  for (int i = 0; i < n; i++){
    cin >> d[i] >> c[i] >> p[i];
  }
  m += 2000;
  for (int i = 0; i < N + N; i++){
    T[i] = segtree(N);
  }
  {
    map<int, int> mp;
    for (int i = 0; i < n; i++) mp[d[i]] = 0;
    int t = 0;
    for (auto &it : mp) it.S = t++;
    for (int i = 0; i < n; i++) d[i] = mp[d[i]];
  }
  for (int i = 0; i < N; i++){
    for (int j = 0; j < N + N; j++){
      dp[i][j] = mx;
      pr[i][j] = -1;
    }
  }
//  return 0;
  for (int i = 0; i < n; i++){
    dp[i][max(0, m - c[i])] = p[i];
    for (int j = 0; j <= m; j++){
      int need = j + c[i];
      if (need > m) continue;
      pair<ll, int> cur = T[need].query(d[i], T[need].n);
      if (cur.F + p[i] < dp[i][j]){
        dp[i][j] = cur.F + p[i];
        pr[i][j] = cur.S;
      }
      T[j].modify(d[i], dp[i][j], i);
    }
  }
  ll mi = mx;
  pair<int, int> cur;
  for (int i = 0; i < n; i++){
    for (int j = 0; j <= 2000; j++){
      if (dp[i][j] < mi){
        mi = dp[i][j];
        cur = {i, j};
      }
    }
  }
  if (mi == mx){
    cout << -1 << endl;
  }
  else{
    vector<int> pos;
    while (cur.F != -1){
      pos.pb(cur.F);
      cur = {pr[cur.F][cur.S], cur.S + c[cur.F]};
    }
    reverse(pos.begin(), pos.end());
    cout << mi << ' ' << pos.size() << endl;
    for (auto it : pos) cout << it + 1 << ' ';
  }
  return 0;
}
