#include <iostream>
#include <vector>
#include <string>
#include <set>
#include <algorithm>
#include <math.h>

using namespace std;

typedef long long ll;
typedef long double ld;

#define forn(i, n) for (int i = 0; i < n; i++) 
const ll N = 1e11;

bool isPrime(ll n) {
	for (ll i = 2; i * i <= n; ++i) {
		if (n % i == 0) {
			return 0;
		}
	}
	return 1;
}

ll len_(ll n) {
	ll res = 0;
	while (n > 0) {
		res++;
		n /= 10;
	}
	return res;
}

ll gen_next(ll n, ll c) {
	return c * pow(10, len_(n)) + n;
}

set<ll> have;
void prec() {
	have.insert(2);
	have.insert(3);
	have.insert(5);
	have.insert(7);
	set<ll>::iterator it = have.begin();
	while (1) {
		if (it == have.end()) {
			break;
		}
		for (ll i = 1; i < 10; ++i) {
			ll num = gen_next(*it, i);
			if (num <= N && isPrime(num)) {
				have.insert(num);
			}
		}
		++it;
	}
}

int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);

	prec();
	vector<ll> arr(have.size());
	int i = 0;
	for (set<ll>::iterator it = have.begin(); it != have.end(); ++it, ++i) {
		arr[i] = *it;
	}
	ll l, r;
	cin >> l >> r;
	vector<ll>::iterator it1 = lower_bound(arr.begin(), arr.end(), l);
	int lans = it1 - arr.begin();
	vector <ll>::iterator it = upper_bound(arr.begin(), arr.end(), r);
	if (it == arr.begin()) {
		cout << 0;
		return 0;
	}
	it--;
	int rans = it - arr.begin();
	if (*it1 > r || *it < l) {
		cout << 0;
		return 0;
	}
	cout << rans - lans + 1;



	return 0;
}

