#include <iostream>
#include <vector>

using namespace std;

const int GEPARD_MAX = (int) 5e6;

bool gepard[GEPARD_MAX];
vector<int64_t> primes;

inline void precalc() {
    for (int i = 2; i*i < GEPARD_MAX; i++) {
        if (gepard[i]) {
            continue;
        }
        for (int j = i+i; j < GEPARD_MAX; j += i) {
            gepard[j] = true;
        }
    }
    for (int i = 2; i < GEPARD_MAX; i++) {
        if (!gepard[i]) {
            primes.push_back(i);
        }
    }
}

inline bool isPrime(int64_t val) {
    for (int64_t i : primes) {
        if (val % i == 0) {
            return false;
        }
        if (i*i > val) {
            return true;
        }
    }
    return true;
}

int main() {
    precalc();
    vector<int> add {1, 2, 3, 4, 5, 6, 7, 8, 9};
    vector< vector<int64_t> > layers;
    layers.push_back({(int64_t)2, (int64_t)3, (int64_t)5, (int64_t)7});
    int64_t pwr = 1;
    for (int i = 0; i < 10; i++) {
        pwr *= 10;
        vector<int64_t> newLayer;
        for (int64_t v : layers.back()) {
            for (int a : add) {
                int64_t nV = pwr * a + v;
                if (isPrime(nV)) {
                    //cout << nV << endl;
                    newLayer.push_back(nV);
                }
            }
        }
        layers.push_back(newLayer);
    }
    int64_t l, r; cin >> l >> r;
    int64_t ans = 0;
    for (auto lr : layers) {
        for (auto it : lr) {
            if (l <= it && it <= r) {
                ans++;
            }
        }
    }
    cout << ans << endl;
    return 0;
}
