#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

const int INF = 1e9;
vector< vector< pair<int, int> > > tree;

void build(int n) { tree.resize(n, vector< pair<int, int> >(4 * n, {INF, INF})); }

pair<int, int> get(int id, int v, int tl, int tr, int left, int right) {
    if (left > right) return {INF, INF};
    if (left == tl && right == tr) {
        return tree[id][v];
    }
    int tm = (tl + tr) >> 1;
    return min(
                get(id, v << 1, tl, tm, left, min(right, tm)),
                get(id, v << 1 | 1, tm + 1, tr, max(tm + 1, left), right)
               );
}

void update(int id, int v, int tl, int tr, int pos, pair<int, int> val) {
    if (pos > tr || pos < tl) return;
    if (tl == tr) {
        tree[id][v] = min(val, tree[id][v]);
        return;
    }
    int tm = (tl + tr) >> 1;
    update(id, v << 1, tl, tm, pos, val);
    update(id, v << 1 | 1, tm + 1, tr, pos, val);
    tree[id][v] = min(tree[id][v << 1], tree[id][v << 1 | 1]);
}

void solve() {
    int n, m;
    cin >> n >> m;

    vector<pair<int, int>> d(n);
    vector<int> c(n), pr(n);
    for (int i = 0; i < n; ++i) {
        cin >> d[i].first >> pr[i] >> c[i];
        d[i].second = i;
    }

    sort(d.begin(), d.end());
    map<int, int> dd;
    int curr_d = 0;
    for (int i = 0; i < n; ++i) {
        dd[d[i].second] = curr_d;
        while (i + 1 < n && d[i + 1].first == d[i].first) {
            i++; dd[d[i].second] = curr_d;
        }
        curr_d++;
    }

    build(max(m, n) + 1);
    vector< vector<int> > dp(n, vector<int>(m + 1, INF));
    vector< vector<int> > p(n, vector<int>(m + 1, INF));
    for (int i = 0; i < n; ++i) {
        for (int j = m; j > 0; --j) {
            if (j <= pr[i]) {
                dp[i][j] = c[i];
                p[i][j] = INF;
            } else {
                 auto q = get(j - pr[i], 1, 0, m - 1, dd[i], m - 1);
                 dp[i][j] = min(c[i] + q.first, INF);
                 p[i][j] = q.second;
            }
            update(j, 1, 0, m - 1, dd[i], {dp[i][j], i});
        }
    }
    int ans = 0;
    for (int i = 0; i < n; ++i) {
        if (dp[ans][m] > dp[i][m])
            ans = i;
    }
    if (dp[ans][m] == INF) {
        cout << "-1" << endl;
        return;
    }
    cout << dp[ans][m] << " ";
    vector<int> res;
    int h = m;
    res.push_back(ans + 1);
    while (p[ans][h] != INF) {
        int lans = ans;
        ans = p[ans][h];
        h -= pr[lans];
        res.push_back(ans + 1);
    }
    sort(res.begin(), res.end());
    cout << res.size() << endl;
    for (int x : res) cout << x << ' ';
}

signed main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    solve();

    return 0;
}


