#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

const long long INF = 2e18;
vector< vector< pair<long long, long long> > > tree;

void build(long long n) { tree.resize(n, vector< pair<long long, long long> >(4 * n, {INF, INF})); }

pair<long long, long long> get(long long id, long long v, long long tl, long long tr, long long left, long long right) {
    if (left > right) return {INF, INF};
    if (left == tl && right == tr) {
        return tree[id][v];
    }
    long long tm = (tl + tr) >> 1;
    return min(
                get(id, v << 1, tl, tm, left, min(right, tm)),
                get(id, v << 1 | 1, tm + 1, tr, max(tm + 1, left), right)
               );
}

void update(long long id, long long v, long long tl, long long tr, long long pos, pair<long long, long long> val) {
    if (pos > tr || pos < tl) return;
    if (tl == tr) {
        tree[id][v] = min(val, tree[id][v]);
        return;
    }
    long long tm = (tl + tr) >> 1;
    update(id, v << 1, tl, tm, pos, val);
    update(id, v << 1 | 1, tm + 1, tr, pos, val);
    tree[id][v] = min(tree[id][v << 1], tree[id][v << 1 | 1]);
}

void solve() {
    long long n, m;
    cin >> n >> m;

    vector<pair<long long, long long>> d(n);
    vector<long long> c(n), pr(n);
    for (long long i = 0; i < n; ++i) {
        cin >> d[i].first >> pr[i] >> c[i];
        d[i].second = i;
    }

    sort(d.begin(), d.end());
    map<long long, long long> dd;
    long long curr_d = 0;
    for (long long i = 0; i < n; ++i) {
        dd[d[i].second] = curr_d;
        while (i + 1 < n && d[i + 1].first == d[i].first) {
            i++; dd[d[i].second] = curr_d;
        }
        curr_d++;
    }

    build(max(m, n) + 1);
    vector< vector<long long> > dp(n, vector<long long>(m + 1, INF));
    vector< vector<long long> > p(n, vector<long long>(m + 1, INF));
    for (long long i = 0; i < n; ++i) {
        for (long long j = m; j > 0; --j) {
            if (j <= pr[i]) {
                dp[i][j] = c[i];
                p[i][j] = INF;
            } else {
                 auto q = get(j - pr[i], 1, 0, m - 1, dd[i] - 1, m - 1);
                 dp[i][j] = min(c[i] + q.first, INF);
                 p[i][j] = q.second;
            }
            dp[i][j] = min(dp[i][j], INF);
            update(j, 1, 0, m - 1, dd[i], {dp[i][j], i});
        }
    }
    long long ans = 0;
    for (long long i = 0; i < n; ++i) {
        if (dp[ans][m] > dp[i][m])
            ans = i;
    }
    if (dp[ans][m] == INF) {
        cout << "-1" << endl;
        return;
    }
    cout << dp[ans][m] << " ";
    vector<long long> res;
    long long h = m;
    res.push_back(ans + 1);
    while (p[ans][h] != INF) {
        long long lans = ans;
        ans = p[ans][h];
        h -= pr[lans];
        res.push_back(ans + 1);
    }
    sort(res.begin(), res.end());
    cout << res.size() << endl;
    for (long long x : res) cout << x << ' ';
}

signed main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    solve();

    return 0;
}


