#include <iostream>
#include <vector>
#include<algorithm>
#include <string>
#include <map>
#include <unordered_map>

typedef long long ll;
const ll N = 200100;
const ll LOG = 20;
const ll mod = 1e9 + 7;

ll n;
ll a[N];
ll sparse[LOG][N], logarithm[N];

void build() {
	for (int i = 1; i < N; ++i) {
		ll res = 0;
		while ((1 << res) <= i) {
			++res;
		}
		logarithm[i] = res - 1;
	}
	for (int i = 0; i < N; ++i) {
		sparse[0][i] = a[i];
	}
	for (int i = 1; i < LOG; ++i) {
		for (int j = 0; j < N; ++j) {
			sparse[i][j] = sparse[i - 1][j];
			if (j + (1 << (i - 1)) < N) {
				sparse[i][j] = std::max(sparse[i][j], sparse[i - 1][j + (1 << (i - 1))]);
			}
		}
	}
}

ll get(ll l, ll r) {
	ll index = logarithm[r - l + 1];
	return std::max(sparse[index][l], sparse[index][r - (1 << index) + 1]);
}

ll get_left(ll i) {
	ll l = -1, r = i;
	while (r - l > 1) {
		ll m = (r + l) / 2;
		ll gm = get(m, i);
		if (gm > a[i]) {
			l = m;
		}
		else {
			r = m;
		}
	}
	return r;
}

ll get_right(ll i) {
	ll l = i, r = n;
	while (r - l > 1) {
		ll m = (r + l) / 2;
		ll gm = get(i, m);
		if (gm > a[i]) {
			r = m;
		}
		else {
			l = m;
		}
	}
	return l;
}

int main(void) {
	//freopen("shit", "r", stdin);
	std::ios_base::sync_with_stdio(false);
	std::cin.tie(0);
	std::cin >> n;
	for (int i = 0; i < n; ++i) {
		std::cin >> a[i];
	}
	build();
	std::vector<ll> left(n), right(n);
	std::map<ll, std::vector<ll> > cont, pref, suff;
	std::map<ll, std::map<ll, ll> > cnt;
	for (int i = 0; i < n; ++i) {
		cont[a[i]].push_back(i);
		left[i] = get_left(i);
		right[i] = get_right(i);
		++cnt[a[i]][right[i]];
	}
	for (auto i : cont) {
		ll in = i.first;
		pref[in].resize(i.second.size());
		suff[in].resize(i.second.size());
		for (int j = 0; j < i.second.size(); ++j){
			ll index = i.second[j];
			pref[in][j] = index - left[index] + 1;
			if (j > 0)
				pref[in][j] += pref[in][j - 1];
		}
		for (int j = i.second.size() - 1; j >= 0; --j) {
			ll index = i.second[j];
			suff[in][j] = right[index] - index + 1;
			if (j < i.second.size() - 1)
				suff[in][j] += suff[in][j + 1];
		}
	}
	ll ans = 0;
	for (auto i : cont) {
		ll in = i.first;
		ll right_j = -1, t = 0;
		for (int j = 0; j < i.second.size(); ++j) {
			if (right_j != right[i.second[j]]) {
				right_j = right[i.second[j]];
				t = 1;
			}
			else
				++t;
			ll p1 = i.second[j] - left[i.second[j]] + 1;
			ll p3;
			if (j != i.second.size() - 1 && right[i.second[j]] == right[i.second[j + 1]]) {
				p3 = std::max(i.second[j + 1] - i.second[j] - 1, 0ll);
			}
			else {
				p3 = std::max(right[i.second[j]] - i.second[j] - 1, 0ll);
			}
			/*if (j > 0)
				p1 -= pref[in][j - 1];*/
			ll p2 = ((j != i.second.size() - 1) ? suff[in][j + 1] : 0);
			ll p4 = p2;
			p2 += std::max(pref[in][i.second.size() - 1] - pref[in][j] - ((ll)i.second.size() - j - 1), 0ll);
			p2 -= (cnt[in][right_j] - t) * p1;
			ans = (ans + (p1 * p2 % mod) + p3 * std::max(p2 - p3, 0ll)) % mod;
		}
	}
	std::cout << ans;
	return 0;
}