// A.cpp : Defines the entry point for the console application.
//

#include <iostream>
#include <vector>
#include <set>
#include <map>
#include <string>
#include <math.h>
#include <algorithm>
#include <stack>

using namespace std;

typedef long long ll;
typedef long double ld;
const double EPS = 1e-9;
const long long MOD = 1e9 + 7;

const int MSIZE = 2001;
const ll INF = 1e18;

vector<vector<ll> > dp(MSIZE, vector<ll>(MSIZE * 4, INF));
vector<vector<pair <ll, ll> > > p(MSIZE, vector<pair <ll, ll>>(MSIZE, { -1, -1 }));

struct spear {
	ll d, c, p;
};

void update(vector<ll>& t, vector<pair <ll, ll> >& out, int v, int tl, int tr, int pos, ll add, int dia = -1, int last = -1) {
	if (tl == tr) {

		if (t[v] > add) {
			t[v] = min(t[v], add);

			out[tl].first = dia;
			out[tl].second = last;
		}
		return;
	}
	int tm = (tl + tr) / 2;
	if (pos <= tm)
		update(t, out, v * 2, tl, tm, pos, add, dia, last);
	else
		update(t, out, v * 2 + 1, tm + 1, tr, pos, add, dia, last);
	t[v] = min(t[v * 2], t[v * 2 + 1]);
}

ll get(vector<ll>& t, int v, int tl, int tr, int l, int r) {
	if (l > r)
		return INF;
	if (tl == l && tr == r)
		return t[v];
	int tm = (tl + tr) / 2;
	return min(get(t, v * 2, tl, tm, l, min(tm, r)), get(t, v * 2 + 1, tm + 1, tr, max(tm + 1, l), r));
}

int main() {
	ios_base::sync_with_stdio(0);
	//freopen("input.in", "r", stdin);
	//freopen("output.out", "w", stdout);
	ll n, m;
	cin >> n >> m;
	vector<pair<int, int> > cnt;
	vector<spear> v(n);
	for (int i = 0; i < n; ++i) {
		cin >> v[i].d >> v[i].p >> v[i].c;
		cnt.push_back({ v[i].d, i });
	}
	int id = 0;
	sort(cnt.begin(), cnt.end());
	for (int i = 0; i < n; ++i) {
		if (i != 0 && cnt[i - 1].first != cnt[i].first)
			id++;
		v[i].d = id;
	}
	update(dp[0], p[0], 1, 0, id, id, 0);
	for (int i = 0; i < n; ++i) {
		for (int j = 1; j + v[i].p <= m; ++j) {
			ll d = get(dp[j], 1, 0, id, v[i].d, id);
			//cout << i << " " << j << " " << d << " " << v[i].d << " " << id << endl;
			if (d != INF)
				update(dp[j + v[i].p], p[j + v[i].p], 1, 0, id, v[i].d, v[i].c + d, v[i].d, i);
		}
		for (int j = 0; j <= min(m, v[i].p); ++j)
			update(dp[j], p[j], 1, 0, id, v[i].d, v[i].c, v[i].d, i);
	}
	if (dp[m][1] == INF)
		cout << -1;
	else {
		long long res = INF, curm = m;
		pair <ll, ll> start;
		for (int i = 0; i <= id; ++i) {
			long long d = get(dp[m], 1, 0, id, i, i);
			if (d < res)
				res = d, start = p[m][i];
		}
		vector<int> output;
		output.push_back(start.second);
		if (start.second != -1)
			curm -= v[start.second].p;
		while (start.second != -1 && curm > 0) {
			res = INF;
			for (int i = start.first; i <= id; i++) {
				ll d = get(dp[curm], 1, 0, id, i, i);
				if (d < res)
					res = d, start = p[curm][i];
			}
			if (start.second == -1)
				break;
			curm -= v[start.second].p;
			output.push_back(start.second);
		}

		sort(output.begin(), output.end());
		cout << dp[m][1] << " " << output.size() << '\n';
		for (int a : output)
			cout << a + 1 << " ";
	}
	return 0;
}