#include <bits/stdc++.h>
using namespace std;
typedef long long ll;

struct pt {
    int x, y;
    pt() {}
    pt(int _x, int _y) : x(_x), y(_y) {}
    pt operator- (const pt &p) const { return pt(x - p.x, y - p.y); }
    ll operator* (const pt &p) const { return 1LL * x * p.y - 1LL * y * p.x; }
    ll operator% (const pt &p) const { return 1LL * x * p.x + 1LL * y * p.y; }
};

int main() {
    auto read = [&]() {
        int n;
        scanf("%d", &n);
        vector<pt> a(n);
        for (int i = 0; i < n; i++) scanf("%d%d", &a[i].x, &a[i].y);
        return a;
    };
    auto a = read();
    auto b = read();
    reverse(b.begin(), b.end());
    int n = a.size(), m = b.size();
    auto va = a, vb = b;
    for (int i = 0; i < n; i++) va[i] = a[(i + 1) % n] - a[i];
    for (int j = 0; j < m; j++) vb[j] = b[(j + 1) % m] - b[j];

    int i = 0, j = 0;
    while (va[i] * vb[j] >= 0) j = (j + m - 1) % m;
    while (va[i] * vb[j] < 0) j = (j + m - 1) % m;
    bool ans = 0;
    int ansI = -1, ansJ = -1;
    for (; i < n; i++) {
        while (va[i] * vb[j] < 0) j = (j + m - 1) % m;
        if (vb[j] * va[i] == 0 && (va[i] * (b[j] - a[i])) < 0) {
            pt v = va[i];
            ll l1 = a[i] % v, r1 = a[(i + 1) % n] % v;
            ll l2 = b[j] % v, r2 = b[(j + 1) % m] % v;
            if (l1 > r1) swap(l1, r1);
            if (l2 > r2) swap(l2, r2);
            if (max(l1, l2) < min(r1, r2)) {
                ans = 1;
                ansI = i;
                ansJ = m - 1 - (j + 1) % m;
            }
        }
    }
    if (ans) {
        cout << "YES" << endl << ansI + 1 << " " << ansJ + 1 << endl;
    } else {
        cout << "NO" << endl;
    }
}