#include <bits/stdc++.h>
using namespace std;

using lint = int64_t;

const lint inf = lint(1e18);
const int MAX = 2048;

int d[MAX];
int c[MAX];
int p[MAX];
int all_d[MAX];

struct DO {
    lint a[MAX * 2];

    DO() {
        fill(a, a + MAX * 2, inf);
    }

    lint get(int r) {
        return get(0, 0, MAX, 0, r + 1);
    }

    lint get(int i, int l, int r, int ql, int qr) {
        if (r <= ql || qr <= l) {
            return inf;
        }
        if (ql <= l && r <= qr) {
            return a[i];
        }
        int m = (l + r) >> 1;
        return min(get(i * 2 + 1, l, m, ql, qr), get(i * 2 + 2, m, r, ql, qr));
    }

    void upd(int i, lint x) {
        upd(0, 0, MAX, i, x);
    }

    void upd(int i, int l, int r, int qi, lint qx) {
        if (l + 1 == r) {
            a[i] = min(a[i], qx);
            return;
        }
        int m = (l + r) >> 1;
        if (qi < m) {
            upd(i * 2 + 1, l, m, qi, qx);
        } else {
            upd(i * 2 + 2, m, r, qi, qx);
        }
        a[i] = min(a[i * 2 + 1], a[i * 2 + 2]);
    }
};

DO dp[MAX];
lint d_price[MAX][MAX];
int prev_j[MAX][MAX];

int main(int argc, char** argv) {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    int n, m;
    cin >> n >> m;
    for (int i = 1; i <= n; i++) {
        cin >> d[i] >> c[i] >> p[i];
        d[i] *= -1;
        all_d[i] = d[i];
    }
    d[0] = -int(2e9);
    all_d[0] = d[0];

    sort(all_d, all_d + n + 1);
    auto unique_d = unique(all_d, all_d + n + 1) - all_d;
    for (int i = 0; i <= n; i++) {
        d[i] = lower_bound(all_d, all_d + unique_d, d[i]) - all_d;
    }

    dp[0].upd(0, 0);
    fill(d_price[0], d_price[0] + MAX, inf);
    d_price[0][0] = 0;

    for (int i = 1; i <= n; i++) {
        fill(d_price[i], d_price[i] + MAX, inf);
        for (int j = m - 1; j >= 0; j--) {
            int cj = min(m, j + c[i]);
            lint min_c = dp[j].get(d[i]);
            if (min_c == inf) {
                continue;
            }
            if (d_price[i][cj] > min_c + p[i]) {
                dp[cj].upd(d[i], min_c + p[i]);
                d_price[i][cj] = min_c + p[i];
                prev_j[i][cj] = j;
            }
        }
    }

    int lst = n;
    for (int i = 0; i < n; i++) {
        if (d_price[i][m] < d_price[lst][m]) {
            lst = i;
        }
    }

    if (d_price[lst][m] == inf) {
        cout << -1;
        return 0;
    }
    lint s_price = d_price[lst][m];
    lint c_price = s_price;

    vector<int> ans;
    for (int i = lst - 1; i >= 0; i--) {
        if (d[i] > d[lst]) {
            continue;
        }
        if (d_price[i][prev_j[lst][m]] + p[lst] == c_price) {
            ans.push_back(lst);
            c_price -= p[lst];
            m = prev_j[lst][m];
            lst = i;
        }
    }

    reverse(ans.begin(), ans.end());
    cout << s_price << " " << ans.size() << "\n";
    for (int i : ans) {
        cout << i << " ";
    }
    cout << "\n";


    return 0;
}